package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AcrmCustomerGroupGetParam extends AbstractAPIRequest<AcrmCustomerGroupGetResult> {

    public AcrmCustomerGroupGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "acrm.customer.group.get", 1);
    }

    private Long groupId;

    /**
     * @return 分组id，可通过acrm.groups.get获得
     */
    public Long getGroupId() {
        return groupId;
    }

    /**
     * 设置分组id，可通过acrm.groups.get获得     *
     * 参数示例：<pre>1564004</pre>     
     * 此参数必填
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    private Integer pageSize;

    /**
     * @return 页面大小 默认最大20
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置页面大小 默认最大20     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Integer pageNum;

    /**
     * @return 页号
     */
    public Integer getPageNum() {
        return pageNum;
    }

    /**
     * 设置页号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

}
