package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AcrmMarketingResultParam extends AbstractAPIRequest<AcrmMarketingResultResult> {

    public AcrmMarketingResultParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "acrm.marketing.result", 1);
    }

    private String marketingType;

    /**
     * @return 营销类型
     */
    public String getMarketingType() {
        return marketingType;
    }

    /**
     * 设置营销类型     *
     * 参数示例：<pre>SMS,EDM</pre>     
     * 此参数必填
     */
    public void setMarketingType(String marketingType) {
        this.marketingType = marketingType;
    }

    private Date marketingActionCreateTime;

    /**
     * @return 营销活动创建时间
     */
    public Date getMarketingActionCreateTime() {
        return marketingActionCreateTime;
    }

    /**
     * 设置营销活动创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMarketingActionCreateTime(Date marketingActionCreateTime) {
        this.marketingActionCreateTime = marketingActionCreateTime;
    }

    private Long marketingMemberCount;

    /**
     * @return 营销活动发送人数
     */
    public Long getMarketingMemberCount() {
        return marketingMemberCount;
    }

    /**
     * 设置营销活动发送人数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMarketingMemberCount(Long marketingMemberCount) {
        this.marketingMemberCount = marketingMemberCount;
    }

    private String referActionId;

    /**
     * @return 引导页传入的actionId
     */
    public String getReferActionId() {
        return referActionId;
    }

    /**
     * 设置引导页传入的actionId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReferActionId(String referActionId) {
        this.referActionId = referActionId;
    }

}
