package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCnMarketingShortlinkCreateParam extends AbstractAPIRequest<AlibabaCnMarketingShortlinkCreateResult> {

    public AlibabaCnMarketingShortlinkCreateParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.cn.marketing.shortlink.create", 1);
    }

    private String shortUrlName;

    /**
     * @return 短链名称（最多只能为128个中文字符）
     */
    public String getShortUrlName() {
        return shortUrlName;
    }

    /**
     * 设置短链名称（最多只能为128个中文字符）     *
     * 参数示例：<pre>短链名称</pre>     
     * 此参数必填
     */
    public void setShortUrlName(String shortUrlName) {
        this.shortUrlName = shortUrlName;
    }

    private String type;

    /**
     * @return 短链类型有三种：店铺商品短链(offer)、旺铺首页短链(homepage)、自定义短链(custom)
     */
    public String getType() {
        return type;
    }

    /**
     * 设置短链类型有三种：店铺商品短链(offer)、旺铺首页短链(homepage)、自定义短链(custom)     *
     * 参数示例：<pre>offer/homepage/custom</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String shortUrlData;

    /**
     * @return 短链类型为offer时必须传入offerId；类型为homepage时必须传入空值;类型为custon时必须传入自定义URL(URL必须为*.1688.com域名下的URL)
     */
    public String getShortUrlData() {
        return shortUrlData;
    }

    /**
     * 设置短链类型为offer时必须传入offerId；类型为homepage时必须传入空值;类型为custon时必须传入自定义URL(URL必须为*.1688.com域名下的URL)     *
     * 参数示例：<pre>type为offer时：2200793921355; type为homepage时：""或者null; type为custom时：http(s)://abc.1688.com;</pre>     
     * 此参数必填
     */
    public void setShortUrlData(String shortUrlData) {
        this.shortUrlData = shortUrlData;
    }

}
