package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCnMarketingShortlinkQueryParam extends AbstractAPIRequest<AlibabaCnMarketingShortlinkQueryResult> {

    public AlibabaCnMarketingShortlinkQueryParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.cn.marketing.shortlink.query", 1);
    }

    private String instanceKey;

    /**
     * @return 短链唯一标识
     */
    public String getInstanceKey() {
        return instanceKey;
    }

    /**
     * 设置短链唯一标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInstanceKey(String instanceKey) {
        this.instanceKey = instanceKey;
    }

    private String type;

    /**
     * @return 短链类型:店铺商品短链(offer)、旺铺首页短链(homepage)、自定义短链(custom)
     */
    public String getType() {
        return type;
    }

    /**
     * 设置短链类型:店铺商品短链(offer)、旺铺首页短链(homepage)、自定义短链(custom)     *
     * 参数示例：<pre>offer/homepage/custom</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private String name;

    /**
     * @return 短链名称，支持模糊查询
     */
    public String getName() {
        return name;
    }

    /**
     * 设置短链名称，支持模糊查询     *
     * 参数示例：<pre>短链名称</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String shortUrl;

    /**
     * @return 短链url，支持模糊查询
     */
    public String getShortUrl() {
        return shortUrl;
    }

    /**
     * 设置短链url，支持模糊查询     *
     * 参数示例：<pre>https://url.m.1688.com/oKUbQ9sb</pre>     
     * 此参数必填
     */
    public void setShortUrl(String shortUrl) {
        this.shortUrl = shortUrl;
    }

    private String url;

    /**
     * @return url，支持模糊查询
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置url，支持模糊查询     *
     * 参数示例：<pre>https://shop1412786546456.1688.com</pre>     
     * 此参数必填
     */
    public void setUrl(String url) {
        this.url = url;
    }

    private Date startDate;

    /**
     * @return 设置查询该时间点以后创建的短链
     */
    public Date getStartDate() {
        return startDate;
    }

    /**
     * 设置设置查询该时间点以后创建的短链     *
     * 参数示例：<pre>2000-01-01 00:00:00</pre>     
     * 此参数必填
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    private Date endDate;

    /**
     * @return 设置查询该时间点以前创建的短链
     */
    public Date getEndDate() {
        return endDate;
    }

    /**
     * 设置设置查询该时间点以前创建的短链     *
     * 参数示例：<pre>2000-01-01 00:00:00</pre>     
     * 此参数必填
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    private Integer nowPage;

    /**
     * @return 设置当前分页，最小值为1
     */
    public Integer getNowPage() {
        return nowPage;
    }

    /**
     * 设置设置当前分页，最小值为1     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNowPage(Integer nowPage) {
        this.nowPage = nowPage;
    }

    private Integer pageSize;

    /**
     * @return 设置当前分页大小，最小值为1,最大值为100
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置设置当前分页大小，最小值为1,最大值为100     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
