package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaCnMarketingShortmsgReturnSendDetailParam extends AbstractAPIRequest<AlibabaCnMarketingShortmsgReturnSendDetailResult> {

    public AlibabaCnMarketingShortmsgReturnSendDetailParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.cn.marketing.shortmsg.returnSendDetail", 1);
    }

    private String taskId;

    /**
     * @return 任务Id
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 设置任务Id     *
     * 参数示例：<pre>abcdefg1234</pre>     
     * 此参数必填
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    private Boolean success;

    /**
     * @return 任务是否成功(当hasMoreData为false时设置)
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置任务是否成功(当hasMoreData为false时设置)     *
     * 参数示例：<pre>true/false</pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private Integer resultCode;

    /**
     * @return 结果返回码(当hasMoreData为false时设置)
     */
    public Integer getResultCode() {
        return resultCode;
    }

    /**
     * 设置结果返回码(当hasMoreData为false时设置)     *
     * 参数示例：<pre>0</pre>     
     * 此参数必填
     */
    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

    private String errorMsg;

    /**
     * @return 错误信息(当hasMoreData为false时设置)
     */
    public String getErrorMsg() {
        return errorMsg;
    }

    /**
     * 设置错误信息(当hasMoreData为false时设置)     *
     * 参数示例：<pre>这是一段错误信息</pre>     
     * 此参数必填
     */
    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    private Boolean hasMoreData;

    /**
     * @return 是否还有短信发送结果列表;
    如果为true，则表示还有短信发送结果列表；
    如果为false,则表示结果列表发送完毕,需要设置success、resultCode以及errorMsg表明该短信任务发送是否成功
     */
    public Boolean getHasMoreData() {
        return hasMoreData;
    }

    /**
     * 设置是否还有短信发送结果列表;
    如果为true，则表示还有短信发送结果列表；
    如果为false,则表示结果列表发送完毕,需要设置success、resultCode以及errorMsg表明该短信任务发送是否成功     *
     * 参数示例：<pre>true/false</pre>     
     * 此参数必填
     */
    public void setHasMoreData(Boolean hasMoreData) {
        this.hasMoreData = hasMoreData;
    }

    private AlibabaMarketingShortmsgMsgSendResultModel[] msgSendResultModelList;

    /**
     * @return 短信发送结果列表
     */
    public AlibabaMarketingShortmsgMsgSendResultModel[] getMsgSendResultModelList() {
        return msgSendResultModelList;
    }

    /**
     * 设置短信发送结果列表     *
     * 参数示例：<pre>[
    {"sellerMemberId":"b2b-2249771845","taskId":"7049f022a909443ba0d28c0000000001","memberId":"memberId1","status":"failed","failReason":"这是错误信息","resultCode":100},
    {"sellerMemberId":"b2b-2249771845","taskId":"7049f022a909443ba0d28c0000000001","memberId":"memberId2","status":"failed","failReason":"这是错误信息","resultCode":101},
    {"sellerMemberId":"b2b-2249771845","taskId":"7049f022a909443ba0d28c0000000001","memberId":"memberId3","status":"failed","failReason":"这是错误信息","resultCode":102},
    {"sellerMemberId":"b2b-2249771845","taskId":"7049f022a909443ba0d28c0000000001","memberId":"memberId4","status":"failed","failReason":"这是错误信息","resultCode":103},
    {"sellerMemberId":"b2b-2249771845","taskId":"7049f022a909443ba0d28c0000000001","memberId":"memberId5","status":"failed","failReason":"这是错误信息","resultCode":104}
    ]</pre>     
     * 此参数必填
     */
    public void setMsgSendResultModelList(AlibabaMarketingShortmsgMsgSendResultModel[] msgSendResultModelList) {
        this.msgSendResultModelList = msgSendResultModelList;
    }

}
