package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorFastConsignParam extends AbstractAPIRequest<AlibabaDistributorFastConsignResult> {

    public AlibabaDistributorFastConsignParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.fastConsign", 1);
    }

    private Long productId;

    /**
     * @return 需要一键代销的产品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置需要一键代销的产品Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private String supplierMemberId;

    /**
     * @return 供应商memberId
     */
    public String getSupplierMemberId() {
        return supplierMemberId;
    }

    /**
     * 设置供应商memberId     *
     * 参数示例：<pre>123456</pre>     
     * 此参数必填
     */
    public void setSupplierMemberId(String supplierMemberId) {
        this.supplierMemberId = supplierMemberId;
    }

}
