package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorLinkConsignSellItemParam extends AbstractAPIRequest<AlibabaDistributorLinkConsignSellItemResult> {

    public AlibabaDistributorLinkConsignSellItemParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.linkConsignSellItem", 1);
    }

    private Long productId;

    /**
     * @return 需要关联代销关系的产品Id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置需要关联代销关系的产品Id     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private String itemUrl;

    /**
     * @return 淘宝宝贝链接
     */
    public String getItemUrl() {
        return itemUrl;
    }

    /**
     * 设置淘宝宝贝链接     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemUrl(String itemUrl) {
        this.itemUrl = itemUrl;
    }

}
