package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaDistributorModifySupplyOrderParam extends AbstractAPIRequest<AlibabaDistributorModifySupplyOrderResult> {

    public AlibabaDistributorModifySupplyOrderParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.distributor.modifySupplyOrder", 1);
    }

    private Long orderId;

    /**
     * @return 采购单Id
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置采购单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String specId;

    /**
     * @return sku规格Id，例如af478130f6c683c4c77bb511796617d7，非sku类型则不用传
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置sku规格Id，例如af478130f6c683c4c77bb511796617d7，非sku类型则不用传     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

    private Map specInfo;

    /**
     * @return sku规格信息的Map,key为规格属性名称，value为规格属性值，例如{"颜色":"黄色","尺码":"XS"}
     */
    public Map getSpecInfo() {
        return specInfo;
    }

    /**
     * 设置sku规格信息的Map,key为规格属性名称，value为规格属性值，例如{"颜色":"黄色","尺码":"XS"}     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecInfo(Map specInfo) {
        this.specInfo = specInfo;
    }

    private Long buyAmount;

    /**
     * @return 购买数量
     */
    public Long getBuyAmount() {
        return buyAmount;
    }

    /**
     * 设置购买数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyAmount(Long buyAmount) {
        this.buyAmount = buyAmount;
    }

}
