package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaManufactureFentOrder {

    private String fentGoodsCode;

    /**
     * @return 1688系统中的打样单编码(货号)
     */
    public String getFentGoodsCode() {
        return fentGoodsCode;
    }

    /**
     * 设置1688系统中的打样单编码(货号)     *
     * 参数示例：<pre>THZ0001ABG101GD00020</pre>     
     * 此参数必填
     */
    public void setFentGoodsCode(String fentGoodsCode) {
        this.fentGoodsCode = fentGoodsCode;
    }

    private String productCode;

    /**
     * @return 款式编码(款号)
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置款式编码(款号)     *
     * 参数示例：<pre>THZ0001ABG101</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre>2016-01-01 08:00:08</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre>Abc2015年6月连衣裙</pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String title;

    /**
     * @return 产品标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置产品标题     *
     * 参数示例：<pre>FENT(说明:打样中)｜PRICING(核价中)｜SEALED(已封样) | CLOSE(关闭)</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String status;

    /**
     * @return 状态值
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态值     *
     * 参数示例：<pre>FENT(说明:打样中)｜PRICING(核价中)｜SEALED(已封样) | CLOSE(关闭)</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date gmtFent;

    /**
     * @return 打样下单时间
     */
    public Date getGmtFent() {
        return gmtFent;
    }

    /**
     * 设置打样下单时间     *
     * 参数示例：<pre>2016-01-20 12:01:52</pre>     
     * 此参数必填
     */
    public void setGmtFent(Date gmtFent) {
        this.gmtFent = gmtFent;
    }

    private Date gmtReleasedExpect;

    /**
     * @return 期望交货时间
     */
    public Date getGmtReleasedExpect() {
        return gmtReleasedExpect;
    }

    /**
     * 设置期望交货时间     *
     * 参数示例：<pre>2016-01-20 12:01:52</pre>     
     * 此参数必填
     */
    public void setGmtReleasedExpect(Date gmtReleasedExpect) {
        this.gmtReleasedExpect = gmtReleasedExpect;
    }

    private Date gmtFinalQuote;

    /**
     * @return 工厂最终报价时间
     */
    public Date getGmtFinalQuote() {
        return gmtFinalQuote;
    }

    /**
     * 设置工厂最终报价时间     *
     * 参数示例：<pre>2016-01-20 12:01:52</pre>     
     * 此参数必填
     */
    public void setGmtFinalQuote(Date gmtFinalQuote) {
        this.gmtFinalQuote = gmtFinalQuote;
    }

    private Date gmtFinalAccept;

    /**
     * @return 买家接受最终报价时间
     */
    public Date getGmtFinalAccept() {
        return gmtFinalAccept;
    }

    /**
     * 设置买家接受最终报价时间     *
     * 参数示例：<pre>2016-01-20 12:01:52</pre>     
     * 此参数必填
     */
    public void setGmtFinalAccept(Date gmtFinalAccept) {
        this.gmtFinalAccept = gmtFinalAccept;
    }

    private Long fentPrice;

    /**
     * @return 工厂打样的价格(单元分)
     */
    public Long getFentPrice() {
        return fentPrice;
    }

    /**
     * 设置工厂打样的价格(单元分)     *
     * 参数示例：<pre>50000</pre>     
     * 此参数必填
     */
    public void setFentPrice(Long fentPrice) {
        this.fentPrice = fentPrice;
    }

    private Long bulkPrice;

    /**
     * @return 工厂最终报的核价价格(单元分)
     */
    public Long getBulkPrice() {
        return bulkPrice;
    }

    /**
     * 设置工厂最终报的核价价格(单元分)     *
     * 参数示例：<pre>5000</pre>     
     * 此参数必填
     */
    public void setBulkPrice(Long bulkPrice) {
        this.bulkPrice = bulkPrice;
    }

    private Integer bulkCount;

    /**
     * @return 预计大货数量
     */
    public Integer getBulkCount() {
        return bulkCount;
    }

    /**
     * 设置预计大货数量     *
     * 参数示例：<pre>500</pre>     
     * 此参数必填
     */
    public void setBulkCount(Integer bulkCount) {
        this.bulkCount = bulkCount;
    }

    private String buyerName;

    /**
     * @return 买方会员姓名
     */
    public String getBuyerName() {
        return buyerName;
    }

    /**
     * 设置买方会员姓名     *
     * 参数示例：<pre>郑小姐</pre>     
     * 此参数必填
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    private String buyerMobile;

    /**
     * @return 买方联系手机
     */
    public String getBuyerMobile() {
        return buyerMobile;
    }

    /**
     * 设置买方联系手机     *
     * 参数示例：<pre>13100000000</pre>     
     * 此参数必填
     */
    public void setBuyerMobile(String buyerMobile) {
        this.buyerMobile = buyerMobile;
    }

    private String catName;

    /**
     * @return 类目名称
     */
    public String getCatName() {
        return catName;
    }

    /**
     * 设置类目名称     *
     * 参数示例：<pre>连衣裙</pre>     
     * 此参数必填
     */
    public void setCatName(String catName) {
        this.catName = catName;
    }

    private String[] samplePicList;

    /**
     * @return 样图url列表
     */
    public String[] getSamplePicList() {
        return samplePicList;
    }

    /**
     * 设置样图url列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSamplePicList(String[] samplePicList) {
        this.samplePicList = samplePicList;
    }

    private String buyerAddress;

    /**
     * @return 买家联系地址
     */
    public String getBuyerAddress() {
        return buyerAddress;
    }

    /**
     * 设置买家联系地址     *
     * 参数示例：<pre>浙江杭州xx区yy街道zz号</pre>     
     * 此参数必填
     */
    public void setBuyerAddress(String buyerAddress) {
        this.buyerAddress = buyerAddress;
    }

}
