package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaManufactureMutableFentOrder {

    private String fentGoodsCode;

    /**
     * @return 打样订单编码(货号)
     */
    public String getFentGoodsCode() {
        return fentGoodsCode;
    }

    /**
     * 设置打样订单编码(货号)     *
     * 参数示例：<pre>THZ0001ABG101GD00020</pre>     
     * 此参数必填
     */
    public void setFentGoodsCode(String fentGoodsCode) {
        this.fentGoodsCode = fentGoodsCode;
    }

    private String title;

    /**
     * @return 产品标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置产品标题     *
     * 参数示例：<pre>Abc2015年6月连衣裙</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String status;

    /**
     * @return 状态值
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态值     *
     * 参数示例：<pre>FENT｜PRICING｜SEALED| CLOSE｜(支持自定义如:delivered,但关健状态需与文档中的一致)</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date statusDate;

    /**
     * @return 状态发生时间
     */
    public Date getStatusDate() {
        return statusDate;
    }

    /**
     * 设置状态发生时间     *
     * 参数示例：<pre>2016-01-20 12:01:52</pre>     
     * 此参数必填
     */
    public void setStatusDate(Date statusDate) {
        this.statusDate = statusDate;
    }

    private String statusDesc;

    /**
     * @return 状态说明
     */
    public String getStatusDesc() {
        return statusDesc;
    }

    /**
     * 设置状态说明     *
     * 参数示例：<pre>打样中｜核价中｜已封样｜关闭｜已寄样(运单号:345234567987)</pre>     
     * 此参数必填
     */
    public void setStatusDesc(String statusDesc) {
        this.statusDesc = statusDesc;
    }

    private Long bulkPrice;

    /**
     * @return 工厂最终报的核价价格(单元分)
     */
    public Long getBulkPrice() {
        return bulkPrice;
    }

    /**
     * 设置工厂最终报的核价价格(单元分)     *
     * 参数示例：<pre>5000</pre>     
     * 此参数必填
     */
    public void setBulkPrice(Long bulkPrice) {
        this.bulkPrice = bulkPrice;
    }

    private String bomList;

    /**
     * @return 核价时提供的物料清单(JSON格式)
     */
    public String getBomList() {
        return bomList;
    }

    /**
     * 设置核价时提供的物料清单(JSON格式)     *
     * 参数示例：<pre>[{
    “材料名称”:“面料A”,
    “供应商”:“中山面料厂”,
    “单价”: “8.8”,
    “数量”: “1”,
    “单位”: “米”
    },…]</pre>     
     * 此参数必填
     */
    public void setBomList(String bomList) {
        this.bomList = bomList;
    }

}
