package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaManufactureMutableProductionPlan {

    private Date planDate;

    /**
     * @return 当前计划日期
     */
    public Date getPlanDate() {
        return planDate;
    }

    /**
     * 设置当前计划日期     *
     * 参数示例：<pre>2016-03-01</pre>     
     * 此参数必填
     */
    public void setPlanDate(Date planDate) {
        this.planDate = planDate;
    }

    private Integer productionCapacity;

    /**
     * @return 工厂产能每天最大产量（件）
     */
    public Integer getProductionCapacity() {
        return productionCapacity;
    }

    /**
     * 设置工厂产能每天最大产量（件）     *
     * 参数示例：<pre>500</pre>     
     * 此参数必填
     */
    public void setProductionCapacity(Integer productionCapacity) {
        this.productionCapacity = productionCapacity;
    }

    private Integer productionOccupy;

    /**
     * @return 当天产能占用数量
     */
    public Integer getProductionOccupy() {
        return productionOccupy;
    }

    /**
     * 设置当天产能占用数量     *
     * 参数示例：<pre>300</pre>     
     * 此参数必填
     */
    public void setProductionOccupy(Integer productionOccupy) {
        this.productionOccupy = productionOccupy;
    }

    private String productionUnit;

    /**
     * @return 工厂产能单元
     */
    public String getProductionUnit() {
        return productionUnit;
    }

    /**
     * 设置工厂产能单元     *
     * 参数示例：<pre>件</pre>     
     * 此参数必填
     */
    public void setProductionUnit(String productionUnit) {
        this.productionUnit = productionUnit;
    }

    private Integer taskCount;

    /**
     * @return 任务数
     */
    public Integer getTaskCount() {
        return taskCount;
    }

    /**
     * 设置任务数     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setTaskCount(Integer taskCount) {
        this.taskCount = taskCount;
    }

    private String taskList;

    /**
     * @return 任务清单(JSON格式)
     */
    public String getTaskList() {
        return taskList;
    }

    /**
     * 设置任务清单(JSON格式)     *
     * 参数示例：<pre>[{
    “客户”:“中山Ａ”,
    “货号”: “THZ0001x..”,
    “今日计划产量”：“50“,
    “预计完成时间”: “2016-02-06”, …
    },…]</pre>     
     * 此参数必填
     */
    public void setTaskList(String taskList) {
        this.taskList = taskList;
    }

}
