package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaManufactureProduct {

    private String productCode;

    /**
     * @return 需求单号(款号)
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置需求单号(款号)     *
     * 参数示例：<pre>THZ0001ABG101</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre>2017-01-01 08:00:09</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre>2017-01-01 09:00:09</pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String title;

    /**
     * @return 需求标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置需求标题     *
     * 参数示例：<pre>Abc2015年6月连衣裙</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String status;

    /**
     * @return 状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态     *
     * 参数示例：<pre>跟进中、已完成、其它 (已关闭、已回流、已暂停等)</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String monitorStatus;

    /**
     * @return 监控预警状态
     */
    public String getMonitorStatus() {
        return monitorStatus;
    }

    /**
     * 设置监控预警状态     *
     * 参数示例：<pre>正常、预警、警告、危机</pre>     
     * 此参数必填
     */
    public void setMonitorStatus(String monitorStatus) {
        this.monitorStatus = monitorStatus;
    }

    private String planStatus;

    /**
     * @return 需求计划状态
     */
    public String getPlanStatus() {
        return planStatus;
    }

    /**
     * 设置需求计划状态     *
     * 参数示例：<pre>尚未计划、已计划</pre>     
     * 此参数必填
     */
    public void setPlanStatus(String planStatus) {
        this.planStatus = planStatus;
    }

    private String catName;

    /**
     * @return 类目名称
     */
    public String getCatName() {
        return catName;
    }

    /**
     * 设置类目名称     *
     * 参数示例：<pre>女装-连衣裙</pre>     
     * 此参数必填
     */
    public void setCatName(String catName) {
        this.catName = catName;
    }

    private String[] samplePicList;

    /**
     * @return 样图url列表
     */
    public String[] getSamplePicList() {
        return samplePicList;
    }

    /**
     * 设置样图url列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSamplePicList(String[] samplePicList) {
        this.samplePicList = samplePicList;
    }

    private Long price;

    /**
     * @return 预计大货单价(单元分)
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置预计大货单价(单元分)     *
     * 参数示例：<pre>10000</pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private Integer amount;

    /**
     * @return 预计大货生产数量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置预计大货生产数量     *
     * 参数示例：<pre>50</pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private String remark;

    /**
     * @return 备注信息
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注信息     *
     * 参数示例：<pre>如：颜色尺码工艺要求等信息</pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private Date gmtReleasedExpect;

    /**
     * @return 期望交货时间
     */
    public Date getGmtReleasedExpect() {
        return gmtReleasedExpect;
    }

    /**
     * 设置期望交货时间     *
     * 参数示例：<pre>2017-02-01 09:00:09</pre>     
     * 此参数必填
     */
    public void setGmtReleasedExpect(Date gmtReleasedExpect) {
        this.gmtReleasedExpect = gmtReleasedExpect;
    }

    private String buyerName;

    /**
     * @return 买方会员名称
     */
    public String getBuyerName() {
        return buyerName;
    }

    /**
     * 设置买方会员名称     *
     * 参数示例：<pre>XX时尚生活</pre>     
     * 此参数必填
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    private String buyerMobile;

    /**
     * @return 买方联系手机
     */
    public String getBuyerMobile() {
        return buyerMobile;
    }

    /**
     * 设置买方联系手机     *
     * 参数示例：<pre>浙江杭州xx区yy街道zz号</pre>     
     * 此参数必填
     */
    public void setBuyerMobile(String buyerMobile) {
        this.buyerMobile = buyerMobile;
    }

    private String buyerAddress;

    /**
     * @return 买方联系地址
     */
    public String getBuyerAddress() {
        return buyerAddress;
    }

    /**
     * 设置买方联系地址     *
     * 参数示例：<pre>13100000000</pre>     
     * 此参数必填
     */
    public void setBuyerAddress(String buyerAddress) {
        this.buyerAddress = buyerAddress;
    }

    private String factoryName;

    /**
     * @return 工厂会员名称
     */
    public String getFactoryName() {
        return factoryName;
    }

    /**
     * 设置工厂会员名称     *
     * 参数示例：<pre>杭州XX服饰加工厂</pre>     
     * 此参数必填
     */
    public void setFactoryName(String factoryName) {
        this.factoryName = factoryName;
    }

    private String factoryMobile;

    /**
     * @return 工厂联系手机
     */
    public String getFactoryMobile() {
        return factoryMobile;
    }

    /**
     * 设置工厂联系手机     *
     * 参数示例：<pre>13100000000</pre>     
     * 此参数必填
     */
    public void setFactoryMobile(String factoryMobile) {
        this.factoryMobile = factoryMobile;
    }

    private String factoryAddress;

    /**
     * @return 工厂联系地址
     */
    public String getFactoryAddress() {
        return factoryAddress;
    }

    /**
     * 设置工厂联系地址     *
     * 参数示例：<pre>浙江杭州xx区yy街道zz号</pre>     
     * 此参数必填
     */
    public void setFactoryAddress(String factoryAddress) {
        this.factoryAddress = factoryAddress;
    }

}
