package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaManufactureProductTask {

    private String productCode;

    /**
     * @return 需求单号(款号)
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置需求单号(款号)     *
     * 参数示例：<pre>THZ0001ABG101</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre>2017-01-01 08:00:09</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre>2017-01-01 09:00:09</pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String taskKey;

    /**
     * @return 任务标识
     */
    public String getTaskKey() {
        return taskKey;
    }

    /**
     * 设置任务标识     *
     * 参数示例：<pre>payFent</pre>     
     * 此参数必填
     */
    public void setTaskKey(String taskKey) {
        this.taskKey = taskKey;
    }

    private String taskName;

    /**
     * @return 任务名称
     */
    public String getTaskName() {
        return taskName;
    }

    /**
     * 设置任务名称     *
     * 参数示例：<pre>打样支付</pre>     
     * 此参数必填
     */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    private String preTaskKey;

    /**
     * @return 前置任务标识
     */
    public String getPreTaskKey() {
        return preTaskKey;
    }

    /**
     * 设置前置任务标识     *
     * 参数示例：<pre>receiveFent</pre>     
     * 此参数必填
     */
    public void setPreTaskKey(String preTaskKey) {
        this.preTaskKey = preTaskKey;
    }

    private Date gmtStart;

    /**
     * @return 初始计划时间
     */
    public Date getGmtStart() {
        return gmtStart;
    }

    /**
     * 设置初始计划时间     *
     * 参数示例：<pre>2017-02-01 09:00:09</pre>     
     * 此参数必填
     */
    public void setGmtStart(Date gmtStart) {
        this.gmtStart = gmtStart;
    }

    private Date gmtPlan;

    /**
     * @return 当前计划时间
     */
    public Date getGmtPlan() {
        return gmtPlan;
    }

    /**
     * 设置当前计划时间     *
     * 参数示例：<pre>2017-02-02 09:00:09</pre>     
     * 此参数必填
     */
    public void setGmtPlan(Date gmtPlan) {
        this.gmtPlan = gmtPlan;
    }

    private Date gmtActual;

    /**
     * @return 实际完成时间
     */
    public Date getGmtActual() {
        return gmtActual;
    }

    /**
     * 设置实际完成时间     *
     * 参数示例：<pre>2017-02-02 09:00:09</pre>     
     * 此参数必填
     */
    public void setGmtActual(Date gmtActual) {
        this.gmtActual = gmtActual;
    }

}
