package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaMarketingCouponActivityModel {

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Integer couponSpreadType;

    /**
     * @return 优惠券的推广方式：1为买家领取，2为定向发放
     */
    public Integer getCouponSpreadType() {
        return couponSpreadType;
    }

    /**
     * 设置优惠券的推广方式：1为买家领取，2为定向发放     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponSpreadType(Integer couponSpreadType) {
        this.couponSpreadType = couponSpreadType;
    }

    private Boolean transfer;

    /**
     * @return 是否允许转赠：true为允许，false为不允许
     */
    public Boolean getTransfer() {
        return transfer;
    }

    /**
     * 设置是否允许转赠：true为允许，false为不允许     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTransfer(Boolean transfer) {
        this.transfer = transfer;
    }

    private Integer discountFee;

    /**
     * @return 优惠券面额，单位为分
     */
    public Integer getDiscountFee() {
        return discountFee;
    }

    /**
     * 设置优惠券面额，单位为分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscountFee(Integer discountFee) {
        this.discountFee = discountFee;
    }

    private Boolean onlySupportMobile;

    /**
     * @return 是否是手机专用：true表示领取到的优惠券只能在手机下单
     */
    public Boolean getOnlySupportMobile() {
        return onlySupportMobile;
    }

    /**
     * 设置是否是手机专用：true表示领取到的优惠券只能在手机下单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOnlySupportMobile(Boolean onlySupportMobile) {
        this.onlySupportMobile = onlySupportMobile;
    }

    private String couponName;

    /**
     * @return 优惠券名称
     */
    public String getCouponName() {
        return couponName;
    }

    /**
     * 设置优惠券名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponName(String couponName) {
        this.couponName = couponName;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Integer couponType;

    /**
     * @return 优惠券类型：0为店铺券、1为商品券、8为包邮券
     */
    public Integer getCouponType() {
        return couponType;
    }

    /**
     * 设置优惠券类型：0为店铺券、1为商品券、8为包邮券     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }

    private Integer status;

    /**
     * @return 优惠券状态：1为正常，0为已结束，-1为已删除，2为已领完
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置优惠券状态：1为正常，0为已结束，-1为已删除，2为已领完     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    private Boolean isFreePostage;

    /**
     * @return 是否包邮
     */
    public Boolean getIsFreePostage() {
        return isFreePostage;
    }

    /**
     * 设置是否包邮     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsFreePostage(Boolean isFreePostage) {
        this.isFreePostage = isFreePostage;
    }

    private Integer applyPlace;

    /**
     * @return 优惠券展示位置：0为展示在旺铺，8为只展示在优惠券设置后台
     */
    public Integer getApplyPlace() {
        return applyPlace;
    }

    /**
     * 设置优惠券展示位置：0为展示在旺铺，8为只展示在优惠券设置后台     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyPlace(Integer applyPlace) {
        this.applyPlace = applyPlace;
    }

    private Long couponId;

    /**
     * @return 券实例id
     */
    public Long getCouponId() {
        return couponId;
    }

    /**
     * 设置券实例id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    private Integer personLimitCount;

    /**
     * @return 每人限领量
     */
    public Integer getPersonLimitCount() {
        return personLimitCount;
    }

    /**
     * 设置每人限领量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPersonLimitCount(Integer personLimitCount) {
        this.personLimitCount = personLimitCount;
    }

    private Date endTime;

    /**
     * @return 优惠券结束时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 设置优惠券结束时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    private Integer appliedCount;

    /**
     * @return 已领取量
     */
    public Integer getAppliedCount() {
        return appliedCount;
    }

    /**
     * 设置已领取量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppliedCount(Integer appliedCount) {
        this.appliedCount = appliedCount;
    }

    private Boolean isLocked;

    /**
     * @return 是否被锁定，如果锁定，则不能执行编辑、结束、删除操作
     */
    public Boolean getIsLocked() {
        return isLocked;
    }

    /**
     * 设置是否被锁定，如果锁定，则不能执行编辑、结束、删除操作     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsLocked(Boolean isLocked) {
        this.isLocked = isLocked;
    }

    private List offerIdList;

    /**
     * @return 商品优惠券，指定参与的商品列表
     */
    public List getOfferIdList() {
        return offerIdList;
    }

    /**
     * 设置商品优惠券，指定参与的商品列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferIdList(List offerIdList) {
        this.offerIdList = offerIdList;
    }

    private Integer activityId;

    /**
     * @return 优惠券活动id
     */
    public Integer getActivityId() {
        return activityId;
    }

    /**
     * 设置优惠券活动id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    private Date startTime;

    /**
     * @return 优惠券活动的开始时间
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * 设置优惠券活动的开始时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    private String skinPictureIndex;

    /**
     * @return 优惠券预览的样式，样式的编码
     */
    public String getSkinPictureIndex() {
        return skinPictureIndex;
    }

    /**
     * 设置优惠券预览的样式，样式的编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkinPictureIndex(String skinPictureIndex) {
        this.skinPictureIndex = skinPictureIndex;
    }

    private Integer totalCount;

    /**
     * @return 优惠券的发行总量
     */
    public Integer getTotalCount() {
        return totalCount;
    }

    /**
     * 设置优惠券的发行总量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    private Long sellerId;

    /**
     * @return 卖家id
     */
    public Long getSellerId() {
        return sellerId;
    }

    /**
     * 设置卖家id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    private Integer startFee;

    /**
     * @return 优惠券使用条件，满多少钱，单位分
     */
    public Integer getStartFee() {
        return startFee;
    }

    /**
     * 设置优惠券使用条件，满多少钱，单位分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartFee(Integer startFee) {
        this.startFee = startFee;
    }

    private Integer participateRange;

    /**
     * @return 是否全部货品参与：0为全部货品参与，1为部分货品参与
     */
    public Integer getParticipateRange() {
        return participateRange;
    }

    /**
     * 设置是否全部货品参与：0为全部货品参与，1为部分货品参与     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParticipateRange(Integer participateRange) {
        this.participateRange = participateRange;
    }

    private Long couponSpreadId;

    /**
     * @return 优惠券如果是支持“买家领取”的推广方式，那么需要用该字段来构造优惠券的领取连接
     */
    public Long getCouponSpreadId() {
        return couponSpreadId;
    }

    /**
     * 设置优惠券如果是支持“买家领取”的推广方式，那么需要用该字段来构造优惠券的领取连接     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponSpreadId(Long couponSpreadId) {
        this.couponSpreadId = couponSpreadId;
    }

}
