package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPanamaUnicomOrderModel {

    private Long orderNakedPriceTotal;

    /**
     * @return 订单裸价合计
     */
    public Long getOrderNakedPriceTotal() {
        return orderNakedPriceTotal;
    }

    /**
     * 设置订单裸价合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderNakedPriceTotal(Long orderNakedPriceTotal) {
        this.orderNakedPriceTotal = orderNakedPriceTotal;
    }

    private AlibabaPanamaUnicomSubOrderModel[] subOrderList;

    /**
     * @return 子订单列表
     */
    public AlibabaPanamaUnicomSubOrderModel[] getSubOrderList() {
        return subOrderList;
    }

    /**
     * 设置子订单列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubOrderList(AlibabaPanamaUnicomSubOrderModel[] subOrderList) {
        this.subOrderList = subOrderList;
    }

    private Long orderTaxPriceTotal;

    /**
     * @return 订单税额合计
     */
    public Long getOrderTaxPriceTotal() {
        return orderTaxPriceTotal;
    }

    /**
     * 设置订单税额合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderTaxPriceTotal(Long orderTaxPriceTotal) {
        this.orderTaxPriceTotal = orderTaxPriceTotal;
    }

    private Long orderPriceTotal;

    /**
     * @return 订单企业价合计
     */
    public Long getOrderPriceTotal() {
        return orderPriceTotal;
    }

    /**
     * 设置订单企业价合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderPriceTotal(Long orderPriceTotal) {
        this.orderPriceTotal = orderPriceTotal;
    }

    private Integer orderState;

    /**
     * @return 订单状态（ 0：取消订单  1：有效）
     */
    public Integer getOrderState() {
        return orderState;
    }

    /**
     * 设置订单状态（ 0：取消订单  1：有效）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderState(Integer orderState) {
        this.orderState = orderState;
    }

    private Integer submitState;

    /**
     * @return 0：未确认下单订单1：确认下单订单
     */
    public Integer getSubmitState() {
        return submitState;
    }

    /**
     * 设置0：未确认下单订单1：确认下单订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubmitState(Integer submitState) {
        this.submitState = submitState;
    }

    private String parentOrderId;

    /**
     * @return 主订单 id
     */
    public String getParentOrderId() {
        return parentOrderId;
    }

    /**
     * 设置主订单 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentOrderId(String parentOrderId) {
        this.parentOrderId = parentOrderId;
    }

    private Integer type;

    /**
     * @return 1（订单类型1：父订单;订单类型2：子订单）
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置1（订单类型1：父订单;订单类型2：子订单）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setType(Integer type) {
        this.type = type;
    }

}
