package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductFastPublishModel {

    private String subject;

    /**
     * @return 不允许超过60个字符，中文按2个字符计算
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置不允许超过60个字符，中文按2个字符计算     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private String productUUID;

    /**
     * @return 全行业唯一标准的实别码，目前在化工行业有用
     */
    public String getProductUUID() {
        return productUUID;
    }

    /**
     * 设置全行业唯一标准的实别码，目前在化工行业有用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductUUID(String productUUID) {
        this.productUUID = productUUID;
    }

    private String packageList;

    /**
     * @return 包装清单
     */
    public String getPackageList() {
        return packageList;
    }

    /**
     * 设置包装清单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPackageList(String packageList) {
        this.packageList = packageList;
    }

    private String cargo;

    /**
     * @return // 必填 货号 物料号 pMaterialNumber 目前来看pCargoNumber可能和groupid是对等的，
     * 因为有些第三方电商底层就是用pCargoNumber是分组的
     */
    public String getCargo() {
        return cargo;
    }

    /**
     * 设置// 必填 货号 物料号 pMaterialNumber 目前来看pCargoNumber可能和groupid是对等的，
     * 因为有些第三方电商底层就是用pCargoNumber是分组的     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCargo(String cargo) {
        this.cargo = cargo;
    }

    private String cbuCategoryId;

    /**
     * @return cbu市场的叶子类目ID
     */
    public String getCbuCategoryId() {
        return cbuCategoryId;
    }

    /**
     * 设置cbu市场的叶子类目ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCbuCategoryId(String cbuCategoryId) {
        this.cbuCategoryId = cbuCategoryId;
    }

    private String productId;

    /**
     * @return 产品 或者 商品 id
     */
    public String getProductId() {
        return productId;
    }

    /**
     * 设置产品 或者 商品 id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    private List mainImages;

    /**
     * @return 商品主图
     */
    public List getMainImages() {
        return mainImages;
    }

    /**
     * 设置商品主图     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMainImages(List mainImages) {
        this.mainImages = mainImages;
    }

    private Integer amount;

    /**
     * @return 可售 数量 为实际的可售数量 以这个数量为准 虚仓场景
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置可售 数量 为实际的可售数量 以这个数量为准 虚仓场景     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private Integer price_type;

    /**
     * @return 价格类型 1 一口价 2 阶梯价
     */
    public Integer getPrice_type() {
        return price_type;
    }

    /**
     * 设置价格类型 1 一口价 2 阶梯价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice_type(Integer price_type) {
        this.price_type = price_type;
    }

    private String groupId;

    /**
     * @return 由于商品要进行聚合在detail中，方便 买家进行快速下单 ，所以需要第三方市场导入商品的时候 能将他们的 聚合规则提供出来，分批导入的几个商品是不是同一类型 的商品，或者是根据制造商来聚合或者是根据groupid来聚合
     * zkh是按 四级类目id + 标题 + 品牌名
     */
    public String getGroupId() {
        return groupId;
    }

    /**
     * 设置由于商品要进行聚合在detail中，方便 买家进行快速下单 ，所以需要第三方市场导入商品的时候 能将他们的 聚合规则提供出来，分批导入的几个商品是不是同一类型 的商品，或者是根据制造商来聚合或者是根据groupid来聚合
     * zkh是按 四级类目id + 标题 + 品牌名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    private Integer startAmount;

    /**
     * @return 定量
     */
    public Integer getStartAmount() {
        return startAmount;
    }

    /**
     * 设置定量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartAmount(Integer startAmount) {
        this.startAmount = startAmount;
    }

    private String outerCategoryId;

    /**
     * @return 外部市场的叶子类目ID 四级类目
     */
    public String getOuterCategoryId() {
        return outerCategoryId;
    }

    /**
     * 设置外部市场的叶子类目ID 四级类目     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOuterCategoryId(String outerCategoryId) {
        this.outerCategoryId = outerCategoryId;
    }

    private String price;

    /**
     * @return 商品一口价 目前需要满足不同的外部电商对价格精确要求 可能是2位精确可能是4位精确
     */
    public String getPrice() {
        return price;
    }

    /**
     * 设置商品一口价 目前需要满足不同的外部电商对价格精确要求 可能是2位精确可能是4位精确     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(String price) {
        this.price = price;
    }

    private String detailMain;

    /**
     * @return 商品详情主体 只转储前50张图片，剩余全部抛弃
     */
    public String getDetailMain() {
        return detailMain;
    }

    /**
     * 设置商品详情主体 只转储前50张图片，剩余全部抛弃     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDetailMain(String detailMain) {
        this.detailMain = detailMain;
    }

    private String action;

    /**
     * @return 操作动作 删除：delete 修改 : update 新增：add
     */
    public String getAction() {
        return action;
    }

    /**
     * 设置操作动作 删除：delete 修改 : update 新增：add     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAction(String action) {
        this.action = action;
    }

    private List features;

    /**
     * @return 支持商品的特征
     */
    public List getFeatures() {
        return features;
    }

    /**
     * 设置支持商品的特征     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFeatures(List features) {
        this.features = features;
    }

    private String outerCategoryName;

    /**
     * @return 外部市场的叶子类目名称 四级类目
     */
    public String getOuterCategoryName() {
        return outerCategoryName;
    }

    /**
     * 设置外部市场的叶子类目名称 四级类目     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOuterCategoryName(String outerCategoryName) {
        this.outerCategoryName = outerCategoryName;
    }

    private AlibabaOfferPriceranges[] priceranges;

    /**
     * @return 
     */
    public AlibabaOfferPriceranges[] getPriceranges() {
        return priceranges;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPriceranges(AlibabaOfferPriceranges[] priceranges) {
        this.priceranges = priceranges;
    }

    private AlibabaOfferFastPublishsku skus;

    /**
     * @return 
     */
    public AlibabaOfferFastPublishsku getSkus() {
        return skus;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkus(AlibabaOfferFastPublishsku skus) {
        this.skus = skus;
    }

    private String manufacturerProductCode;

    /**
     * @return 厂家编码
     */
    public String getManufacturerProductCode() {
        return manufacturerProductCode;
    }

    /**
     * 设置厂家编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setManufacturerProductCode(String manufacturerProductCode) {
        this.manufacturerProductCode = manufacturerProductCode;
    }

    private String brand;

    /**
     * @return 品牌 必填
     */
    public String getBrand() {
        return brand;
    }

    /**
     * 设置品牌 必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBrand(String brand) {
        this.brand = brand;
    }

    private String model;

    /**
     * @return 型号 必填
     */
    public String getModel() {
        return model;
    }

    /**
     * 设置型号 必填     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setModel(String model) {
        this.model = model;
    }

    private AlibabaOfferPv[] pvs;

    /**
     * @return 
     */
    public AlibabaOfferPv[] getPvs() {
        return pvs;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPvs(AlibabaOfferPv[] pvs) {
        this.pvs = pvs;
    }

}
