package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRtdOrderCreateParam extends AbstractAPIRequest<AlibabaRtdOrderCreateResult> {

    public AlibabaRtdOrderCreateParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.rtd.order.create", 1);
    }

    private String billNo;

    /**
     * @return 订单编号
     */
    public String getBillNo() {
        return billNo;
    }

    /**
     * 设置订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    private String billCreateTime;

    /**
     * @return 订单创建时间
     */
    public String getBillCreateTime() {
        return billCreateTime;
    }

    /**
     * 设置订单创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillCreateTime(String billCreateTime) {
        this.billCreateTime = billCreateTime;
    }

    private String mobile;

    /**
     * @return 收货人手机号
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置收货人手机号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    private String name;

    /**
     * @return 收货人姓名
     */
    public String getName() {
        return name;
    }

    /**
     * 设置收货人姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String telephone;

    /**
     * @return 收货人固定电话
     */
    public String getTelephone() {
        return telephone;
    }

    /**
     * 设置收货人固定电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    private String buyerPostCode;

    /**
     * @return 仓库地址邮编
     */
    public String getBuyerPostCode() {
        return buyerPostCode;
    }

    /**
     * 设置仓库地址邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerPostCode(String buyerPostCode) {
        this.buyerPostCode = buyerPostCode;
    }

    private String address;

    /**
     * @return 收货地址(收货仓库地址)
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置收货地址(收货仓库地址)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private AlibabaRtdOrderOpenSubOrderParam[] items;

    /**
     * @return 子订单列表
     */
    public AlibabaRtdOrderOpenSubOrderParam[] getItems() {
        return items;
    }

    /**
     * 设置子订单列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItems(AlibabaRtdOrderOpenSubOrderParam[] items) {
        this.items = items;
    }

    private String billPayTime;

    /**
     * @return 订单支付时间
     */
    public String getBillPayTime() {
        return billPayTime;
    }

    /**
     * 设置订单支付时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillPayTime(String billPayTime) {
        this.billPayTime = billPayTime;
    }

    private String appCode;

    /**
     * @return 业务域编码
     */
    public String getAppCode() {
        return appCode;
    }

    /**
     * 设置业务域编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    private String channelType;

    /**
     * @return 渠道类型
     */
    public String getChannelType() {
        return channelType;
    }

    /**
     * 设置渠道类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }

    private Long sellerUserId;

    /**
     * @return 外部卖家淘宝userId
     */
    public Long getSellerUserId() {
        return sellerUserId;
    }

    /**
     * 设置外部卖家淘宝userId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerUserId(Long sellerUserId) {
        this.sellerUserId = sellerUserId;
    }

    private Long buyerUserId;

    /**
     * @return 渠道买家淘宝userId
     */
    public Long getBuyerUserId() {
        return buyerUserId;
    }

    /**
     * 设置渠道买家淘宝userId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerUserId(Long buyerUserId) {
        this.buyerUserId = buyerUserId;
    }

    private String comment;

    /**
     * @return 外部买家备注(200字以内)
     */
    public String getComment() {
        return comment;
    }

    /**
     * 设置外部买家备注(200字以内)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    private String barCode;

    /**
     * @return 打印的发货单条码内容(目前支持CODE39)
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置打印的发货单条码内容(目前支持CODE39)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private Map extend;

    /**
     * @return 预留扩展
     */
    public Map getExtend() {
        return extend;
    }

    /**
     * 设置预留扩展     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtend(Map extend) {
        this.extend = extend;
    }

}
