package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaRtdOrderReceiptParam extends AbstractAPIRequest<AlibabaRtdOrderReceiptResult> {

    public AlibabaRtdOrderReceiptParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.rtd.order.receipt", 1);
    }

    private String billNo;

    /**
     * @return 三江购物订单编号
     */
    public String getBillNo() {
        return billNo;
    }

    /**
     * 设置三江购物订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    private String aliBillNo;

    /**
     * @return 对应内部订单编号
     */
    public String getAliBillNo() {
        return aliBillNo;
    }

    /**
     * 设置对应内部订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAliBillNo(String aliBillNo) {
        this.aliBillNo = aliBillNo;
    }

    private Integer realAmount;

    /**
     * @return 实际收货总数量
     */
    public Integer getRealAmount() {
        return realAmount;
    }

    /**
     * 设置实际收货总数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRealAmount(Integer realAmount) {
        this.realAmount = realAmount;
    }

    private AlibabaRtdOrderOpenReceiptSubParam[] items;

    /**
     * @return 具体的商品收货信息
     */
    public AlibabaRtdOrderOpenReceiptSubParam[] getItems() {
        return items;
    }

    /**
     * 设置具体的商品收货信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItems(AlibabaRtdOrderOpenReceiptSubParam[] items) {
        this.items = items;
    }

}
