package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaSellerCouponGetParam extends AbstractAPIRequest<AlibabaSellerCouponGetResult> {

    public AlibabaSellerCouponGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.seller.coupon.get", 1);
    }

    private Long sellerId;

    /**
     * @return 卖家的userid
     */
    public Long getSellerId() {
        return sellerId;
    }

    /**
     * 设置卖家的userid     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    private Set couponTypes;

    /**
     * @return 券类型过滤：店铺券为0、商品券为1、包邮券为8。
    如果传入空集合，则默认查询0、1、8三种类型的卡券
     */
    public Set getCouponTypes() {
        return couponTypes;
    }

    /**
     * 设置券类型过滤：店铺券为0、商品券为1、包邮券为8。
    如果传入空集合，则默认查询0、1、8三种类型的卡券     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponTypes(Set couponTypes) {
        this.couponTypes = couponTypes;
    }

    private Integer terminal;

    /**
     * @return 优惠券使用终端：所有终端可使用为0；手机专享为2
     */
    public Integer getTerminal() {
        return terminal;
    }

    /**
     * 设置优惠券使用终端：所有终端可使用为0；手机专享为2     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTerminal(Integer terminal) {
        this.terminal = terminal;
    }

    private Integer pageIndex;

    /**
     * @return 页码：第一页从1开始
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置页码：第一页从1开始     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 每页大小：默认值为10，最大值150
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页大小：默认值为10，最大值150     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
