package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeBizOrderEntry {

    private Long id;

    /**
     * @return 订单明细的id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置订单明细的id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private Long price;

    /**
     * @return 产品单价
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置产品单价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private BigDecimal quantity;

    /**
     * @return 购买的商品数量
     */
    public BigDecimal getQuantity() {
        return quantity;
    }

    /**
     * 设置购买的商品数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    private BigDecimal quantityFactor;

    /**
     * @return 数量的精度系数，用来表示数量的最小精度为1/quantityFactor个unit
     */
    public BigDecimal getQuantityFactor() {
        return quantityFactor;
    }

    /**
     * 设置数量的精度系数，用来表示数量的最小精度为1/quantityFactor个unit     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantityFactor(BigDecimal quantityFactor) {
        this.quantityFactor = quantityFactor;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private String[] productPic;

    /**
     * @return 产品图片
     */
    public String[] getProductPic() {
        return productPic;
    }

    /**
     * 设置产品图片     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductPic(String[] productPic) {
        this.productPic = productPic;
    }

    private Long entryDiscount;

    /**
     * @return 订单明细涨价或降价的金额（也就是卖家修改的价格），如果是降价，为负数，如果是涨价，为正数
     */
    public Long getEntryDiscount() {
        return entryDiscount;
    }

    /**
     * 设置订单明细涨价或降价的金额（也就是卖家修改的价格），如果是降价，为负数，如果是涨价，为正数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEntryDiscount(Long entryDiscount) {
        this.entryDiscount = entryDiscount;
    }

    private String specId;

    /**
     * @return specId
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置specId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

    private String entryStatus;

    /**
     * @return 状态
     */
    public String getEntryStatus() {
        return entryStatus;
    }

    /**
     * 设置状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEntryStatus(String entryStatus) {
        this.entryStatus = entryStatus;
    }

    private String entryCodStatus;

    /**
     * @return COD物流状态，与淘宝一致
     */
    public String getEntryCodStatus() {
        return entryCodStatus;
    }

    /**
     * 设置COD物流状态，与淘宝一致     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEntryCodStatus(String entryCodStatus) {
        this.entryCodStatus = entryCodStatus;
    }

    private ComAlibabaCaigouApiProductModelSkuSpecAttribute[] specInfo;

    /**
     * @return 规格属性信息
     */
    public ComAlibabaCaigouApiProductModelSkuSpecAttribute[] getSpecInfo() {
        return specInfo;
    }

    /**
     * 设置规格属性信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecInfo(ComAlibabaCaigouApiProductModelSkuSpecAttribute[] specInfo) {
        this.specInfo = specInfo;
    }

    private Long sourceId;

    /**
     * @return 产品的offerId
     */
    public Long getSourceId() {
        return sourceId;
    }

    /**
     * 设置产品的offerId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

}
