package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeLstCloseTradeParam extends AbstractAPIRequest<AlibabaTradeLstCloseTradeResult> {

    public AlibabaTradeLstCloseTradeParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.trade.lst.closeTrade", 1);
    }

    private Long orderId;

    /**
     * @return 订单Id
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String cancelReason;

    /**
     * @return 关闭订单原因
     */
    public String getCancelReason() {
        return cancelReason;
    }

    /**
     * 设置关闭订单原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    private String remark;

    /**
     * @return 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String closeOperateType;

    /**
     * @return 操作者角色
     */
    public String getCloseOperateType() {
        return closeOperateType;
    }

    /**
     * 设置操作者角色     *
     * 参数示例：<pre>1:卖家关闭交易；4:买家关闭交易</pre>     
     * 此参数必填
     */
    public void setCloseOperateType(String closeOperateType) {
        this.closeOperateType = closeOperateType;
    }

}
