package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeOrderModel {

    private String buyerAlipayId;

    /**
     * @return 买家支付宝
     */
    public String getBuyerAlipayId() {
        return buyerAlipayId;
    }

    /**
     * 设置买家支付宝     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerAlipayId(String buyerAlipayId) {
        this.buyerAlipayId = buyerAlipayId;
    }

    private String buyerMemberId;

    /**
     * @return 买家id
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置买家id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private Long id;

    /**
     * @return 订单id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置订单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String sellerAlipayId;

    /**
     * @return 卖家支付宝
     */
    public String getSellerAlipayId() {
        return sellerAlipayId;
    }

    /**
     * 设置卖家支付宝     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerAlipayId(String sellerAlipayId) {
        this.sellerAlipayId = sellerAlipayId;
    }

    private String sellerMemberId;

    /**
     * @return 卖家id
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private String status;

    /**
     * @return exception 交易异常，处理中
    exceptionend 交易异常，已处理完毕
    waitsellermodify 等待买家修改信息
    waitbuyerpay 等待买家付款
    waitsellersend 等待卖家发货
    waitbuyerreceive 等待买家收货
    success 交易成功
    successend 交易成功，保证金已退回
    cancel 交易取消，违约金等交割完毕
    waitsellerbindalipay 等待卖家绑定支付宝
    waitsellerconfirm 等待卖家确认信息
    liquidatealready 交易成功， 已清算 （ETC）
    waitbuyerconfirm 等待买家确认信息
    waitsellerconfirmfund 等待卖家确认到账
    waitselleract 等待卖家XX操作
    waitbuyerconfirmaction 等待买家确认XX操作
    waitsellerpush 等待卖家推进
    waitlogisticstakein 等待物流揽件 COD引入
    waitbuyersign 等待买家签收 COD引入
    signinsuccess 买家已签收 COD引入
    signinfailed 签收失败 COD引入
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置exception 交易异常，处理中
    exceptionend 交易异常，已处理完毕
    waitsellermodify 等待买家修改信息
    waitbuyerpay 等待买家付款
    waitsellersend 等待卖家发货
    waitbuyerreceive 等待买家收货
    success 交易成功
    successend 交易成功，保证金已退回
    cancel 交易取消，违约金等交割完毕
    waitsellerbindalipay 等待卖家绑定支付宝
    waitsellerconfirm 等待卖家确认信息
    liquidatealready 交易成功， 已清算 （ETC）
    waitbuyerconfirm 等待买家确认信息
    waitsellerconfirmfund 等待卖家确认到账
    waitselleract 等待卖家XX操作
    waitbuyerconfirmaction 等待买家确认XX操作
    waitsellerpush 等待卖家推进
    waitlogisticstakein 等待物流揽件 COD引入
    waitbuyersign 等待买家签收 COD引入
    signinsuccess 买家已签收 COD引入
    signinfailed 签收失败 COD引入     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String refundStatus;

    /**
     * @return waitselleragree 等待卖家同意
    refundsuccess 退款成功
    refundclose 退款关闭
    waitbuyermodify 待买家修改
    waitbuyersend 等待买家退货
    waitsellerreceive 等待卖家确认收货
     */
    public String getRefundStatus() {
        return refundStatus;
    }

    /**
     * 设置waitselleragree 等待卖家同意
    refundsuccess 退款成功
    refundclose 退款关闭
    waitbuyermodify 待买家修改
    waitbuyersend 等待买家退货
    waitsellerreceive 等待卖家确认收货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }

    private String tradeType;

    /**
     * @return 1 担保交易
    2 预存款交易
    3 ETC境外收单交易
    4 即时到帐交易
    5 保障金安全交易
    6 统一交易流程
    7 分阶段付款
    8 货到付款交易
    9 信用凭证支付交易
    10 账期支付交易
     */
    public String getTradeType() {
        return tradeType;
    }

    /**
     * 设置1 担保交易
    2 预存款交易
    3 ETC境外收单交易
    4 即时到帐交易
    5 保障金安全交易
    6 统一交易流程
    7 分阶段付款
    8 货到付款交易
    9 信用凭证支付交易
    10 账期支付交易     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    private String alipayTradeId;

    /**
     * @return 支付宝交易号
     */
    public String getAlipayTradeId() {
        return alipayTradeId;
    }

    /**
     * 设置支付宝交易号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlipayTradeId(String alipayTradeId) {
        this.alipayTradeId = alipayTradeId;
    }

    private String gmtPayment;

    /**
     * @return 付款时间
     */
    public String getGmtPayment() {
        return gmtPayment;
    }

    /**
     * 设置付款时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtPayment(String gmtPayment) {
        this.gmtPayment = gmtPayment;
    }

    private String gmtCreate;

    /**
     * @return 订单创建时间
     */
    public String getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置订单创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String gmtModified;

    /**
     * @return 订单修改时间
     */
    public String getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置订单修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Long carriage;

    /**
     * @return 运费
     */
    public Long getCarriage() {
        return carriage;
    }

    /**
     * 设置运费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCarriage(Long carriage) {
        this.carriage = carriage;
    }

    private Long discount;

    /**
     * @return 折扣
     */
    public Long getDiscount() {
        return discount;
    }

    /**
     * 设置折扣     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscount(Long discount) {
        this.discount = discount;
    }

    private Long sumPayment;

    /**
     * @return 付款总金额，单位（分）订单需要支付的总金额=产品总金额+运费-折扣金额-抵价券（如果有的话）
     */
    public Long getSumPayment() {
        return sumPayment;
    }

    /**
     * 设置付款总金额，单位（分）订单需要支付的总金额=产品总金额+运费-折扣金额-抵价券（如果有的话）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumPayment(Long sumPayment) {
        this.sumPayment = sumPayment;
    }

    private Long couponAmount;

    /**
     * @return 抵价券对应的RMB，单位为分
     */
    public Long getCouponAmount() {
        return couponAmount;
    }

    /**
     * 设置抵价券对应的RMB，单位为分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCouponAmount(Long couponAmount) {
        this.couponAmount = couponAmount;
    }

    private String toArea;

    /**
     * @return 收货地址
     */
    public String getToArea() {
        return toArea;
    }

    /**
     * 设置收货地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToArea(String toArea) {
        this.toArea = toArea;
    }

    private String toFullName;

    /**
     * @return 收货人姓名
     */
    public String getToFullName() {
        return toFullName;
    }

    /**
     * 设置收货人姓名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToFullName(String toFullName) {
        this.toFullName = toFullName;
    }

    private String toMobile;

    /**
     * @return 收货人手机
     */
    public String getToMobile() {
        return toMobile;
    }

    /**
     * 设置收货人手机     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToMobile(String toMobile) {
        this.toMobile = toMobile;
    }

    private String toPhone;

    /**
     * @return 收货人电话
     */
    public String getToPhone() {
        return toPhone;
    }

    /**
     * 设置收货人电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToPhone(String toPhone) {
        this.toPhone = toPhone;
    }

    private String toPost;

    /**
     * @return 收货地址邮编
     */
    public String getToPost() {
        return toPost;
    }

    /**
     * 设置收货地址邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToPost(String toPost) {
        this.toPost = toPost;
    }

    private String buyerFeedback;

    /**
     * @return 买家留言
     */
    public String getBuyerFeedback() {
        return buyerFeedback;
    }

    /**
     * 设置买家留言     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerFeedback(String buyerFeedback) {
        this.buyerFeedback = buyerFeedback;
    }

    private OrderMemoModel[] memos;

    /**
     * @return 订单备注
     */
    public OrderMemoModel[] getMemos() {
        return memos;
    }

    /**
     * 设置订单备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemos(OrderMemoModel[] memos) {
        this.memos = memos;
    }

    private AlibabaTradeBizOrderEntry[] orderEntries;

    /**
     * @return 订单明细
     */
    public AlibabaTradeBizOrderEntry[] getOrderEntries() {
        return orderEntries;
    }

    /**
     * 设置订单明细     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderEntries(AlibabaTradeBizOrderEntry[] orderEntries) {
        this.orderEntries = orderEntries;
    }

    private Integer buyerRateStatus;

    /**
     * @return 买家评价状态(4:已评论,5:未评论,6;不需要评论)
     */
    public Integer getBuyerRateStatus() {
        return buyerRateStatus;
    }

    /**
     * 设置买家评价状态(4:已评论,5:未评论,6;不需要评论)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerRateStatus(Integer buyerRateStatus) {
        this.buyerRateStatus = buyerRateStatus;
    }

    private Integer sellerRateStatus;

    /**
     * @return 卖家评价状态(4:已评论,5:未评论,6;不需要评论)
     */
    public Integer getSellerRateStatus() {
        return sellerRateStatus;
    }

    /**
     * 设置卖家评价状态(4:已评论,5:未评论,6;不需要评论)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerRateStatus(Integer sellerRateStatus) {
        this.sellerRateStatus = sellerRateStatus;
    }

    private Boolean stepPayAll;

    /**
     * @return 是否一次性付款
     */
    public Boolean getStepPayAll() {
        return stepPayAll;
    }

    /**
     * 设置是否一次性付款     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepPayAll(Boolean stepPayAll) {
        this.stepPayAll = stepPayAll;
    }

    private Integer payStatus;

    /**
     * @return 1 未冻结/未付款
    2 已冻结/已付款
    4 已退款
    6 已转交易
    7 没有创建外部交易(支付宝交易)
    8 交易未付款被关闭
    9 不可付款(目前仅账期订单使用)
    12 待到账
     */
    public Integer getPayStatus() {
        return payStatus;
    }

    /**
     * 设置1 未冻结/未付款
    2 已冻结/已付款
    4 已退款
    6 已转交易
    7 没有创建外部交易(支付宝交易)
    8 交易未付款被关闭
    9 不可付款(目前仅账期订单使用)
    12 待到账     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    private Integer logisticsStatus;

    /**
     * @return 1 未发货
    2 已发货
    3 已收货
    4 已经退货
    5 部分发货
    8 还未创建物流订单
     */
    public Integer getLogisticsStatus() {
        return logisticsStatus;
    }

    /**
     * 设置1 未发货
    2 已发货
    3 已收货
    4 已经退货
    5 部分发货
    8 还未创建物流订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsStatus(Integer logisticsStatus) {
        this.logisticsStatus = logisticsStatus;
    }

    private String stepAgreementPath;

    /**
     * @return 分阶段法务协议地址，冗余自分阶段模板
     */
    public String getStepAgreementPath() {
        return stepAgreementPath;
    }

    /**
     * 设置分阶段法务协议地址，冗余自分阶段模板     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepAgreementPath(String stepAgreementPath) {
        this.stepAgreementPath = stepAgreementPath;
    }

    private AlibabaTradeBizStepOrderModel[] stepOrderList;

    /**
     * @return 分阶段订单list
     */
    public AlibabaTradeBizStepOrderModel[] getStepOrderList() {
        return stepOrderList;
    }

    /**
     * 设置分阶段订单list     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepOrderList(AlibabaTradeBizStepOrderModel[] stepOrderList) {
        this.stepOrderList = stepOrderList;
    }

    private Long codActualFee;

    /**
     * @return cod交易的实付款（买家实际支付给物流的费用）
     */
    public Long getCodActualFee() {
        return codActualFee;
    }

    /**
     * 设置cod交易的实付款（买家实际支付给物流的费用）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodActualFee(Long codActualFee) {
        this.codActualFee = codActualFee;
    }

    private Boolean codAudit;

    /**
     * @return 是否COD订单并且清算成功
     */
    public Boolean getCodAudit() {
        return codAudit;
    }

    /**
     * 设置是否COD订单并且清算成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodAudit(Boolean codAudit) {
        this.codAudit = codAudit;
    }

    private Long codBuyerFee;

    /**
     * @return 买家承担的服务费
     */
    public Long getCodBuyerFee() {
        return codBuyerFee;
    }

    /**
     * 设置买家承担的服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodBuyerFee(Long codBuyerFee) {
        this.codBuyerFee = codBuyerFee;
    }

    private Long codBuyerInitFee;

    /**
     * @return 买家承担的服务费初始值
     */
    public Long getCodBuyerInitFee() {
        return codBuyerInitFee;
    }

    /**
     * 设置买家承担的服务费初始值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodBuyerInitFee(Long codBuyerInitFee) {
        this.codBuyerInitFee = codBuyerInitFee;
    }

    private Long codFee;

    /**
     * @return cod服务费
     */
    public Long getCodFee() {
        return codFee;
    }

    /**
     * 设置cod服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodFee(Long codFee) {
        this.codFee = codFee;
    }

    private String codFeeDividend;

    /**
     * @return cod三家分润
     */
    public String getCodFeeDividend() {
        return codFeeDividend;
    }

    /**
     * 设置cod三家分润     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodFeeDividend(String codFeeDividend) {
        this.codFeeDividend = codFeeDividend;
    }

    private Date codGmtSign;

    /**
     * @return 买家签收时间(COD)
     */
    public Date getCodGmtSign() {
        return codGmtSign;
    }

    /**
     * 设置买家签收时间(COD)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodGmtSign(Date codGmtSign) {
        this.codGmtSign = codGmtSign;
    }

    private Long codInitFee;

    /**
     * @return cod服务费初始值
     */
    public Long getCodInitFee() {
        return codInitFee;
    }

    /**
     * 设置cod服务费初始值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodInitFee(Long codInitFee) {
        this.codInitFee = codInitFee;
    }

    private Long codSellerFee;

    /**
     * @return 卖家承担的服务费
     */
    public Long getCodSellerFee() {
        return codSellerFee;
    }

    /**
     * 设置卖家承担的服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodSellerFee(Long codSellerFee) {
        this.codSellerFee = codSellerFee;
    }

    private Integer codStatus;

    /**
     * @return 初始值，没有业务逻辑在:0
    接单:20
    不接单:-20
    接单超时:2
    揽收成功:30
    揽收失败:-30
    揽收超时:3
    签收成功:100
    签收失败:-100
    订单等候发送给物流公司:10
    用户取消物流订单:-1
     */
    public Integer getCodStatus() {
        return codStatus;
    }

    /**
     * 设置初始值，没有业务逻辑在:0
    接单:20
    不接单:-20
    接单超时:2
    揽收成功:30
    揽收失败:-30
    揽收超时:3
    签收成功:100
    签收失败:-100
    订单等候发送给物流公司:10
    用户取消物流订单:-1     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodStatus(Integer codStatus) {
        this.codStatus = codStatus;
    }

}
