package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaUnicomSyncSettlementParam extends AbstractAPIRequest<AlibabaUnicomSyncSettlementResult> {

    public AlibabaUnicomSyncSettlementParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "alibaba.unicom.SyncSettlement", 1);
    }

    private String supplierOrder;

    /**
     * @return 电商发票请求子订单号，批量以，分割
     */
    public String getSupplierOrder() {
        return supplierOrder;
    }

    /**
     * 设置电商发票请求子订单号，批量以，分割     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierOrder(String supplierOrder) {
        this.supplierOrder = supplierOrder;
    }

    private String markId;

    /**
     * @return 第三方申请发票的唯一id标识 (该标记下可以对应多张发票信息)
     */
    public String getMarkId() {
        return markId;
    }

    /**
     * 设置第三方申请发票的唯一id标识 (该标记下可以对应多张发票信息)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMarkId(String markId) {
        this.markId = markId;
    }

    private String settlementId;

    /**
     * @return 结算单号-客户自己填写
     */
    public String getSettlementId() {
        return settlementId;
    }

    /**
     * 设置结算单号-客户自己填写     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSettlementId(String settlementId) {
        this.settlementId = settlementId;
    }

    private Integer settlementNum;

    /**
     * @return 结算单子订单总数
     */
    public Integer getSettlementNum() {
        return settlementNum;
    }

    /**
     * 设置结算单子订单总数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSettlementNum(Integer settlementNum) {
        this.settlementNum = settlementNum;
    }

    private Double settlementNakedPrice;

    /**
     * @return 结算单不含税总金额
     */
    public Double getSettlementNakedPrice() {
        return settlementNakedPrice;
    }

    /**
     * 设置结算单不含税总金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSettlementNakedPrice(Double settlementNakedPrice) {
        this.settlementNakedPrice = settlementNakedPrice;
    }

    private Double settlementTaxPrice;

    /**
     * @return 结算单总税额
     */
    public Double getSettlementTaxPrice() {
        return settlementTaxPrice;
    }

    /**
     * 设置结算单总税额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSettlementTaxPrice(Double settlementTaxPrice) {
        this.settlementTaxPrice = settlementTaxPrice;
    }

    private String invoiceType;

    /**
     * @return 发票类型   1普通 2增值税 4营业税
     */
    public String getInvoiceType() {
        return invoiceType;
    }

    /**
     * 设置发票类型   1普通 2增值税 4营业税     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    private String invoiceOrg;

    /**
     * @return 开票机构544(供应商信息)
     */
    public String getInvoiceOrg() {
        return invoiceOrg;
    }

    /**
     * 设置开票机构544(供应商信息)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceOrg(String invoiceOrg) {
        this.invoiceOrg = invoiceOrg;
    }

    private String bizInvoiceContent;

    /**
     * @return 开票内容：    明细  办公用品  电脑配件  耗材（需要业务部门确认）
     */
    public String getBizInvoiceContent() {
        return bizInvoiceContent;
    }

    /**
     * 设置开票内容：    明细  办公用品  电脑配件  耗材（需要业务部门确认）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizInvoiceContent(String bizInvoiceContent) {
        this.bizInvoiceContent = bizInvoiceContent;
    }

    private String invoiceDate;

    /**
     * @return 期望开票时间  2013-11-8
     */
    public String getInvoiceDate() {
        return invoiceDate;
    }

    /**
     * 设置期望开票时间  2013-11-8     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    private String title;

    /**
     * @return 发票抬头（参考使用）
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置发票抬头（参考使用）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private String billToParty;

    /**
     * @return 收票单位 （填开票省分）
     */
    public String getBillToParty() {
        return billToParty;
    }

    /**
     * 设置收票单位 （填开票省分）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToParty(String billToParty) {
        this.billToParty = billToParty;
    }

    private String billToer;

    /**
     * @return 收票人 （无）
     */
    public String getBillToer() {
        return billToer;
    }

    /**
     * 设置收票人 （无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToer(String billToer) {
        this.billToer = billToer;
    }

    private String billToContact;

    /**
     * @return 收票人联系方式 （无）
     */
    public String getBillToContact() {
        return billToContact;
    }

    /**
     * 设置收票人联系方式 （无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToContact(String billToContact) {
        this.billToContact = billToContact;
    }

    private String billToProvince;

    /**
     * @return 收票人地址（省）  （无）
     */
    public String getBillToProvince() {
        return billToProvince;
    }

    /**
     * 设置收票人地址（省）  （无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToProvince(String billToProvince) {
        this.billToProvince = billToProvince;
    }

    private String billToCity;

    /**
     * @return 收票人地址（市）  （无）
     */
    public String getBillToCity() {
        return billToCity;
    }

    /**
     * 设置收票人地址（市）  （无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToCity(String billToCity) {
        this.billToCity = billToCity;
    }

    private String billToCounty;

    /**
     * @return 收票人地址（区）  （无）
     */
    public String getBillToCounty() {
        return billToCounty;
    }

    /**
     * 设置收票人地址（区）  （无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToCounty(String billToCounty) {
        this.billToCounty = billToCounty;
    }

    private String billToTown;

    /**
     * @return 收票人地址（街道）（无）
     */
    public String getBillToTown() {
        return billToTown;
    }

    /**
     * 设置收票人地址（街道）（无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToTown(String billToTown) {
        this.billToTown = billToTown;
    }

    private String billToAddress;

    /**
     * @return 收票人地址（详细地址）（无）
     */
    public String getBillToAddress() {
        return billToAddress;
    }

    /**
     * 设置收票人地址（详细地址）（无）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillToAddress(String billToAddress) {
        this.billToAddress = billToAddress;
    }

    private String repaymentDate;

    /**
     * @return 预计还款时间2013-11-8
     */
    public String getRepaymentDate() {
        return repaymentDate;
    }

    /**
     * 设置预计还款时间2013-11-8     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRepaymentDate(String repaymentDate) {
        this.repaymentDate = repaymentDate;
    }

    private Integer invoiceNum;

    /**
     * @return 当前批次子订单总数
     */
    public Integer getInvoiceNum() {
        return invoiceNum;
    }

    /**
     * 设置当前批次子订单总数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceNum(Integer invoiceNum) {
        this.invoiceNum = invoiceNum;
    }

    private Double invoiceNakedPrice;

    /**
     * @return 当前批次不含税总金额
     */
    public Double getInvoiceNakedPrice() {
        return invoiceNakedPrice;
    }

    /**
     * 设置当前批次不含税总金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceNakedPrice(Double invoiceNakedPrice) {
        this.invoiceNakedPrice = invoiceNakedPrice;
    }

    private Double invoiceTaxPrice;

    /**
     * @return 当前批次总税额(参考用)
     */
    public Double getInvoiceTaxPrice() {
        return invoiceTaxPrice;
    }

    /**
     * 设置当前批次总税额(参考用)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoiceTaxPrice(Double invoiceTaxPrice) {
        this.invoiceTaxPrice = invoiceTaxPrice;
    }

    private Double invoicePrice;

    /**
     * @return 当前批次含税总金额
     */
    public Double getInvoicePrice() {
        return invoicePrice;
    }

    /**
     * 设置当前批次含税总金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInvoicePrice(Double invoicePrice) {
        this.invoicePrice = invoicePrice;
    }

    private Integer currentBatch;

    /**
     * @return 当前批次
     */
    public Integer getCurrentBatch() {
        return currentBatch;
    }

    /**
     * 设置当前批次     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCurrentBatch(Integer currentBatch) {
        this.currentBatch = currentBatch;
    }

    private Integer totalBatch;

    /**
     * @return 总批次
     */
    public Integer getTotalBatch() {
        return totalBatch;
    }

    /**
     * 设置总批次     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalBatch(Integer totalBatch) {
        this.totalBatch = totalBatch;
    }

    private Double provinceInvoiceNakedAmount;

    /**
     * @return 省份应开发票金额（不含税）
     */
    public Double getProvinceInvoiceNakedAmount() {
        return provinceInvoiceNakedAmount;
    }

    /**
     * 设置省份应开发票金额（不含税）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceInvoiceNakedAmount(Double provinceInvoiceNakedAmount) {
        this.provinceInvoiceNakedAmount = provinceInvoiceNakedAmount;
    }

    private Double provinceInvoiceTaxAmount;

    /**
     * @return 省份应开发票税额
     */
    public Double getProvinceInvoiceTaxAmount() {
        return provinceInvoiceTaxAmount;
    }

    /**
     * 设置省份应开发票税额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceInvoiceTaxAmount(Double provinceInvoiceTaxAmount) {
        this.provinceInvoiceTaxAmount = provinceInvoiceTaxAmount;
    }

    private Double provinceInvoiceAmount;

    /**
     * @return 省份应开发票价税合计
     */
    public Double getProvinceInvoiceAmount() {
        return provinceInvoiceAmount;
    }

    /**
     * 设置省份应开发票价税合计     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceInvoiceAmount(Double provinceInvoiceAmount) {
        this.provinceInvoiceAmount = provinceInvoiceAmount;
    }

}
