package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AppExpireGetParam extends AbstractAPIRequest<AppExpireGetResult> {

    public AppExpireGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "app.expire.get", 1);
    }

    private Date gmtServiceEnd;

    /**
     * @return 订单到期时间
     */
    public Date getGmtServiceEnd() {
        return gmtServiceEnd;
    }

    /**
     * 设置订单到期时间     *
     * 参数示例：<pre>20130509120000000+0800</pre>     
     * 此参数必填
     */
    public void setGmtServiceEnd(Date gmtServiceEnd) {
        this.gmtServiceEnd = gmtServiceEnd;
    }

    private String memberId;

    /**
     * @return 订购者会员memberId
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置订购者会员memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private List bizStatusList;

    /**
     * @return 订单服务状态列表
    B:服务前，S:服务中，P：挂起，E：关闭，C:作废
     */
    public List getBizStatusList() {
        return bizStatusList;
    }

    /**
     * 设置订单服务状态列表
    B:服务前，S:服务中，P：挂起，E：关闭，C:作废     *
     * 参数示例：<pre>["S","E"]</pre>     
     * 此参数必填
     */
    public void setBizStatusList(List bizStatusList) {
        this.bizStatusList = bizStatusList;
    }

    private Integer pageSize;

    /**
     * @return 每页大小（用于分页）
    限制：小于等于50
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页大小（用于分页）
    限制：小于等于50     *
     * 参数示例：<pre>30</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Integer startIndex;

    /**
     * @return 第几页 （用于分页）
     */
    public Integer getStartIndex() {
        return startIndex;
    }

    /**
     * 设置第几页 （用于分页）     *
     * 参数示例：<pre>5</pre>     
     * 此参数必填
     */
    public void setStartIndex(Integer startIndex) {
        this.startIndex = startIndex;
    }

}
