package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class BuyerGetParam extends AbstractAPIRequest<BuyerGetResult> {

    public BuyerGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "buyer.get", 1);
    }

    private String sellerId;

    /**
     * @return 卖家会员ID
     */
    public String getSellerId() {
        return sellerId;
    }

    /**
     * 设置卖家会员ID     *
     * 参数示例：<pre>testFree</pre>     
     * 此参数必填
     */
    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    private Long memberRankId;

    /**
     * @return 会员等级ID。若该值非空且有效，则返回归属该会员等级的买家信息
     */
    public Long getMemberRankId() {
        return memberRankId;
    }

    /**
     * 设置会员等级ID。若该值非空且有效，则返回归属该会员等级的买家信息     *
     * 参数示例：<pre>39537486</pre>     
     * 此参数必填
     */
    public void setMemberRankId(Long memberRankId) {
        this.memberRankId = memberRankId;
    }

    private Integer pageNo;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>3</pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private Integer pageSize;

    /**
     * @return 分页条数。取值范围:大于零的整数;最大值：100；默认值：30。
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页条数。取值范围:大于零的整数;最大值：100；默认值：30。     *
     * 参数示例：<pre>20</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
