package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class BuyerMemberRankSetParam extends AbstractAPIRequest<BuyerMemberRankSetResult> {

    public BuyerMemberRankSetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "buyerMemberRank.set", 1);
    }

    private String sellerId;

    /**
     * @return 卖家会员ID
     */
    public String getSellerId() {
        return sellerId;
    }

    /**
     * 设置卖家会员ID     *
     * 参数示例：<pre>testSeller</pre>     
     * 此参数必填
     */
    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    private String buyerId;

    /**
     * @return 买家会员ID
     */
    public String getBuyerId() {
        return buyerId;
    }

    /**
     * 设置买家会员ID     *
     * 参数示例：<pre>testBuyer</pre>     
     * 此参数必填
     */
    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    private Long memberRankId;

    /**
     * @return 会员等级ID
     */
    public Long getMemberRankId() {
        return memberRankId;
    }

    /**
     * 设置会员等级ID     *
     * 参数示例：<pre>783274832</pre>     
     * 此参数必填
     */
    public void setMemberRankId(Long memberRankId) {
        this.memberRankId = memberRankId;
    }

}
