package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiAccountCreateSubAccountParam extends AbstractAPIRequest<CaigouApiAccountCreateSubAccountResult> {

    public CaigouApiAccountCreateSubAccountParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.account.createSubAccount", 1);
    }

    private String employeeId;

    /**
     * @return 需要创建的子帐号在接入商系统内部唯一编号或者ID
     */
    public String getEmployeeId() {
        return employeeId;
    }

    /**
     * 设置需要创建的子帐号在接入商系统内部唯一编号或者ID     *
     * 参数示例：<pre>001</pre>     
     * 此参数必填
     */
    public void setEmployeeId(String employeeId) {
        this.employeeId = employeeId;
    }

    private String name;

    /**
     * @return 需要创建的子帐号的姓名
     */
    public String getName() {
        return name;
    }

    /**
     * 设置需要创建的子帐号的姓名     *
     * 参数示例：<pre>张三</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String mobileNo;

    /**
     * @return 需要创建的子帐号的手机号，如果为空的话将来无法收到来自1688的采购业务提醒
     */
    public String getMobileNo() {
        return mobileNo;
    }

    /**
     * 设置需要创建的子帐号的手机号，如果为空的话将来无法收到来自1688的采购业务提醒     *
     * 参数示例：<pre>13500000000</pre>     
     * 此参数必填
     */
    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    private String email;

    /**
     * @return 需要创建的子帐号的邮箱，如果为空则无法收到来自1688采购业务的邮件提醒
     */
    public String getEmail() {
        return email;
    }

    /**
     * 设置需要创建的子帐号的邮箱，如果为空则无法收到来自1688采购业务的邮件提醒     *
     * 参数示例：<pre>aaa@aliyun.com</pre>     
     * 此参数必填
     */
    public void setEmail(String email) {
        this.email = email;
    }

    private String sex;

    /**
     * @return 需要创建的子帐号的性别，枚举值：1或者2；1表示男，2表示女
     */
    public String getSex() {
        return sex;
    }

    /**
     * 设置需要创建的子帐号的性别，枚举值：1或者2；1表示男，2表示女     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setSex(String sex) {
        this.sex = sex;
    }

    private String department;

    /**
     * @return 需要创建的子帐号所属部门，多级部门用"-"分割，最多三级；如果为空，系统默认会在主帐号下面创建一个“我的团队”这个部门，所有没有传部门的子帐号都会归属到这个默认部门下面去。
     */
    public String getDepartment() {
        return department;
    }

    /**
     * 设置需要创建的子帐号所属部门，多级部门用"-"分割，最多三级；如果为空，系统默认会在主帐号下面创建一个“我的团队”这个部门，所有没有传部门的子帐号都会归属到这个默认部门下面去。     *
     * 参数示例：<pre>采购部-采购一部-采购一组</pre>     
     * 此参数必填
     */
    public void setDepartment(String department) {
        this.department = department;
    }

    private String role;

    /**
     * @return 需要创建的子帐号在1688的岗位，例如：1688采购员、采购经理、财务，如果为空的话这个子帐号就没有相关采购寻源的权限或者采购的权限
     */
    public String getRole() {
        return role;
    }

    /**
     * 设置需要创建的子帐号在1688的岗位，例如：1688采购员、采购经理、财务，如果为空的话这个子帐号就没有相关采购寻源的权限或者采购的权限     *
     * 参数示例：<pre>1688采购员</pre>     
     * 此参数必填
     */
    public void setRole(String role) {
        this.role = role;
    }

}
