package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiBuyofferPostBuyofferParam extends AbstractAPIRequest<CaigouApiBuyofferPostBuyofferResult> {

    public CaigouApiBuyofferPostBuyofferParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.buyoffer.postBuyoffer", 1);
    }

    private String subject;

    /**
     * @return 询价单标题【不能超过80个字符】
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置询价单标题【不能超过80个字符】     *
     * 参数示例：<pre>采购圆珠笔</pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private Long subUserId;

    /**
     * @return 买家子账号id.这个id同创建子账号接口的返回值。如果不创建子账号，可以不传值！
     */
    public Long getSubUserId() {
        return subUserId;
    }

    /**
     * 设置买家子账号id.这个id同创建子账号接口的返回值。如果不创建子账号，可以不传值！     *
     * 参数示例：<pre>3605512031</pre>     
     * 此参数必填
     */
    public void setSubUserId(Long subUserId) {
        this.subUserId = subUserId;
    }

    private List items;

    /**
     * @return 询价单清单。每个item项包括：subject(采购单条目的标题,String类型,不能为空，最大字符长度300), brandName(品牌,String类型,最大字符长度128), unit(单位,String类型,不能为空，最大字符长度10),purchaseAmount(采购数量,Long类型，不能为空)，productCode(对应的产品的code,String类型，最大字符长度64)，prItemId（pr的item项目的行号，string类型，最大长度为64），desc（询价项目的描述，String类型，最大字符长度2000），attachmentIdList（附件id列表，附件的id来源于上传附件接口）
     */
    public List getItems() {
        return items;
    }

    /**
     * 设置询价单清单。每个item项包括：subject(采购单条目的标题,String类型,不能为空，最大字符长度300), brandName(品牌,String类型,最大字符长度128), unit(单位,String类型,不能为空，最大字符长度10),purchaseAmount(采购数量,Long类型，不能为空)，productCode(对应的产品的code,String类型，最大字符长度64)，prItemId（pr的item项目的行号，string类型，最大长度为64），desc（询价项目的描述，String类型，最大字符长度2000），attachmentIdList（附件id列表，附件的id来源于上传附件接口）     *
     * 参数示例：<pre>[{"desc":"描述","ip":"10.125.194.148","prItemId":"pr的item行号1","productCode":"123","purchaseAmount":12,"subject":"苹果","brandName":"品牌",unit":"个","attachmentIdList":[1262298693,1262298693,1262298707,1262298708]},{"ip":"10.125.194.148","prItemId":"pr的item行号2","productCode":"345","purchaseAmount":4,"subject":"香蕉","unit":"斤"}]</pre>     
     * 此参数必填
     */
    public void setItems(List items) {
        this.items = items;
    }

    private String contact;

    /**
     * @return 联系人【不能超过20个字符】
     */
    public String getContact() {
        return contact;
    }

    /**
     * 设置联系人【不能超过20个字符】     *
     * 参数示例：<pre>高先生</pre>     
     * 此参数必填
     */
    public void setContact(String contact) {
        this.contact = contact;
    }

    private String phone;

    /**
     * @return 手机【不能超过40个字符】
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 设置手机【不能超过40个字符】     *
     * 参数示例：<pre>13485296352</pre>     
     * 此参数必填
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    private String description;

    /**
     * @return 询价单描述【不能超过10000个字符】
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置询价单描述【不能超过10000个字符】     *
     * 参数示例：<pre>物品要实惠，价格要优惠</pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private Date gmtQuotationExpire;

    /**
     * @return 报价截止日期
     */
    public Date getGmtQuotationExpire() {
        return gmtQuotationExpire;
    }

    /**
     * 设置报价截止日期     *
     * 参数示例：<pre>20140801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtQuotationExpire(Date gmtQuotationExpire) {
        this.gmtQuotationExpire = gmtQuotationExpire;
    }

    private String receiveAddressProvince;

    /**
     * @return 收货地省(国标)【6个字符】
     */
    public String getReceiveAddressProvince() {
        return receiveAddressProvince;
    }

    /**
     * 设置收货地省(国标)【6个字符】     *
     * 参数示例：<pre>110000</pre>     
     * 此参数必填
     */
    public void setReceiveAddressProvince(String receiveAddressProvince) {
        this.receiveAddressProvince = receiveAddressProvince;
    }

    private String receiveAddressCity;

    /**
     * @return 收货地市(国标)【6个字符】
     */
    public String getReceiveAddressCity() {
        return receiveAddressCity;
    }

    /**
     * 设置收货地市(国标)【6个字符】     *
     * 参数示例：<pre>110100</pre>     
     * 此参数必填
     */
    public void setReceiveAddressCity(String receiveAddressCity) {
        this.receiveAddressCity = receiveAddressCity;
    }

    private String receiveAddressCounty;

    /**
     * @return 收货地区(国标)【6个字符】
     */
    public String getReceiveAddressCounty() {
        return receiveAddressCounty;
    }

    /**
     * 设置收货地区(国标)【6个字符】     *
     * 参数示例：<pre>110229</pre>     
     * 此参数必填
     */
    public void setReceiveAddressCounty(String receiveAddressCounty) {
        this.receiveAddressCounty = receiveAddressCounty;
    }

    private List expectedSupplierAreas;

    /**
     * @return 供应商要求：供应商所在地要求(国标)
     */
    public List getExpectedSupplierAreas() {
        return expectedSupplierAreas;
    }

    /**
     * 设置供应商要求：供应商所在地要求(国标)     *
     * 参数示例：<pre>["331100","610300"]</pre>     
     * 此参数必填
     */
    public void setExpectedSupplierAreas(List expectedSupplierAreas) {
        this.expectedSupplierAreas = expectedSupplierAreas;
    }

    private String invoiceRequirement;

    /**
     * @return 供应商要求：需要的发票类型.ordinary(普通发票),vat(增值税发票),none(无需发票)
     */
    public String getInvoiceRequirement() {
        return invoiceRequirement;
    }

    /**
     * 设置供应商要求：需要的发票类型.ordinary(普通发票),vat(增值税发票),none(无需发票)     *
     * 参数示例：<pre>vat</pre>     
     * 此参数必填
     */
    public void setInvoiceRequirement(String invoiceRequirement) {
        this.invoiceRequirement = invoiceRequirement;
    }

    private Boolean supportAlipayGuaranteeTrade;

    /**
     * @return 供应商要求：是否支持支付宝担保交易
     */
    public Boolean getSupportAlipayGuaranteeTrade() {
        return supportAlipayGuaranteeTrade;
    }

    /**
     * 设置供应商要求：是否支持支付宝担保交易     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setSupportAlipayGuaranteeTrade(Boolean supportAlipayGuaranteeTrade) {
        this.supportAlipayGuaranteeTrade = supportAlipayGuaranteeTrade;
    }

    private List certificateIds;

    /**
     * @return 供应商证书要求。具体值如下：1(营业执照), 2(税务登记证), 3(组织机构代码证), 12(国际和国内的产品认证证书), 37(环境管理体系认证证书), 38(企业质量管理体系认证证书), 4(外商投资企业批准证书(外资企业必须)), 103(其他), 400(税务登记证副本（加盖增值税一般纳税人印章）), 5(食品生产许可证 ), 6(酒类生产许可证), 7(化妆品生产许可证), 8(药品生产许可证), 25(安全生产许可证 ), 26(医疗器械生产企业许可证), 27(制造计量器具许可证), 28(特种设备制造许可证（包括压力容器）), 29(建筑业企业资质证书), 30(排放污染物许可证 ), 31(烟草专卖许可证), 32(药品经营许可证), 33(危险化学品经营许可证), 34(烟花爆竹零售经营许可), 35(食品经营许可证), 36(餐饮服务许可证), 39(其他), 101(道路运输经营许可证), 102(印刷经营许可证), 201(食品流通许可证), 202(食品卫生许可证), 203(酒类流通备案登记表), 204(酒类商品批发许可证), 205(酒类商品零售许可证), 206(酒类产销许可证), 207(进口货物报关单), 208(商品出入境检验检疫合格证明), 209(出入境检验检疫卫生证书), 9(产品质量监督检查证书), 10(品牌授权书(如驰名商标、行业知名品牌)), 11(区域代理授权书), 16(纺织品生态标签发明专利、外观设计专利、实用新型外观设计类证书), 17(商标注册证), 19(其他), 20(荣誉证书，如消费者协会荣誉证书、行业协会荣誉证书、重合同守信用证书), 21(银行资信类证书、银行评级证明), 22(开户许可证), 23(公司证明、人事证明、纳税证明)
     */
    public List getCertificateIds() {
        return certificateIds;
    }

    /**
     * 设置供应商证书要求。具体值如下：1(营业执照), 2(税务登记证), 3(组织机构代码证), 12(国际和国内的产品认证证书), 37(环境管理体系认证证书), 38(企业质量管理体系认证证书), 4(外商投资企业批准证书(外资企业必须)), 103(其他), 400(税务登记证副本（加盖增值税一般纳税人印章）), 5(食品生产许可证 ), 6(酒类生产许可证), 7(化妆品生产许可证), 8(药品生产许可证), 25(安全生产许可证 ), 26(医疗器械生产企业许可证), 27(制造计量器具许可证), 28(特种设备制造许可证（包括压力容器）), 29(建筑业企业资质证书), 30(排放污染物许可证 ), 31(烟草专卖许可证), 32(药品经营许可证), 33(危险化学品经营许可证), 34(烟花爆竹零售经营许可), 35(食品经营许可证), 36(餐饮服务许可证), 39(其他), 101(道路运输经营许可证), 102(印刷经营许可证), 201(食品流通许可证), 202(食品卫生许可证), 203(酒类流通备案登记表), 204(酒类商品批发许可证), 205(酒类商品零售许可证), 206(酒类产销许可证), 207(进口货物报关单), 208(商品出入境检验检疫合格证明), 209(出入境检验检疫卫生证书), 9(产品质量监督检查证书), 10(品牌授权书(如驰名商标、行业知名品牌)), 11(区域代理授权书), 16(纺织品生态标签发明专利、外观设计专利、实用新型外观设计类证书), 17(商标注册证), 19(其他), 20(荣誉证书，如消费者协会荣誉证书、行业协会荣誉证书、重合同守信用证书), 21(银行资信类证书、银行评级证明), 22(开户许可证), 23(公司证明、人事证明、纳税证明)     *
     * 参数示例：<pre>["1","2"]</pre>     
     * 此参数必填
     */
    public void setCertificateIds(List certificateIds) {
        this.certificateIds = certificateIds;
    }

    private List otherCertificateNames;

    /**
     * @return 供应商要求：其他证书名称【不能超过165个字符】
     */
    public List getOtherCertificateNames() {
        return otherCertificateNames;
    }

    /**
     * 设置供应商要求：其他证书名称【不能超过165个字符】     *
     * 参数示例：<pre>["诚信电商证书"]</pre>     
     * 此参数必填
     */
    public void setOtherCertificateNames(List otherCertificateNames) {
        this.otherCertificateNames = otherCertificateNames;
    }

    private Long regCapital;

    /**
     * @return 供应商要求：注册资金。单位万元
     */
    public Long getRegCapital() {
        return regCapital;
    }

    /**
     * 设置供应商要求：注册资金。单位万元     *
     * 参数示例：<pre>100</pre>     
     * 此参数必填
     */
    public void setRegCapital(Long regCapital) {
        this.regCapital = regCapital;
    }

    private String prId;

    /**
     * @return 外部系统的采购需求的id （prId）【不要大于64个英文或数字字符】
     */
    public String getPrId() {
        return prId;
    }

    /**
     * 设置外部系统的采购需求的id （prId）【不要大于64个英文或数字字符】     *
     * 参数示例：<pre>pr00001</pre>     
     * 此参数必填
     */
    public void setPrId(String prId) {
        this.prId = prId;
    }

    private List attachmentIdList;

    /**
     * @return 附件id的列表。附件id来源于上传附件的接口。
     */
    public List getAttachmentIdList() {
        return attachmentIdList;
    }

    /**
     * 设置附件id的列表。附件id来源于上传附件的接口。     *
     * 参数示例：<pre>[1262298693,1262298693,1262298707,1262298708]</pre>     
     * 此参数必填
     */
    public void setAttachmentIdList(List attachmentIdList) {
        this.attachmentIdList = attachmentIdList;
    }

    private Boolean visibleAfterEndQuote;

    /**
     * @return 未到截止日期不可查看报价
     */
    public Boolean getVisibleAfterEndQuote() {
        return visibleAfterEndQuote;
    }

    /**
     * 设置未到截止日期不可查看报价     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setVisibleAfterEndQuote(Boolean visibleAfterEndQuote) {
        this.visibleAfterEndQuote = visibleAfterEndQuote;
    }

    private Boolean includeTax;

    /**
     * @return 需要包含税价
     */
    public Boolean getIncludeTax() {
        return includeTax;
    }

    /**
     * 设置需要包含税价     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIncludeTax(Boolean includeTax) {
        this.includeTax = includeTax;
    }

    private Boolean quoteHasPostFee;

    /**
     * @return 报价需要包含运费价
     */
    public Boolean getQuoteHasPostFee() {
        return quoteHasPostFee;
    }

    /**
     * 设置报价需要包含运费价     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setQuoteHasPostFee(Boolean quoteHasPostFee) {
        this.quoteHasPostFee = quoteHasPostFee;
    }

    private Boolean allowPartOffer;

    /**
     * @return 允许对询价单商品部分报价
     */
    public Boolean getAllowPartOffer() {
        return allowPartOffer;
    }

    /**
     * 设置允许对询价单商品部分报价     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setAllowPartOffer(Boolean allowPartOffer) {
        this.allowPartOffer = allowPartOffer;
    }

    private Boolean open;

    /**
     * @return 公开询价单
     */
    public Boolean getOpen() {
        return open;
    }

    /**
     * 设置公开询价单     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setOpen(Boolean open) {
        this.open = open;
    }

    private Boolean openToPortal;

    /**
     * @return 公开到portal
     */
    public Boolean getOpenToPortal() {
        return openToPortal;
    }

    /**
     * 设置公开到portal     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setOpenToPortal(Boolean openToPortal) {
        this.openToPortal = openToPortal;
    }

    private String processTemplateCode;

    /**
     * @return 交易方式
     */
    public String getProcessTemplateCode() {
        return processTemplateCode;
    }

    /**
     * 设置交易方式     *
     * 参数示例：<pre>assureTradeBusinessBuy
    担保交易
    accountPeriod 账期
    stepTrade91BusinessBuy 企业担保交易91分阶段
    stepTrade37BusinessBuy 企业担保交易37分阶段
    stepTrade361BusinessBuy 企业担保交易361分阶段
    stepTrade631BusinessBuy 企业担保交易631分阶段</pre>     
     * 此参数必填
     */
    public void setProcessTemplateCode(String processTemplateCode) {
        this.processTemplateCode = processTemplateCode;
    }

    private String transToolType;

    /**
     * @return 支付方式
     */
    public String getTransToolType() {
        return transToolType;
    }

    /**
     * 设置支付方式     *
     * 参数示例：<pre>1 个人支付宝
    2 企业支付宝
    3 银行转账
    4 电子承兑汇票</pre>     
     * 此参数必填
     */
    public void setTransToolType(String transToolType) {
        this.transToolType = transToolType;
    }

    private List supplierAreas;

    /**
     * @return 经营地址
     */
    public List getSupplierAreas() {
        return supplierAreas;
    }

    /**
     * 设置经营地址     *
     * 参数示例：<pre>[1531,4853]</pre>     
     * 此参数必填
     */
    public void setSupplierAreas(List supplierAreas) {
        this.supplierAreas = supplierAreas;
    }

    private String needSignAgreement;

    /**
     * @return 是否需要签署保密协议
     */
    public String getNeedSignAgreement() {
        return needSignAgreement;
    }

    /**
     * 设置是否需要签署保密协议     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedSignAgreement(String needSignAgreement) {
        this.needSignAgreement = needSignAgreement;
    }

    private String subBizType;

    /**
     * @return 采购类型：
    singlepurchase:单次采购
    priceprotocol:长期采购
     */
    public String getSubBizType() {
        return subBizType;
    }

    /**
     * 设置采购类型：
    singlepurchase:单次采购
    priceprotocol:长期采购     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setSubBizType(String subBizType) {
        this.subBizType = subBizType;
    }

    private String sourceMethodType;

    /**
     * @return 询价方式：
    open：对1688公开征集供应商
    allmysupplier：对所有合格供应商公开询价
    selectedmysupplier：只允许我邀请的供应商报价
     */
    public String getSourceMethodType() {
        return sourceMethodType;
    }

    /**
     * 设置询价方式：
    open：对1688公开征集供应商
    allmysupplier：对所有合格供应商公开询价
    selectedmysupplier：只允许我邀请的供应商报价     *
     * 参数示例：<pre>open</pre>     
     * 此参数必填
     */
    public void setSourceMethodType(String sourceMethodType) {
        this.sourceMethodType = sourceMethodType;
    }

    private List supplierMemberIds;

    /**
     * @return 邀请供应商
     */
    public List getSupplierMemberIds() {
        return supplierMemberIds;
    }

    /**
     * 设置邀请供应商     *
     * 参数示例：<pre>["供应商memberId","供应商memberId"]</pre>     
     * 此参数必填
     */
    public void setSupplierMemberIds(List supplierMemberIds) {
        this.supplierMemberIds = supplierMemberIds;
    }

    private Date gmtProtocolStart;

    /**
     * @return 价格有效期开始
     */
    public Date getGmtProtocolStart() {
        return gmtProtocolStart;
    }

    /**
     * 设置价格有效期开始     *
     * 参数示例：<pre>20140801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtProtocolStart(Date gmtProtocolStart) {
        this.gmtProtocolStart = gmtProtocolStart;
    }

    private Date gmtProtocolEnd;

    /**
     * @return 价格有效期结束
     */
    public Date getGmtProtocolEnd() {
        return gmtProtocolEnd;
    }

    /**
     * 设置价格有效期结束     *
     * 参数示例：<pre>20140801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtProtocolEnd(Date gmtProtocolEnd) {
        this.gmtProtocolEnd = gmtProtocolEnd;
    }

    private String receiveStreetAddress;

    /**
     * @return 收货街道地址
     */
    public String getReceiveStreetAddress() {
        return receiveStreetAddress;
    }

    /**
     * 设置收货街道地址     *
     * 参数示例：<pre>长河街道</pre>     
     * 此参数必填
     */
    public void setReceiveStreetAddress(String receiveStreetAddress) {
        this.receiveStreetAddress = receiveStreetAddress;
    }

    private String onlineShoppingDesc;

    /**
     * @return 网购文件描述说明
     */
    public String getOnlineShoppingDesc() {
        return onlineShoppingDesc;
    }

    /**
     * 设置网购文件描述说明     *
     * 参数示例：<pre>网购文件描述说明</pre>     
     * 此参数必填
     */
    public void setOnlineShoppingDesc(String onlineShoppingDesc) {
        this.onlineShoppingDesc = onlineShoppingDesc;
    }

    private List onlineShoppingAttachList;

    /**
     * @return 网购文件附件附件id的列表id来源于上传附件的接口。
     */
    public List getOnlineShoppingAttachList() {
        return onlineShoppingAttachList;
    }

    /**
     * 设置网购文件附件附件id的列表id来源于上传附件的接口。     *
     * 参数示例：<pre>[1262298693,1262298693,1262298707,1262298708]</pre>     
     * 此参数必填
     */
    public void setOnlineShoppingAttachList(List onlineShoppingAttachList) {
        this.onlineShoppingAttachList = onlineShoppingAttachList;
    }

    private Date gmtReceiveBeginDate;

    /**
     * @return 期望收货开始时间
     */
    public Date getGmtReceiveBeginDate() {
        return gmtReceiveBeginDate;
    }

    /**
     * 设置期望收货开始时间     *
     * 参数示例：<pre>20140801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtReceiveBeginDate(Date gmtReceiveBeginDate) {
        this.gmtReceiveBeginDate = gmtReceiveBeginDate;
    }

    private Date gmtReceive;

    /**
     * @return 期望收货结束日期
     */
    public Date getGmtReceive() {
        return gmtReceive;
    }

    /**
     * 设置期望收货结束日期     *
     * 参数示例：<pre>20140801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtReceive(Date gmtReceive) {
        this.gmtReceive = gmtReceive;
    }

    private List supplierLoginIds;

    /**
     * @return 供应商loginIds
     */
    public List getSupplierLoginIds() {
        return supplierLoginIds;
    }

    /**
     * 设置供应商loginIds     *
     * 参数示例：<pre>供应商loginIds</pre>     
     * 此参数必填
     */
    public void setSupplierLoginIds(List supplierLoginIds) {
        this.supplierLoginIds = supplierLoginIds;
    }

    private String purchaseNoteType;

    /**
     * @return 采购单类型
     */
    public String getPurchaseNoteType() {
        return purchaseNoteType;
    }

    /**
     * 设置采购单类型     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setPurchaseNoteType(String purchaseNoteType) {
        this.purchaseNoteType = purchaseNoteType;
    }

    private Integer deliveryPeriod;

    /**
     * @return 交货期
     */
    public Integer getDeliveryPeriod() {
        return deliveryPeriod;
    }

    /**
     * 设置交货期     *
     * 参数示例：<pre>5</pre>     
     * 此参数必填
     */
    public void setDeliveryPeriod(Integer deliveryPeriod) {
        this.deliveryPeriod = deliveryPeriod;
    }

}
