package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiBuyofferQueryListParam extends AbstractAPIRequest<CaigouApiBuyofferQueryListResult> {

    public CaigouApiBuyofferQueryListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.buyoffer.queryList", 1);
    }

    private Long buyerUserId;

    /**
     * @return 采购商的userId：若无，则当主账号查询；否则，按照子账号查询
     */
    public Long getBuyerUserId() {
        return buyerUserId;
    }

    /**
     * 设置采购商的userId：若无，则当主账号查询；否则，按照子账号查询     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerUserId(Long buyerUserId) {
        this.buyerUserId = buyerUserId;
    }

    private String subject;

    /**
     * @return 采购单的标题，支持模糊查询
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置采购单的标题，支持模糊查询     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private List statuses;

    /**
     * @return 采购单状态，可以一次查询多个，值为：等待审核：pending，审核不通过：tbd，接受报名中：sent，报价截止：end，撤销：cancel
     */
    public List getStatuses() {
        return statuses;
    }

    /**
     * 设置采购单状态，可以一次查询多个，值为：等待审核：pending，审核不通过：tbd，接受报名中：sent，报价截止：end，撤销：cancel     *
     * 参数示例：<pre>['cancel','sent']</pre>     
     * 此参数必填
     */
    public void setStatuses(List statuses) {
        this.statuses = statuses;
    }

    private List bizTypes;

    /**
     * @return 业务类型；招投标：bidding，询报价：buyoffer，竞价：auction，招应募：recruitment
     */
    public List getBizTypes() {
        return bizTypes;
    }

    /**
     * 设置业务类型；招投标：bidding，询报价：buyoffer，竞价：auction，招应募：recruitment     *
     * 参数示例：<pre>['buyoffer']</pre>     
     * 此参数必填
     */
    public void setBizTypes(List bizTypes) {
        this.bizTypes = bizTypes;
    }

    private Date startGmtCreate;

    /**
     * @return 查询采购单的创建时间大于等于该时间
     */
    public Date getStartGmtCreate() {
        return startGmtCreate;
    }

    /**
     * 设置查询采购单的创建时间大于等于该时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartGmtCreate(Date startGmtCreate) {
        this.startGmtCreate = startGmtCreate;
    }

    private Date endGmtCreate;

    /**
     * @return 查询采购单的创建时间小于等于该时间
     */
    public Date getEndGmtCreate() {
        return endGmtCreate;
    }

    /**
     * 设置查询采购单的创建时间小于等于该时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEndGmtCreate(Date endGmtCreate) {
        this.endGmtCreate = endGmtCreate;
    }

    private Boolean needPurchaseItem;

    /**
     * @return 是否需要采购单item信息，默认为false
     */
    public Boolean getNeedPurchaseItem() {
        return needPurchaseItem;
    }

    /**
     * 设置是否需要采购单item信息，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedPurchaseItem(Boolean needPurchaseItem) {
        this.needPurchaseItem = needPurchaseItem;
    }

    private Boolean needSuplierRequirment;

    /**
     * @return 是否需要供应商要求信息，默认为false
     */
    public Boolean getNeedSuplierRequirment() {
        return needSuplierRequirment;
    }

    /**
     * 设置是否需要供应商要求信息，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedSuplierRequirment(Boolean needSuplierRequirment) {
        this.needSuplierRequirment = needSuplierRequirment;
    }

    private Boolean needDetail;

    /**
     * @return 是否需要detail信息，默认为false
     */
    public Boolean getNeedDetail() {
        return needDetail;
    }

    /**
     * 设置是否需要detail信息，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedDetail(Boolean needDetail) {
        this.needDetail = needDetail;
    }

    private Boolean needAttachment;

    /**
     * @return 是否需要附件，默认为false
     */
    public Boolean getNeedAttachment() {
        return needAttachment;
    }

    /**
     * 设置是否需要附件，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedAttachment(Boolean needAttachment) {
        this.needAttachment = needAttachment;
    }

    private Boolean needBuyerContact;

    /**
     * @return 是否需要买家联系方式，默认为false
     */
    public Boolean getNeedBuyerContact() {
        return needBuyerContact;
    }

    /**
     * 设置是否需要买家联系方式，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedBuyerContact(Boolean needBuyerContact) {
        this.needBuyerContact = needBuyerContact;
    }

    private Boolean needTradeRequirement;

    /**
     * @return 是否需要交易条件，默认为false
     */
    public Boolean getNeedTradeRequirement() {
        return needTradeRequirement;
    }

    /**
     * 设置是否需要交易条件，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedTradeRequirement(Boolean needTradeRequirement) {
        this.needTradeRequirement = needTradeRequirement;
    }

    private Boolean needRemarkInfo;

    /**
     * @return 是否需要备注信息，默认为false
     */
    public Boolean getNeedRemarkInfo() {
        return needRemarkInfo;
    }

    /**
     * 设置是否需要备注信息，默认为false     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setNeedRemarkInfo(Boolean needRemarkInfo) {
        this.needRemarkInfo = needRemarkInfo;
    }

    private Integer pageStart;

    /**
     * @return 当前页数，不传则默认为第一页，每次限定查询10行。
     */
    public Integer getPageStart() {
        return pageStart;
    }

    /**
     * 设置当前页数，不传则默认为第一页，每次限定查询10行。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageStart(Integer pageStart) {
        this.pageStart = pageStart;
    }

}
