package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiCategoryAddUserCategoryParam extends AbstractAPIRequest<CaigouApiCategoryAddUserCategoryResult> {

    public CaigouApiCategoryAddUserCategoryParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.category.addUserCategory", 1);
    }

    private List categoryList;

    /**
     * @return Json串，包含字段：categoryName：类目名称，categoryId：类目在外部业务的主键编码，parentId：父节点在外部系统的业务编码。
     */
    public List getCategoryList() {
        return categoryList;
    }

    /**
     * 设置Json串，包含字段：categoryName：类目名称，categoryId：类目在外部业务的主键编码，parentId：父节点在外部系统的业务编码。     *
     * 参数示例：<pre>[{"categoryName":"电子产品","categoryId":"sd001","attribute":{"isExternalSupplier":"true"}}，{"categoryName":"笔记本电脑","categoryId":"sd002","parentId":"sd001","attribute":{"isExternalSupplier":"true"}}]</pre>     
     * 此参数必填
     */
    public void setCategoryList(List categoryList) {
        this.categoryList = categoryList;
    }

}
