package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiImageUploadParam extends AbstractAPIRequest<CaigouApiImageUploadResult> {

    public CaigouApiImageUploadParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.image.upload", 1);
    }

    private String name;

    /**
     * @return 图片名称，最长30个字符,如果超长则截取前30个字符.
     */
    public String getName() {
        return name;
    }

    /**
     * 设置图片名称，最长30个字符,如果超长则截取前30个字符.     *
     * 参数示例：<pre>alibaba.png</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private byte[] fileBytes;

    /**
     * @return 图片的二进制数据，向服务端提交文件即可 (fileBytes这个参数不能签名)。使用 enctype="multipart/form-data" 的POST文件上传方式提交数据，最大只支持5M的文件图片
     */
    public byte[] getFileBytes() {
        return fileBytes;
    }

    /**
     * 设置图片的二进制数据，向服务端提交文件即可 (fileBytes这个参数不能签名)。使用 enctype="multipart/form-data" 的POST文件上传方式提交数据，最大只支持5M的文件图片     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFileBytes(byte[] fileBytes) {
        this.fileBytes = fileBytes;
    }

    private String description;

    /**
     * @return 图片描述，最长2000个字符,如果超长则截取前2000个字符
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置图片描述，最长2000个字符,如果超长则截取前2000个字符     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

}
