package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiOrderUpdateOrderStatusParam extends AbstractAPIRequest<CaigouApiOrderUpdateOrderStatusResult> {

    public CaigouApiOrderUpdateOrderStatusParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.order.updateOrderStatus", 1);
    }

    private Long orderId;

    /**
     * @return 订单在1688采购系统中的id
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单在1688采购系统中的id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Long subUserId;

    /**
     * @return 操作员在1688上的子帐号ID，如果接入商有子账号，通过子账号来下单的，则这个参数必传；不传则系统会自动取主账号的userId作为默认值
     */
    public Long getSubUserId() {
        return subUserId;
    }

    /**
     * 设置操作员在1688上的子帐号ID，如果接入商有子账号，通过子账号来下单的，则这个参数必传；不传则系统会自动取主账号的userId作为默认值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubUserId(Long subUserId) {
        this.subUserId = subUserId;
    }

    private String orderStatus;

    /**
     * @return 订单状态默认为enabled，可设置类型为：disabled（无效）、enabled（有效）
     */
    public String getOrderStatus() {
        return orderStatus;
    }

    /**
     * 设置订单状态默认为enabled，可设置类型为：disabled（无效）、enabled（有效）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    private String payStatus;

    /**
     * @return 支付状态，默认为unpaid，可设置状态为：unpaid（未支付），paid（已支付）
     */
    public String getPayStatus() {
        return payStatus;
    }

    /**
     * 设置支付状态，默认为unpaid，可设置状态为：unpaid（未支付），paid（已支付）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    private String logisticsStatus;

    /**
     * @return 物流状态，默认为unshipped，可设置状态为：unshipped（未发货），shipped（已发货），received（已收货）
     */
    public String getLogisticsStatus() {
        return logisticsStatus;
    }

    /**
     * 设置物流状态，默认为unshipped，可设置状态为：unshipped（未发货），shipped（已发货），received（已收货）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsStatus(String logisticsStatus) {
        this.logisticsStatus = logisticsStatus;
    }

    private String failReason;

    /**
     * @return 若订单状态为invalid，则可按照情况给出invalid原因，长度小于等于300，可以为空。
     */
    public String getFailReason() {
        return failReason;
    }

    /**
     * 设置若订单状态为invalid，则可按照情况给出invalid原因，长度小于等于300，可以为空。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

}
