package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiProductClassifyProductParam extends AbstractAPIRequest<CaigouApiProductClassifyProductResult> {

    public CaigouApiProductClassifyProductParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.product.classifyProduct", 1);
    }

    private List productIds;

    /**
     * @return 产品在1688平台上的主键id，java.util.List<java.lang.String>
     */
    public List getProductIds() {
        return productIds;
    }

    /**
     * 设置产品在1688平台上的主键id，java.util.List<java.lang.String>     *
     * 参数示例：<pre>["1232","23423"]</pre>     
     * 此参数必填
     */
    public void setProductIds(List productIds) {
        this.productIds = productIds;
    }

    private Long categoryId;

    /**
     * @return 产品的叶子类目id，1688平台的自定义类目主键
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置产品的叶子类目id，1688平台的自定义类目主键     *
     * 参数示例：<pre>32264</pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

}
