package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiProductQueryProductParam extends AbstractAPIRequest<CaigouApiProductQueryProductResult> {

    public CaigouApiProductQueryProductParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.product.queryProduct", 1);
    }

    private String employeeId;

    /**
     * @return 操作人员编号
     */
    public String getEmployeeId() {
        return employeeId;
    }

    /**
     * 设置操作人员编号     *
     * 参数示例：<pre>emorg_001</pre>     
     * 此参数必填
     */
    public void setEmployeeId(String employeeId) {
        this.employeeId = employeeId;
    }

    private String inputTitle;

    /**
     * @return 产品名(模糊查询)
     */
    public String getInputTitle() {
        return inputTitle;
    }

    /**
     * 设置产品名(模糊查询)     *
     * 参数示例：<pre>JEEP车保险杠</pre>     
     * 此参数必填
     */
    public void setInputTitle(String inputTitle) {
        this.inputTitle = inputTitle;
    }

    private List productCodeList;

    /**
     * @return 产品编号列表
     */
    public List getProductCodeList() {
        return productCodeList;
    }

    /**
     * 设置产品编号列表     *
     * 参数示例：<pre>["prod_01","prod_02"]</pre>     
     * 此参数必填
     */
    public void setProductCodeList(List productCodeList) {
        this.productCodeList = productCodeList;
    }

    private Integer pageIndex;

    /**
     * @return 分页页码
     */
    public Integer getPageIndex() {
        return pageIndex;
    }

    /**
     * 设置分页页码     *
     * 参数示例：<pre>大于0的整数</pre>     
     * 此参数必填
     */
    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    private Integer pageSize;

    /**
     * @return 单页数据行数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置单页数据行数     *
     * 参数示例：<pre>大于0的整数</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
