package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiProductquoteAddProductQuoteParam extends AbstractAPIRequest<CaigouApiProductquoteAddProductQuoteResult> {

    public CaigouApiProductquoteAddProductQuoteParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.productquote.addProductQuote", 1);
    }

    private String supplierMemberId;

    /**
     * @return 供应商在1688的memberId
     */
    public String getSupplierMemberId() {
        return supplierMemberId;
    }

    /**
     * 设置供应商在1688的memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierMemberId(String supplierMemberId) {
        this.supplierMemberId = supplierMemberId;
    }

    private String sourceSupplierId;

    /**
     * @return 供应商在外部系统的ID
     */
    public String getSourceSupplierId() {
        return sourceSupplierId;
    }

    /**
     * 设置供应商在外部系统的ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSourceSupplierId(String sourceSupplierId) {
        this.sourceSupplierId = sourceSupplierId;
    }

    private Long productId;

    /**
     * @return 1688产品ID，报价需要和产品关联
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置1688产品ID，报价需要和产品关联     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private String productQuoteCode;

    /**
     * @return 外部合作方来源ID（key），对接方主键key
     */
    public String getProductQuoteCode() {
        return productQuoteCode;
    }

    /**
     * 设置外部合作方来源ID（key），对接方主键key     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductQuoteCode(String productQuoteCode) {
        this.productQuoteCode = productQuoteCode;
    }

    private String subject;

    /**
     * @return 报价标题
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置报价标题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private List sku;

    /**
     * @return "交互数据结构为：jsonArray 
    skuId：表示集团内部skuId 
    fid：表示对于某一个规格key 
    order：表示顺序 
    阶梯价说明： 
    beginAmount：表示起始数量 
    endAmount：表示结束数量 
    如： 
    大于或等于100，beginAmount：100 
    endAmount:-1 
    1-100不包括100 
    beginAmount：1 
    endAmount：100 "
     */
    public List getSku() {
        return sku;
    }

    /**
     * 设置"交互数据结构为：jsonArray 
    skuId：表示集团内部skuId 
    fid：表示对于某一个规格key 
    order：表示顺序 
    阶梯价说明： 
    beginAmount：表示起始数量 
    endAmount：表示结束数量 
    如： 
    大于或等于100，beginAmount：100 
    endAmount:-1 
    1-100不包括100 
    beginAmount：1 
    endAmount：100 "     *
     * 参数示例：<pre>[
    {
        "beginAmount": 1,
        "imgUrl": "img/ibank/2014/643/145/1262541346_1793450063.jpg",
        "priceRangeList": [
            {
                "beginAmount": 1,
                "bizType": "product",
                "endAmount": 5,
                "price": 10110
            },
            {
                "beginAmount": 6,
                "bizType": "product",
                "endAmount": -1,
                "price": 10010
            }
        ],
        "skuAttributeList": [
            {
                "fid": 100,
                "name": "规格0",
                "order": 1,
                "value": "value00"
            },
            {
                "fid": 101,
                "name": "规格1",
                "order": 2,
                "value": "value01"
            }
        ],
        "skuId": 11854
    },
    {
        "beginAmount": 1,
        "imgUrl": "img/ibank/2014/643/145/1262541346_1793450063.jpg",
        "priceRangeList": [
            {
                "beginAmount": 1,
                "bizType": "product",
                "endAmount": 5,
                "price": 11110
            },
            {
                "beginAmount": 6,
                "bizType": "product",
                "endAmount": -1,
                "price": 11010
            }
        ],
        "skuAttributeList": [
            {
                "fid": 100,
                "name": "规格0",
                "order": 1,
                "value": "value010"
            },
            {
                "fid": 101,
                "name": "规格1",
                "order": 2,
                "value": "value011"
            }
        ],
        "skuId": 11855
    }
    ]</pre>     
     * 此参数必填
     */
    public void setSku(List sku) {
        this.sku = sku;
    }

    private String unit;

    /**
     * @return 报价产品单位，要求和所属产品单位一致
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置报价产品单位，要求和所属产品单位一致     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private Date gmtStartDate;

    /**
     * @return 报价开始日期
     */
    public Date getGmtStartDate() {
        return gmtStartDate;
    }

    /**
     * 设置报价开始日期     *
     * 参数示例：<pre>20141221154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtStartDate(Date gmtStartDate) {
        this.gmtStartDate = gmtStartDate;
    }

    private Date gmtExpireDate;

    /**
     * @return 报价过期日期
     */
    public Date getGmtExpireDate() {
        return gmtExpireDate;
    }

    /**
     * 设置报价过期日期     *
     * 参数示例：<pre>20150801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtExpireDate(Date gmtExpireDate) {
        this.gmtExpireDate = gmtExpireDate;
    }

}
