package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigouApiPurchaseDeletePurchaseItemsParam extends AbstractAPIRequest<CaigouApiPurchaseDeletePurchaseItemsResult> {

    public CaigouApiPurchaseDeletePurchaseItemsParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigou.api.purchase.deletePurchaseItems", 1);
    }

    private Long subUserId;

    /**
     * @return 操作员在1688上的子帐号ID，如果接入商有子账号，通过子账号来下单的，则这个参数必传；不传则系统会自动取主账号的userId作为默认值
     */
    public Long getSubUserId() {
        return subUserId;
    }

    /**
     * 设置操作员在1688上的子帐号ID，如果接入商有子账号，通过子账号来下单的，则这个参数必传；不传则系统会自动取主账号的userId作为默认值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubUserId(Long subUserId) {
        this.subUserId = subUserId;
    }

    private List purchaseItemIds;

    /**
     * @return 要删除的购物车货品的id列表
     */
    public List getPurchaseItemIds() {
        return purchaseItemIds;
    }

    /**
     * 设置要删除的购物车货品的id列表     *
     * 参数示例：<pre>[144,234,555]</pre>     
     * 此参数必填
     */
    public void setPurchaseItemIds(List purchaseItemIds) {
        this.purchaseItemIds = purchaseItemIds;
    }

    private String prId;

    /**
     * @return 接入商系统的采购需求单id
     */
    public String getPrId() {
        return prId;
    }

    /**
     * 设置接入商系统的采购需求单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrId(String prId) {
        this.prId = prId;
    }

    private String orderSource;

    /**
     * @return 订单来源
     */
    public String getOrderSource() {
        return orderSource;
    }

    /**
     * 设置订单来源     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

}
