package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CaigoumallPurchaseitemAddParam extends AbstractAPIRequest<CaigoumallPurchaseitemAddResult> {

    public CaigoumallPurchaseitemAddParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "caigoumall.purchaseitem.add", 1);
    }

    private Long subUserId;

    /**
     * @return 操作员在1688上的子帐号ID，如果接入商有子账号，通过子账号来下单的，则这个参数必传；不传则系统会自动取主账号的userId作为默认值
     */
    public Long getSubUserId() {
        return subUserId;
    }

    /**
     * 设置操作员在1688上的子帐号ID，如果接入商有子账号，通过子账号来下单的，则这个参数必传；不传则系统会自动取主账号的userId作为默认值     *
     * 参数示例：<pre>12324343</pre>     
     * 此参数必填
     */
    public void setSubUserId(Long subUserId) {
        this.subUserId = subUserId;
    }

    private Long quoteId;

    /**
     * @return 报价在1688平台的Id
     */
    public Long getQuoteId() {
        return quoteId;
    }

    /**
     * 设置报价在1688平台的Id     *
     * 参数示例：<pre>123432</pre>     
     * 此参数必填
     */
    public void setQuoteId(Long quoteId) {
        this.quoteId = quoteId;
    }

    private Integer amount;

    /**
     * @return 报价数量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置报价数量     *
     * 参数示例：<pre>12</pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

}
