package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CategoryLevelAttrGetParam extends AbstractAPIRequest<CategoryLevelAttrGetResult> {

    public CategoryLevelAttrGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "category.level.attr.get", 1);
    }

    private Long catId;

    /**
     * @return 叶子类目ID
     */
    public Long getCatId() {
        return catId;
    }

    /**
     * 设置叶子类目ID     *
     * 参数示例：<pre>1031910</pre>     
     * 此参数必填
     */
    public void setCatId(Long catId) {
        this.catId = catId;
    }

    private String pathValues;

    /**
     * @return 属性值路径
     */
    public String getPathValues() {
        return pathValues;
    }

    /**
     * 设置属性值路径     *
     * 参数示例：<pre>属性名和属性值以冒号隔开，子属性以大于号隔开。如offer发布连衣裙类目中，要获取 货源类别: 现货 > 是否库存: 是 下面的属性名和属性值，传入 100000691:46874>7108:21958</pre>     
     * 此参数必填
     */
    public void setPathValues(String pathValues) {
        this.pathValues = pathValues;
    }

}
