package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouApiBuyOfferModelBuyOffer {

    private Date gmtQuotationExpire;

    /**
     * @return 询价单报价截至时间
     */
    public Date getGmtQuotationExpire() {
        return gmtQuotationExpire;
    }

    /**
     * 设置询价单报价截至时间     *
     * 参数示例：<pre>20140405235959000+0800</pre>     
     * 此参数必填
     */
    public void setGmtQuotationExpire(Date gmtQuotationExpire) {
        this.gmtQuotationExpire = gmtQuotationExpire;
    }

    private String description;

    /**
     * @return 描述（有可能是富文本形式）
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置描述（有可能是富文本形式）     *
     * 参数示例：<pre><p>我是询价单补充说明</p></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String status;

    /**
     * @return 询价单状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置询价单状态     *
     * 参数示例：<pre>quotationing</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String title;

    /**
     * @return 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置标题     *
     * 参数示例：<pre>连衣裙</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private ComAlibabaCaigouApiCommonModelAttachment[] attachments;

    /**
     * @return 询价单附件
     */
    public ComAlibabaCaigouApiCommonModelAttachment[] getAttachments() {
        return attachments;
    }

    /**
     * 设置询价单附件     *
     * 参数示例：<pre>[...]</pre>     
     * 此参数必填
     */
    public void setAttachments(ComAlibabaCaigouApiCommonModelAttachment[] attachments) {
        this.attachments = attachments;
    }

    private String purchaseNoteId;

    /**
     * @return 采购单ID（询价单ID）
     */
    public String getPurchaseNoteId() {
        return purchaseNoteId;
    }

    /**
     * 设置采购单ID（询价单ID）     *
     * 参数示例：<pre>700024767</pre>     
     * 此参数必填
     */
    public void setPurchaseNoteId(String purchaseNoteId) {
        this.purchaseNoteId = purchaseNoteId;
    }

    private Long subUserId;

    /**
     * @return 采购商子帐号UserId
     */
    public Long getSubUserId() {
        return subUserId;
    }

    /**
     * 设置采购商子帐号UserId     *
     * 参数示例：<pre>2041569602</pre>     
     * 此参数必填
     */
    public void setSubUserId(Long subUserId) {
        this.subUserId = subUserId;
    }

    private String buyerMemberId;

    /**
     * @return 采购商会员ID
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置采购商会员ID     *
     * 参数示例：<pre>alitpforpd</pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private Date gmtCreate;

    /**
     * @return 询价单创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置询价单创建时间     *
     * 参数示例：<pre>20140306101603000+0800</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private ComAlibabaCaigouApiCommonModelAreaInfo receiptAddress;

    /**
     * @return 收货人地址
     */
    public ComAlibabaCaigouApiCommonModelAreaInfo getReceiptAddress() {
        return receiptAddress;
    }

    /**
     * 设置收货人地址     *
     * 参数示例：<pre>{...}</pre>     
     * 此参数必填
     */
    public void setReceiptAddress(ComAlibabaCaigouApiCommonModelAreaInfo receiptAddress) {
        this.receiptAddress = receiptAddress;
    }

    private ComAlibabaCaigouApiCommonModelPurchaseNoteItem[] purchaseNoteItems;

    /**
     * @return 询价单条目
     */
    public ComAlibabaCaigouApiCommonModelPurchaseNoteItem[] getPurchaseNoteItems() {
        return purchaseNoteItems;
    }

    /**
     * 设置询价单条目     *
     * 参数示例：<pre>[...]</pre>     
     * 此参数必填
     */
    public void setPurchaseNoteItems(ComAlibabaCaigouApiCommonModelPurchaseNoteItem[] purchaseNoteItems) {
        this.purchaseNoteItems = purchaseNoteItems;
    }

    private ComAlibabaCaigouApiCommonModelContactInfo contactInfo;

    /**
     * @return 联系方式
     */
    public ComAlibabaCaigouApiCommonModelContactInfo getContactInfo() {
        return contactInfo;
    }

    /**
     * 设置联系方式     *
     * 参数示例：<pre>{...}</pre>     
     * 此参数必填
     */
    public void setContactInfo(ComAlibabaCaigouApiCommonModelContactInfo contactInfo) {
        this.contactInfo = contactInfo;
    }

    private String prId;

    /**
     * @return 外部系统的prId
     */
    public String getPrId() {
        return prId;
    }

    /**
     * 设置外部系统的prId     *
     * 参数示例：<pre>123abc</pre>     
     * 此参数必填
     */
    public void setPrId(String prId) {
        this.prId = prId;
    }

    private Boolean includeTax;

    /**
     * @return 是否含税
     */
    public Boolean getIncludeTax() {
        return includeTax;
    }

    /**
     * 设置是否含税     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIncludeTax(Boolean includeTax) {
        this.includeTax = includeTax;
    }

    private Boolean isVisibleAfterEndQuote;

    /**
     * @return 标记该询价单是否需要报价截止时间到期后才能查看报价单
     */
    public Boolean getIsVisibleAfterEndQuote() {
        return isVisibleAfterEndQuote;
    }

    /**
     * 设置标记该询价单是否需要报价截止时间到期后才能查看报价单     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsVisibleAfterEndQuote(Boolean isVisibleAfterEndQuote) {
        this.isVisibleAfterEndQuote = isVisibleAfterEndQuote;
    }

}
