package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouApiQuotationModelQuotation {

    private Date expireDate;

    /**
     * @return 报价过期时间
     */
    public Date getExpireDate() {
        return expireDate;
    }

    /**
     * 设置报价过期时间     *
     * 参数示例：<pre>20140326000000000+0800</pre>     
     * 此参数必填
     */
    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    private Long buyOfferId;

    /**
     * @return 报价单关联的询价单Id（自主报价时为空）
     */
    public Long getBuyOfferId() {
        return buyOfferId;
    }

    /**
     * 设置报价单关联的询价单Id（自主报价时为空）     *
     * 参数示例：<pre>700023783</pre>     
     * 此参数必填
     */
    public void setBuyOfferId(Long buyOfferId) {
        this.buyOfferId = buyOfferId;
    }

    private ComAlibabaCaigouApiCommonModelAttachment[] attachments;

    /**
     * @return 附件信息（没有附件时为空）
     */
    public ComAlibabaCaigouApiCommonModelAttachment[] getAttachments() {
        return attachments;
    }

    /**
     * 设置附件信息（没有附件时为空）     *
     * 参数示例：<pre>[...]</pre>     
     * 此参数必填
     */
    public void setAttachments(ComAlibabaCaigouApiCommonModelAttachment[] attachments) {
        this.attachments = attachments;
    }

    private String supplierMemberId;

    /**
     * @return 供应商memberId
     */
    public String getSupplierMemberId() {
        return supplierMemberId;
    }

    /**
     * 设置供应商memberId     *
     * 参数示例：<pre>zhoulhtest002</pre>     
     * 此参数必填
     */
    public void setSupplierMemberId(String supplierMemberId) {
        this.supplierMemberId = supplierMemberId;
    }

    private ComAlibabaCaigouApiCommonModelContactInfo contactInfo;

    /**
     * @return 报价联系人信息
     */
    public ComAlibabaCaigouApiCommonModelContactInfo getContactInfo() {
        return contactInfo;
    }

    /**
     * 设置报价联系人信息     *
     * 参数示例：<pre>{...}</pre>     
     * 此参数必填
     */
    public void setContactInfo(ComAlibabaCaigouApiCommonModelContactInfo contactInfo) {
        this.contactInfo = contactInfo;
    }

    private String invoiceType;

    /**
     * @return 税务发票类型（common：普通发票，vat：17%增值发票，no：不提供发票）
     */
    public String getInvoiceType() {
        return invoiceType;
    }

    /**
     * 设置税务发票类型（common：普通发票，vat：17%增值发票，no：不提供发票）     *
     * 参数示例：<pre>common</pre>     
     * 此参数必填
     */
    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    private Long freight;

    /**
     * @return 预计运费总价（单位：分）
     */
    public Long getFreight() {
        return freight;
    }

    /**
     * 设置预计运费总价（单位：分）     *
     * 参数示例：<pre>100</pre>     
     * 此参数必填
     */
    public void setFreight(Long freight) {
        this.freight = freight;
    }

    private Long totalPrice;

    /**
     * @return 预计产品总价（单位：分）
     */
    public Long getTotalPrice() {
        return totalPrice;
    }

    /**
     * 设置预计产品总价（单位：分）     *
     * 参数示例：<pre>100000</pre>     
     * 此参数必填
     */
    public void setTotalPrice(Long totalPrice) {
        this.totalPrice = totalPrice;
    }

    private String specifications;

    /**
     * @return 补充说明
     */
    public String getSpecifications() {
        return specifications;
    }

    /**
     * 设置补充说明     *
     * 参数示例：<pre>补充说明文案</pre>     
     * 此参数必填
     */
    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    private ComAlibabaCaigouApiCommonModelSupplyNoteItem[] supplyNoteItems;

    /**
     * @return 报价单条目列表
     */
    public ComAlibabaCaigouApiCommonModelSupplyNoteItem[] getSupplyNoteItems() {
        return supplyNoteItems;
    }

    /**
     * 设置报价单条目列表     *
     * 参数示例：<pre>[...]</pre>     
     * 此参数必填
     */
    public void setSupplyNoteItems(ComAlibabaCaigouApiCommonModelSupplyNoteItem[] supplyNoteItems) {
        this.supplyNoteItems = supplyNoteItems;
    }

    private ComAlibabaCaigouApiCommonModelPayRequirement payRequirementInfo;

    /**
     * @return 报价单付款条件
     */
    public ComAlibabaCaigouApiCommonModelPayRequirement getPayRequirementInfo() {
        return payRequirementInfo;
    }

    /**
     * 设置报价单付款条件     *
     * 参数示例：<pre>{...}</pre>     
     * 此参数必填
     */
    public void setPayRequirementInfo(ComAlibabaCaigouApiCommonModelPayRequirement payRequirementInfo) {
        this.payRequirementInfo = payRequirementInfo;
    }

    private Date gmtCreate;

    /**
     * @return 报价单创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置报价单创建时间     *
     * 参数示例：<pre>20140326000000000+0800</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String prId;

    /**
     * @return pr业务标识
     */
    public String getPrId() {
        return prId;
    }

    /**
     * 设置pr业务标识     *
     * 参数示例：<pre>1231234</pre>     
     * 此参数必填
     */
    public void setPrId(String prId) {
        this.prId = prId;
    }

    private Long id;

    /**
     * @return 报价单id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置报价单id     *
     * 参数示例：<pre>121</pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String status;

    /**
     * @return 报价单状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置报价单状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

}
