package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouApiQuoteModelProductQuote {

    private Long id;

    /**
     * @return 产品报价Id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置产品报价Id     *
     * 参数示例：<pre>234234</pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private Date gmtCreate;

    /**
     * @return 产品报价创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置产品报价创建时间     *
     * 参数示例：<pre>1461655397000</pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String supplierMemberId;

    /**
     * @return 供应商memberId
     */
    public String getSupplierMemberId() {
        return supplierMemberId;
    }

    /**
     * 设置供应商memberId     *
     * 参数示例：<pre>b2b-39857844mdfd</pre>     
     * 此参数必填
     */
    public void setSupplierMemberId(String supplierMemberId) {
        this.supplierMemberId = supplierMemberId;
    }

    private String subject;

    /**
     * @return 报价标题，offer名称
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置报价标题，offer名称     *
     * 参数示例：<pre>铅笔盒报价</pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private Long offerId;

    /**
     * @return 产品报价关联的offerId
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置产品报价关联的offerId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private Long productId;

    /**
     * @return 产品报价对于的产品id
     */
    public Long getProductId() {
        return productId;
    }

    /**
     * 设置产品报价对于的产品id     *
     * 参数示例：<pre>34545</pre>     
     * 此参数必填
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    private List images;

    /**
     * @return 产品报价图片列表
     */
    public List getImages() {
        return images;
    }

    /**
     * 设置产品报价图片列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImages(List images) {
        this.images = images;
    }

    private String provinceCode;

    /**
     * @return 发货地省份编码
     */
    public String getProvinceCode() {
        return provinceCode;
    }

    /**
     * 设置发货地省份编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    private String cityCode;

    /**
     * @return 发货地城市编码
     */
    public String getCityCode() {
        return cityCode;
    }

    /**
     * 设置发货地城市编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    private String deliveryTime;

    /**
     * @return 发货时限，对应值如下：_1_days,_3_days,_7_days,_14_days,_30_days,_90_days
     */
    public String getDeliveryTime() {
        return deliveryTime;
    }

    /**
     * 设置发货时限，对应值如下：_1_days,_3_days,_7_days,_14_days,_30_days,_90_days     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDeliveryTime(String deliveryTime) {
        this.deliveryTime = deliveryTime;
    }

    private Long unitAmount;

    /**
     * @return 计量单位数量
     */
    public Long getUnitAmount() {
        return unitAmount;
    }

    /**
     * 设置计量单位数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnitAmount(Long unitAmount) {
        this.unitAmount = unitAmount;
    }

    private Long weight;

    /**
     * @return 单位净重，单位为'克'，每一个unit重量
     */
    public Long getWeight() {
        return weight;
    }

    /**
     * 设置单位净重，单位为'克'，每一个unit重量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWeight(Long weight) {
        this.weight = weight;
    }

    private Long volume;

    /**
     * @return 单位体积，单位为'立方厘米'，每一个unit体积单位体积，单位为'立方厘米'，每一个unit体积
     */
    public Long getVolume() {
        return volume;
    }

    /**
     * 设置单位体积，单位为'立方厘米'，每一个unit体积单位体积，单位为'立方厘米'，每一个unit体积     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setVolume(Long volume) {
        this.volume = volume;
    }

    private String supportRefundServe;

    /**
     * @return 支持退货服务：support_7_days_refund（支持7天退货），not_support_7_days_refund（不支持7天退货）
     */
    public String getSupportRefundServe() {
        return supportRefundServe;
    }

    /**
     * 设置支持退货服务：support_7_days_refund（支持7天退货），not_support_7_days_refund（不支持7天退货）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupportRefundServe(String supportRefundServe) {
        this.supportRefundServe = supportRefundServe;
    }

    private String address;

    /**
     * @return 发货详细地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置发货详细地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String areaCode;

    /**
     * @return 发货地城市区编码
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置发货地城市区编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    private ComAlibabaCaigouApiProductModelSku[] skus;

    /**
     * @return 可能为空，如无SKU则从上级取价格等信息
     */
    public ComAlibabaCaigouApiProductModelSku[] getSkus() {
        return skus;
    }

    /**
     * 设置可能为空，如无SKU则从上级取价格等信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkus(ComAlibabaCaigouApiProductModelSku[] skus) {
        this.skus = skus;
    }

    private Long price;

    /**
     * @return 价格
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置价格     *
     * 参数示例：<pre>10000</pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private Integer taxRate;

    /**
     * @return 税率，如值为17则代表税率为17%
     */
    public Integer getTaxRate() {
        return taxRate;
    }

    /**
     * 设置税率，如值为17则代表税率为17%     *
     * 参数示例：<pre>17</pre>     
     * 此参数必填
     */
    public void setTaxRate(Integer taxRate) {
        this.taxRate = taxRate;
    }

    private Long amount;

    /**
     * @return 商品可售数量，库存
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置商品可售数量，库存     *
     * 参数示例：<pre>10000</pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private String unit;

    /**
     * @return 单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置单位     *
     * 参数示例：<pre>件</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private Date gmtStartDate;

    /**
     * @return 产品报价有效期开始时间
     */
    public Date getGmtStartDate() {
        return gmtStartDate;
    }

    /**
     * 设置产品报价有效期开始时间     *
     * 参数示例：<pre>1461655397000</pre>     
     * 此参数必填
     */
    public void setGmtStartDate(Date gmtStartDate) {
        this.gmtStartDate = gmtStartDate;
    }

    private Date gmtExpireDate;

    /**
     * @return 产品报价有效期结束时间
     */
    public Date getGmtExpireDate() {
        return gmtExpireDate;
    }

    /**
     * 设置产品报价有效期结束时间     *
     * 参数示例：<pre>1464710399000</pre>     
     * 此参数必填
     */
    public void setGmtExpireDate(Date gmtExpireDate) {
        this.gmtExpireDate = gmtExpireDate;
    }

}
