package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class ComAlibabaCaigouCoopapiProductParamAddUpadteUserProductParam {

    private String userCategoryCode;

    /**
     * @return 外部系统中的类目编号
     */
    public String getUserCategoryCode() {
        return userCategoryCode;
    }

    /**
     * 设置外部系统中的类目编号     *
     * 参数示例：<pre>Cat001</pre>     
     * 此参数必填
     */
    public void setUserCategoryCode(String userCategoryCode) {
        this.userCategoryCode = userCategoryCode;
    }

    private String productCode;

    /**
     * @return 外部系统中的商品编号
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 设置外部系统中的商品编号     *
     * 参数示例：<pre>“Pt0001”or
    “Pt0001#Sku0001”</pre>     
     * 此参数必填
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    private String remark;

    /**
     * @return 备注信息
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 设置备注信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    private long[] attachmentList;

    /**
     * @return 附件地址列表
     */
    public long[] getAttachmentList() {
        return attachmentList;
    }

    /**
     * 设置附件地址列表     *
     * 参数示例：<pre>[“000012”,“000013”]</pre>     
     * 此参数必填
     */
    public void setAttachmentList(long[] attachmentList) {
        this.attachmentList = attachmentList;
    }

    private String productAttributes;

    /**
     * @return 产品属性  用来承载Sku属性
     */
    public String getProductAttributes() {
        return productAttributes;
    }

    /**
     * 设置产品属性  用来承载Sku属性     *
     * 参数示例：<pre>{“颜色”:”白色”}</pre>     
     * 此参数必填
     */
    public void setProductAttributes(String productAttributes) {
        this.productAttributes = productAttributes;
    }

    private String unit;

    /**
     * @return 单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置单位     *
     * 参数示例：<pre>双</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String title;

    /**
     * @return 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置标题     *
     * 参数示例：<pre>篮球鞋</pre>     
     * 此参数必填
     */
    public void setTitle(String title) {
        this.title = title;
    }

    private Long referencePrice;

    /**
     * @return 参考价 单位分
     */
    public Long getReferencePrice() {
        return referencePrice;
    }

    /**
     * 设置参考价 单位分     *
     * 参数示例：<pre>15000</pre>     
     * 此参数必填
     */
    public void setReferencePrice(Long referencePrice) {
        this.referencePrice = referencePrice;
    }

    private String originCountry;

    /**
     * @return 原产地
     */
    public String getOriginCountry() {
        return originCountry;
    }

    /**
     * 设置原产地     *
     * 参数示例：<pre>浙江</pre>     
     * 此参数必填
     */
    public void setOriginCountry(String originCountry) {
        this.originCountry = originCountry;
    }

    private String barCode;

    /**
     * @return 条形码
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 设置条形码     *
     * 参数示例：<pre>Ax123ns2df9134</pre>     
     * 此参数必填
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    private String instruction;

    /**
     * @return 说明
     */
    public String getInstruction() {
        return instruction;
    }

    /**
     * 设置说明     *
     * 参数示例：<pre>篮球鞋运动款</pre>     
     * 此参数必填
     */
    public void setInstruction(String instruction) {
        this.instruction = instruction;
    }

    private String extendAttributes;

    /**
     * @return JSON扩展属性 用来承载不同Erp系统的特殊属性【暂时不提供查询】
     */
    public String getExtendAttributes() {
        return extendAttributes;
    }

    /**
     * 设置JSON扩展属性 用来承载不同Erp系统的特殊属性【暂时不提供查询】     *
     * 参数示例：<pre>{“extendUnit”:"箱"}</pre>     
     * 此参数必填
     */
    public void setExtendAttributes(String extendAttributes) {
        this.extendAttributes = extendAttributes;
    }

    private long[] picUrlList;

    /**
     * @return 图片地址列表
     */
    public long[] getPicUrlList() {
        return picUrlList;
    }

    /**
     * 设置图片地址列表     *
     * 参数示例：<pre>[“000012”,“000013”]</pre>     
     * 此参数必填
     */
    public void setPicUrlList(long[] picUrlList) {
        this.picUrlList = picUrlList;
    }

    private Boolean overwrite;

    /**
     * @return 产品更新接口增加了参数overwrite， 默认为false。
    当此参数为false：若已经存在用户在1688平台手工创建的同编号产品数据，会返回fail
    当此参数为true：强制覆盖产品信息，并将此条产品标记为ERP导入数据
    overwrite 不会覆盖上架中的产品
     */
    public Boolean getOverwrite() {
        return overwrite;
    }

    /**
     * 设置产品更新接口增加了参数overwrite， 默认为false。
    当此参数为false：若已经存在用户在1688平台手工创建的同编号产品数据，会返回fail
    当此参数为true：强制覆盖产品信息，并将此条产品标记为ERP导入数据
    overwrite 不会覆盖上架中的产品     *
     * 参数示例：<pre>false</pre>     
     * 此参数必填
     */
    public void setOverwrite(Boolean overwrite) {
        this.overwrite = overwrite;
    }

}
