package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CompanyGetParam extends AbstractAPIRequest<CompanyGetResult> {

    public CompanyGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "company.get", 1);
    }

    private String memberId;

    /**
     * @return 会员ID
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID     *
     * 参数示例：<pre>jaffiy</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String[] returnFields;

    /**
     * @return 自定义返回字段。在companInfo结构中选择需要返回的字段名称，半角逗号分隔
     */
    public String[] getReturnFields() {
        return returnFields;
    }

    /**
     * 设置自定义返回字段。在companInfo结构中选择需要返回的字段名称，半角逗号分隔     *
     * 参数示例：<pre>companyName,productionService,companyCategoryInfo,foundedPlace</pre>     
     * 此参数必填
     */
    public void setReturnFields(String[] returnFields) {
        this.returnFields = returnFields;
    }

}
