package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class CreditInfoGetParam extends AbstractAPIRequest<CreditInfoGetResult> {

    public CreditInfoGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "creditInfo.get", 1);
    }

    private String memberIds;

    /**
     * @return 会员ID，多个ID半角用分号连接，如：test1;test2 最多可以传200个会员ID
     */
    public String getMemberIds() {
        return memberIds;
    }

    /**
     * 设置会员ID，多个ID半角用分号连接，如：test1;test2 最多可以传200个会员ID     *
     * 参数示例：<pre>testfree</pre>     
     * 此参数必填
     */
    public void setMemberIds(String memberIds) {
        this.memberIds = memberIds;
    }

    private String logoStyle;

    /**
     * @return SMALL 小图标；STANDARD 标准图标；WINPORT 旺铺图标；CREDIT 信用标识（默认值）；LARGE_TRANSPARENT 透明图标；SMALL_SEARCH 搜索引擎页面展示诚信通logo图标
     */
    public String getLogoStyle() {
        return logoStyle;
    }

    /**
     * 设置SMALL 小图标；STANDARD 标准图标；WINPORT 旺铺图标；CREDIT 信用标识（默认值）；LARGE_TRANSPARENT 透明图标；SMALL_SEARCH 搜索引擎页面展示诚信通logo图标     *
     * 参数示例：<pre>STANDARD</pre>     
     * 此参数必填
     */
    public void setLogoStyle(String logoStyle) {
        this.logoStyle = logoStyle;
    }

}
