package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankAlbumListParam extends AbstractAPIRequest<IbankAlbumListResult> {

    public IbankAlbumListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.album.list", 1);
    }

    private String albumType;

    /**
     * @return 相册类型
     */
    public String getAlbumType() {
        return albumType;
    }

    /**
     * 设置相册类型     *
     * 参数示例：<pre>CUSTOM-自定义相册；MY-我的相册；</pre>     
     * 此参数必填
     */
    public void setAlbumType(String albumType) {
        this.albumType = albumType;
    }

    private Integer pageSize;

    /**
     * @return 返回列表结果集分页条数。取值范围:大于零的整数;最大值：500；默认值：10。
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置返回列表结果集分页条数。取值范围:大于零的整数;最大值：500；默认值：10。     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Integer pageNo;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

}
