package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankAlbumModifyParam extends AbstractAPIRequest<IbankAlbumModifyResult> {

    public IbankAlbumModifyParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.album.modify", 1);
    }

    private Long albumId;

    /**
     * @return 相册ID
     */
    public Long getAlbumId() {
        return albumId;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre>66200059</pre>     
     * 此参数必填
     */
    public void setAlbumId(Long albumId) {
        this.albumId = albumId;
    }

    private String name;

    /**
     * @return 相册名称。最长30个中文字符。不传默认为不修改。
     */
    public String getName() {
        return name;
    }

    /**
     * 设置相册名称。最长30个中文字符。不传默认为不修改。     *
     * 参数示例：<pre>albumName2</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 相册描述。最长2000个中文字符
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置相册描述。最长2000个中文字符     *
     * 参数示例：<pre>desc1</pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private Integer authority;

    /**
     * @return 相册访问权限。取值范围:0-不公开；1-公开；2-密码访问。只有开通旺铺的会员可以设置相册权限为“公开”和“密码访问”，未开通旺铺的会员相册访问权限限制为“不公开”。不传默认为不修改。
     */
    public Integer getAuthority() {
        return authority;
    }

    /**
     * 设置相册访问权限。取值范围:0-不公开；1-公开；2-密码访问。只有开通旺铺的会员可以设置相册权限为“公开”和“密码访问”，未开通旺铺的会员相册访问权限限制为“不公开”。不传默认为不修改。     *
     * 参数示例：<pre>2</pre>     
     * 此参数必填
     */
    public void setAuthority(Integer authority) {
        this.authority = authority;
    }

    private String password;

    /**
     * @return 相册访问密码。4-16位非中文字符。当authority为2-密码访问时必填。
     */
    public String getPassword() {
        return password;
    }

    /**
     * 设置相册访问密码。4-16位非中文字符。当authority为2-密码访问时必填。     *
     * 参数示例：<pre>1234</pre>     
     * 此参数必填
     */
    public void setPassword(String password) {
        this.password = password;
    }

}
