package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankImageListParam extends AbstractAPIRequest<IbankImageListResult> {

    public IbankImageListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.image.list", 1);
    }

    private Long albumId;

    /**
     * @return 相册ID
     */
    public Long getAlbumId() {
        return albumId;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre>13001</pre>     
     * 此参数必填
     */
    public void setAlbumId(Long albumId) {
        this.albumId = albumId;
    }

    private Integer pageSize;

    /**
     * @return 返回列表结果集分页条数。取值范围:大于零的整数;最大值：500；默认值：10。
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置返回列表结果集分页条数。取值范围:大于零的整数;最大值：500；默认值：10。     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Integer pageNo;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

}
