package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankImageModifyParam extends AbstractAPIRequest<IbankImageModifyResult> {

    public IbankImageModifyParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.image.modify", 1);
    }

    private Long imageId;

    /**
     * @return 图片ID
     */
    public Long getImageId() {
        return imageId;
    }

    /**
     * 设置图片ID     *
     * 参数示例：<pre>150962248</pre>     
     * 此参数必填
     */
    public void setImageId(Long imageId) {
        this.imageId = imageId;
    }

    private String name;

    /**
     * @return 图片名称。最长30个中文字符。不传默认为不修改。
     */
    public String getName() {
        return name;
    }

    /**
     * 设置图片名称。最长30个中文字符。不传默认为不修改。     *
     * 参数示例：<pre>image2</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 图片描述。最长2000个中文字符。不传默认为不修改。
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置图片描述。最长2000个中文字符。不传默认为不修改。     *
          
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

}
