package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class IbankImageUploadParam extends AbstractAPIRequest<IbankImageUploadResult> {

    public IbankImageUploadParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "ibank.image.upload", 1);
    }

    private Long albumId;

    /**
     * @return 相册ID
     */
    public Long getAlbumId() {
        return albumId;
    }

    /**
     * 设置相册ID     *
     * 参数示例：<pre>150962248</pre>     
     * 此参数必填
     */
    public void setAlbumId(Long albumId) {
        this.albumId = albumId;
    }

    private String name;

    /**
     * @return 图片名称。最长30个中文字符。不传默认为不修改。
     */
    public String getName() {
        return name;
    }

    /**
     * 设置图片名称。最长30个中文字符。不传默认为不修改。     *
     * 参数示例：<pre>image1</pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 图片描述。最长2000个中文字符。不传默认为不修改。
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置图片描述。最长2000个中文字符。不传默认为不修改。     *
     * 参数示例：<pre>This is a nice picture.</pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private Boolean drawTxt;

    /**
     * @return 是否打上默认水印
     */
    public Boolean getDrawTxt() {
        return drawTxt;
    }

    /**
     * 设置是否打上默认水印     *
     * 参数示例：<pre>false</pre>     
     * 此参数必填
     */
    public void setDrawTxt(Boolean drawTxt) {
        this.drawTxt = drawTxt;
    }

    private byte[] imageBytes;

    /**
     * @return 图片的二进制数据，向服务端提交文件即可 (二进制文件数组
    PHP 的话，用 base64_encode 转换 
    ，JAVA 是 通过 IOUtils.toByteArray 转换)
     */
    public byte[] getImageBytes() {
        return imageBytes;
    }

    /**
     * 设置图片的二进制数据，向服务端提交文件即可 (二进制文件数组
    PHP 的话，用 base64_encode 转换 
    ，JAVA 是 通过 IOUtils.toByteArray 转换)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageBytes(byte[] imageBytes) {
        this.imageBytes = imageBytes;
    }

}
