package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class Image {

    private String accountId;

    /**
     * @return 会员ID
     */
    public String getAccountId() {
        return accountId;
    }

    /**
     * 设置会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    private Integer id;

    /**
     * @return 图片ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置图片ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Integer id) {
        this.id = id;
    }

    private String name;

    /**
     * @return 图片名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置图片名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 图片描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置图片描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String url;

    /**
     * @return 图片URL(原图)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置图片URL(原图)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）     *
     * 参数示例：<pre>img/ibank/15/02/60/15026073.jpg</pre>     
     * 此参数必填
     */
    public void setUrl(String url) {
        this.url = url;
    }

    private String urlMini;

    /**
     * @return 图片URL(缩略图)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）
     */
    public String getUrlMini() {
        return urlMini;
    }

    /**
     * 设置图片URL(缩略图)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）     *
     * 参数示例：<pre>img/ibank/15/02/60/15026073.jpg</pre>     
     * 此参数必填
     */
    public void setUrlMini(String urlMini) {
        this.urlMini = urlMini;
    }

    private String url310x310;

    /**
     * @return 图片URL(310x310)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）
     */
    public String getUrl310x310() {
        return url310x310;
    }

    /**
     * 设置图片URL(310x310)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）     *
     * 参数示例：<pre>img/ibank/15/02/60/15026073.jpg</pre>     
     * 此参数必填
     */
    public void setUrl310x310(String url310x310) {
        this.url310x310 = url310x310;
    }

    private String url220x220;

    /**
     * @return 图片URL(220x220)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）
     */
    public String getUrl220x220() {
        return url220x220;
    }

    /**
     * 设置图片URL(220x220)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）     *
     * 参数示例：<pre>img/ibank/15/02/60/15026073.jpg</pre>     
     * 此参数必填
     */
    public void setUrl220x220(String url220x220) {
        this.url220x220 = url220x220;
    }

    private String url64x64;

    /**
     * @return 图片URL(64x64)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）
     */
    public String getUrl64x64() {
        return url64x64;
    }

    /**
     * 设置图片URL(64x64)，图片的相对路径（即除去http://server:port部分，如:img/ibank/15/02/60/15026073.jpg）     *
     * 参数示例：<pre>img/ibank/15/02/60/15026073.jpg</pre>     
     * 此参数必填
     */
    public void setUrl64x64(String url64x64) {
        this.url64x64 = url64x64;
    }

    private String createTime;

    /**
     * @return 图片上传时间
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 设置图片上传时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    private Integer size;

    /**
     * @return 图片大小，单位为字节
     */
    public Integer getSize() {
        return size;
    }

    /**
     * 设置图片大小，单位为字节     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSize(Integer size) {
        this.size = size;
    }

    private Integer albumId;

    /**
     * @return 图片所属相册
     */
    public Integer getAlbumId() {
        return albumId;
    }

    /**
     * 设置图片所属相册     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlbumId(Integer albumId) {
        this.albumId = albumId;
    }

}
