package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class LogisticsOrderModel {

    private String type;

    /**
     * @return SELF_SEND_GOODS("0")自行发货，在线发货ONLINE_SEND_GOODS("1"，不需要物流的发货 NO_LOGISTICS_SEND_GOODS("2")
     */
    public String getType() {
        return type;
    }

    /**
     * 设置SELF_SEND_GOODS("0")自行发货，在线发货ONLINE_SEND_GOODS("1"，不需要物流的发货 NO_LOGISTICS_SEND_GOODS("2")     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private Long id;

    /**
     * @return 主键id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String status;

    /**
     * @return 状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Long orderId;

    /**
     * @return 订单id
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Long carriage;

    /**
     * @return 运费(单位为分)
     */
    public Long getCarriage() {
        return carriage;
    }

    /**
     * 设置运费(单位为分)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCarriage(Long carriage) {
        this.carriage = carriage;
    }

    private String toPost;

    /**
     * @return 收货人邮编
     */
    public String getToPost() {
        return toPost;
    }

    /**
     * 设置收货人邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToPost(String toPost) {
        this.toPost = toPost;
    }

    private String toArea;

    /**
     * @return 收货人地址
     */
    public String getToArea() {
        return toArea;
    }

    /**
     * 设置收货人地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToArea(String toArea) {
        this.toArea = toArea;
    }

    private Long logisticsCompanyId;

    /**
     * @return 物流公司编号
     */
    public Long getLogisticsCompanyId() {
        return logisticsCompanyId;
    }

    /**
     * 设置物流公司编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsCompanyId(Long logisticsCompanyId) {
        this.logisticsCompanyId = logisticsCompanyId;
    }

    private String logisticsOrderNo;

    /**
     * @return 物流单号
     */
    public String getLogisticsOrderNo() {
        return logisticsOrderNo;
    }

    /**
     * 设置物流单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsOrderNo(String logisticsOrderNo) {
        this.logisticsOrderNo = logisticsOrderNo;
    }

    private String fromProvince;

    /**
     * @return 发货省编码
     */
    public String getFromProvince() {
        return fromProvince;
    }

    /**
     * 设置发货省编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromProvince(String fromProvince) {
        this.fromProvince = fromProvince;
    }

    private String fromCity;

    /**
     * @return 发货市编码
     */
    public String getFromCity() {
        return fromCity;
    }

    /**
     * 设置发货市编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromCity(String fromCity) {
        this.fromCity = fromCity;
    }

    private String fromArea;

    /**
     * @return 发货区编码
     */
    public String getFromArea() {
        return fromArea;
    }

    /**
     * 设置发货区编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromArea(String fromArea) {
        this.fromArea = fromArea;
    }

    private String fromAddress;

    /**
     * @return 发货街道地址
     */
    public String getFromAddress() {
        return fromAddress;
    }

    /**
     * 设置发货街道地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromAddress(String fromAddress) {
        this.fromAddress = fromAddress;
    }

    private String fromPhone;

    /**
     * @return 发货联系电话
     */
    public String getFromPhone() {
        return fromPhone;
    }

    /**
     * 设置发货联系电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromPhone(String fromPhone) {
        this.fromPhone = fromPhone;
    }

    private String fromMobile;

    /**
     * @return 发货联系手机
     */
    public String getFromMobile() {
        return fromMobile;
    }

    /**
     * 设置发货联系手机     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromMobile(String fromMobile) {
        this.fromMobile = fromMobile;
    }

    private String fromPost;

    /**
     * @return 发货地址邮编
     */
    public String getFromPost() {
        return fromPost;
    }

    /**
     * 设置发货地址邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFromPost(String fromPost) {
        this.fromPost = fromPost;
    }

    private String toProvince;

    /**
     * @return 收货省编码
     */
    public String getToProvince() {
        return toProvince;
    }

    /**
     * 设置收货省编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToProvince(String toProvince) {
        this.toProvince = toProvince;
    }

    private String toContact;

    /**
     * @return 收货联系人
     */
    public String getToContact() {
        return toContact;
    }

    /**
     * 设置收货联系人     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToContact(String toContact) {
        this.toContact = toContact;
    }

    private String logisticsBillNo;

    /**
     * @return 物流公司运单号
     */
    public String getLogisticsBillNo() {
        return logisticsBillNo;
    }

    /**
     * 设置物流公司运单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsBillNo(String logisticsBillNo) {
        this.logisticsBillNo = logisticsBillNo;
    }

    private Date gmtSend;

    /**
     * @return 发货时间
     */
    public Date getGmtSend() {
        return gmtSend;
    }

    /**
     * 设置发货时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtSend(Date gmtSend) {
        this.gmtSend = gmtSend;
    }

    private LogisticsCompanyModel logisticsCompany;

    /**
     * @return 物流公司
     */
    public LogisticsCompanyModel getLogisticsCompany() {
        return logisticsCompany;
    }

    /**
     * 设置物流公司     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsCompany(LogisticsCompanyModel logisticsCompany) {
        this.logisticsCompany = logisticsCompany;
    }

}
