package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferDetailInfo {

    private List skuPics;

    /**
     * @return 
     */
    public List getSkuPics() {
        return skuPics;
    }

    /**
     * 设置     *
     * 参数示例：<pre>{"skuPics":{"3216":[{"深卡其布色":"img/ibank/2013/303/893/863398303_1519036234.jpg"},{"黑色":"img/ibank/2013/203/893/863398302_1519036234.jpg"}]}}</pre>     
     * 此参数必填
     */
    public void setSkuPics(List skuPics) {
        this.skuPics = skuPics;
    }

    private Boolean isPrivateOffer;

    /**
     * @return 是否有私密信息
     */
    public Boolean getIsPrivateOffer() {
        return isPrivateOffer;
    }

    /**
     * 设置是否有私密信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsPrivateOffer(Boolean isPrivateOffer) {
        this.isPrivateOffer = isPrivateOffer;
    }

    private Boolean isPriceAuthOffer;

    /**
     * @return 是否价格私密
     */
    public Boolean getIsPriceAuthOffer() {
        return isPriceAuthOffer;
    }

    /**
     * 设置是否价格私密     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsPriceAuthOffer(Boolean isPriceAuthOffer) {
        this.isPriceAuthOffer = isPriceAuthOffer;
    }

    private Boolean isPicAuthOffer;

    /**
     * @return 是否图片私密
     */
    public Boolean getIsPicAuthOffer() {
        return isPicAuthOffer;
    }

    /**
     * 设置是否图片私密     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsPicAuthOffer(Boolean isPicAuthOffer) {
        this.isPicAuthOffer = isPicAuthOffer;
    }

    private Long offerId;

    /**
     * @return 商品ID
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置商品ID     *
     * 参数示例：<pre>708192222</pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private Boolean isPrivate;

    /**
     * @return 是否为私密offer的标志位。true：私密产品 false：普通产品
     */
    public Boolean getIsPrivate() {
        return isPrivate;
    }

    /**
     * 设置是否为私密offer的标志位。true：私密产品 false：普通产品     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsPrivate(Boolean isPrivate) {
        this.isPrivate = isPrivate;
    }

    private String detailsUrl;

    /**
     * @return 商品详情地址
     */
    public String getDetailsUrl() {
        return detailsUrl;
    }

    /**
     * 设置商品详情地址     *
     * 参数示例：<pre>http://detail.china.alibaba.com/buyer/offerdetail/708192222.html</pre>     
     * 此参数必填
     */
    public void setDetailsUrl(String detailsUrl) {
        this.detailsUrl = detailsUrl;
    }

    private String type;

    /**
     * @return 商品类型。Sale：供应信息，Buy：求购信息
     */
    public String getType() {
        return type;
    }

    /**
     * 设置商品类型。Sale：供应信息，Buy：求购信息     *
     * 参数示例：<pre>Sale</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private Integer tradeType;

    /**
     * @return 贸易类型。1：产品，2：加工，3：代理，4：合作，5：商务服务
     */
    public Integer getTradeType() {
        return tradeType;
    }

    /**
     * 设置贸易类型。1：产品，2：加工，3：代理，4：合作，5：商务服务     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setTradeType(Integer tradeType) {
        this.tradeType = tradeType;
    }

    private Integer postCategryId;

    /**
     * @return 所属叶子类目ID
     */
    public Integer getPostCategryId() {
        return postCategryId;
    }

    /**
     * 设置所属叶子类目ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostCategryId(Integer postCategryId) {
        this.postCategryId = postCategryId;
    }

    private String offerStatus;

    /**
     * @return 状态。auditing：审核中；online：已上网；FailAudited：审核未通过；outdated：已过期；member delete(d)：用户删除；delete：审核删除
     */
    public String getOfferStatus() {
        return offerStatus;
    }

    /**
     * 设置状态。auditing：审核中；online：已上网；FailAudited：审核未通过；outdated：已过期；member delete(d)：用户删除；delete：审核删除     *
     * 参数示例：<pre>auditing</pre>     
     * 此参数必填
     */
    public void setOfferStatus(String offerStatus) {
        this.offerStatus = offerStatus;
    }

    private String memberId;

    /**
     * @return 卖家会员ID
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置卖家会员ID     *
     * 参数示例：<pre>tigerchencn</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String subject;

    /**
     * @return 商品标题
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置商品标题     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private String details;

    /**
     * @return 详情说明
     */
    public String getDetails() {
        return details;
    }

    /**
     * 设置详情说明     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDetails(String details) {
        this.details = details;
    }

    private String qualityLevel;

    /**
     * @return 商品信息质量星级( 取值为1到5)。1：一星；2：二星；3：三星；4：四星；5：五星
     */
    public String getQualityLevel() {
        return qualityLevel;
    }

    /**
     * 设置商品信息质量星级( 取值为1到5)。1：一星；2：二星；3：三星；4：四星；5：五星     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setQualityLevel(String qualityLevel) {
        this.qualityLevel = qualityLevel;
    }

    private OfferImageInfo[] imageList;

    /**
     * @return 商品图片列表
     */
    public OfferImageInfo[] getImageList() {
        return imageList;
    }

    /**
     * 设置商品图片列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageList(OfferImageInfo[] imageList) {
        this.imageList = imageList;
    }

    private ProductFeatureInfo[] productFeatureList;

    /**
     * @return 商品属性信息
     */
    public ProductFeatureInfo[] getProductFeatureList() {
        return productFeatureList;
    }

    /**
     * 设置商品属性信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductFeatureList(ProductFeatureInfo[] productFeatureList) {
        this.productFeatureList = productFeatureList;
    }

    private Boolean isOfferSupportOnlineTrade;

    /**
     * @return 是否支持网上交易。首先需要类目支持，如果类目支持，需要有价格，供货总量，最小起订量。true：支持网上订购；false：不支持网上订购
     */
    public Boolean getIsOfferSupportOnlineTrade() {
        return isOfferSupportOnlineTrade;
    }

    /**
     * 设置是否支持网上交易。首先需要类目支持，如果类目支持，需要有价格，供货总量，最小起订量。true：支持网上订购；false：不支持网上订购     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsOfferSupportOnlineTrade(Boolean isOfferSupportOnlineTrade) {
        this.isOfferSupportOnlineTrade = isOfferSupportOnlineTrade;
    }

    private String tradingType;

    /**
     * @return 支持的交易方式。当isOfferSupportOnlineTrade为true的时候本字段有效：Escrow:支付宝担保交易； PreCharge：支付宝预存款交易；ForexPay：支付宝境外支付交易；多种交易方式间通过;分隔。
     */
    public String getTradingType() {
        return tradingType;
    }

    /**
     * 设置支持的交易方式。当isOfferSupportOnlineTrade为true的时候本字段有效：Escrow:支付宝担保交易； PreCharge：支付宝预存款交易；ForexPay：支付宝境外支付交易；多种交易方式间通过;分隔。     *
     * 参数示例：<pre>Escrow</pre>     
     * 此参数必填
     */
    public void setTradingType(String tradingType) {
        this.tradingType = tradingType;
    }

    private Boolean isSupportMix;

    /**
     * @return 是否支持混批。true：支持混批；false：不支持混批
     */
    public Boolean getIsSupportMix() {
        return isSupportMix;
    }

    /**
     * 设置是否支持混批。true：支持混批；false：不支持混批     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsSupportMix(Boolean isSupportMix) {
        this.isSupportMix = isSupportMix;
    }

    private String unit;

    /**
     * @return 计量单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置计量单位     *
     * 参数示例：<pre>件</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String priceUnit;

    /**
     * @return 交易币种
     */
    public String getPriceUnit() {
        return priceUnit;
    }

    /**
     * 设置交易币种     *
     * 参数示例：<pre>元</pre>     
     * 此参数必填
     */
    public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
    }

    private Integer amount;

    /**
     * @return 供货量
     */
    public Integer getAmount() {
        return amount;
    }

    /**
     * 设置供货量     *
     * 参数示例：<pre>1000</pre>     
     * 此参数必填
     */
    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    private Integer amountOnSale;

    /**
     * @return 可售数量
     */
    public Integer getAmountOnSale() {
        return amountOnSale;
    }

    /**
     * 设置可售数量     *
     * 参数示例：<pre>188</pre>     
     * 此参数必填
     */
    public void setAmountOnSale(Integer amountOnSale) {
        this.amountOnSale = amountOnSale;
    }

    private Integer saledCount;

    /**
     * @return 已销售量
     */
    public Integer getSaledCount() {
        return saledCount;
    }

    /**
     * 设置已销售量     *
     * 参数示例：<pre>188</pre>     
     * 此参数必填
     */
    public void setSaledCount(Integer saledCount) {
        this.saledCount = saledCount;
    }

    private Double retailPrice;

    /**
     * @return 建议零售价
     */
    public Double getRetailPrice() {
        return retailPrice;
    }

    /**
     * 设置建议零售价     *
     * 参数示例：<pre>150.00</pre>     
     * 此参数必填
     */
    public void setRetailPrice(Double retailPrice) {
        this.retailPrice = retailPrice;
    }

    private Double unitPrice;

    /**
     * @return 单价
     */
    public Double getUnitPrice() {
        return unitPrice;
    }

    /**
     * 设置单价     *
     * 参数示例：<pre>90.00</pre>     
     * 此参数必填
     */
    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    private PriceRangeInfo[] priceRanges;

    /**
     * @return 价格区间
     */
    public PriceRangeInfo[] getPriceRanges() {
        return priceRanges;
    }

    /**
     * 设置价格区间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPriceRanges(PriceRangeInfo[] priceRanges) {
        this.priceRanges = priceRanges;
    }

    private Integer termOfferProcess;

    /**
     * @return 有效期(单位：天)
     */
    public Integer getTermOfferProcess() {
        return termOfferProcess;
    }

    /**
     * 设置有效期(单位：天)     *
     * 参数示例：<pre>30</pre>     
     * 此参数必填
     */
    public void setTermOfferProcess(Integer termOfferProcess) {
        this.termOfferProcess = termOfferProcess;
    }

    private Integer freightTemplateId;

    /**
     * @return 物流模板id
     */
    public Integer getFreightTemplateId() {
        return freightTemplateId;
    }

    /**
     * 设置物流模板id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFreightTemplateId(Integer freightTemplateId) {
        this.freightTemplateId = freightTemplateId;
    }

    private Integer sendGoodsId;

    /**
     * @return 发货地址id
     */
    public Integer getSendGoodsId() {
        return sendGoodsId;
    }

    /**
     * 设置发货地址id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSendGoodsId(Integer sendGoodsId) {
        this.sendGoodsId = sendGoodsId;
    }

    private Integer productUnitWeight;

    /**
     * @return 单位重量
     */
    public Integer getProductUnitWeight() {
        return productUnitWeight;
    }

    /**
     * 设置单位重量     *
     * 参数示例：<pre>1000</pre>     
     * 此参数必填
     */
    public void setProductUnitWeight(Integer productUnitWeight) {
        this.productUnitWeight = productUnitWeight;
    }

    private Integer freightType;

    /**
     * @return T:运费模板
    D：运费说明
    F：卖家承担运费
     */
    public Integer getFreightType() {
        return freightType;
    }

    /**
     * 设置T:运费模板
    D：运费说明
    F：卖家承担运费     *
     * 参数示例：<pre>T</pre>     
     * 此参数必填
     */
    public void setFreightType(Integer freightType) {
        this.freightType = freightType;
    }

    private Boolean isSkuOffer;

    /**
     * @return 是否为SKU商品
     */
    public Boolean getIsSkuOffer() {
        return isSkuOffer;
    }

    /**
     * 设置是否为SKU商品     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsSkuOffer(Boolean isSkuOffer) {
        this.isSkuOffer = isSkuOffer;
    }

    private Boolean isSkuTradeSupported;

    /**
     * @return 是否支持按照规格报价
     */
    public Boolean getIsSkuTradeSupported() {
        return isSkuTradeSupported;
    }

    /**
     * 设置是否支持按照规格报价     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsSkuTradeSupported(Boolean isSkuTradeSupported) {
        this.isSkuTradeSupported = isSkuTradeSupported;
    }

    private Map skuArray;

    /**
     * @return SKU规格属性信息{fid:value}当有多个值时用"#"联接
     */
    public Map getSkuArray() {
        return skuArray;
    }

    /**
     * 设置SKU规格属性信息{fid:value}当有多个值时用"#"联接     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuArray(Map skuArray) {
        this.skuArray = skuArray;
    }

    private String gmtCreate;

    /**
     * @return 创建日期
     */
    public String getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建日期     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String gmtModified;

    /**
     * @return 最近修改时间
     */
    public String getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置最近修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    private String gmtLastRepost;

    /**
     * @return 最近重发时间
     */
    public String getGmtLastRepost() {
        return gmtLastRepost;
    }

    /**
     * 设置最近重发时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtLastRepost(String gmtLastRepost) {
        this.gmtLastRepost = gmtLastRepost;
    }

    private String gmtApproved;

    /**
     * @return 审核通过时间
     */
    public String getGmtApproved() {
        return gmtApproved;
    }

    /**
     * 设置审核通过时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtApproved(String gmtApproved) {
        this.gmtApproved = gmtApproved;
    }

    private String gmtExpire;

    /**
     * @return 过期日期
     */
    public String getGmtExpire() {
        return gmtExpire;
    }

    /**
     * 设置过期日期     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtExpire(String gmtExpire) {
        this.gmtExpire = gmtExpire;
    }

}
