package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferGetAllOfferListParam extends AbstractAPIRequest<OfferGetAllOfferListResult> {

    public OfferGetAllOfferListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.getAllOfferList", 1);
    }

    private String type;

    /**
     * @return 目前只支持SALE
     */
    public String getType() {
        return type;
    }

    /**
     * 设置目前只支持SALE     *
     * 参数示例：<pre>SALE</pre>     
     * 此参数必填
     */
    public void setType(String type) {
        this.type = type;
    }

    private Long categoryId;

    /**
     * @return 商品发布类目ID
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置商品发布类目ID     *
     * 参数示例：<pre>10016</pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    private String groupIds;

    /**
     * @return 卖家自定义的商品分类ID，多个之间用“,”分隔
     */
    public String getGroupIds() {
        return groupIds;
    }

    /**
     * 设置卖家自定义的商品分类ID，多个之间用“,”分隔     *
     * 参数示例：<pre>199898,199890</pre>     
     * 此参数必填
     */
    public void setGroupIds(String groupIds) {
        this.groupIds = groupIds;
    }

    private Integer page;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>6</pre>     
     * 此参数必填
     */
    public void setPage(Integer page) {
        this.page = page;
    }

    private Integer pageSize;

    /**
     * @return 返回offer列表结果集分页条数。取值范围:大于零的整数;最大值：50。
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置返回offer列表结果集分页条数。取值范围:大于零的整数;最大值：50。     *
     * 参数示例：<pre>25</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String timeStamp;

    /**
     * @return 格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应商品信息的最近更新时间(GMTModified)晚于该时间戳的商品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的商品信息；
     */
    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     * 设置格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应商品信息的最近更新时间(GMTModified)晚于该时间戳的商品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的商品信息；     *
     * 参数示例：<pre>2011-03-15 10:00:00</pre>     
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    private String orderBy;

    /**
     * @return 当前支持:gmtexpire:asc|desc,gmt_modified:asc|desc
     */
    public String getOrderBy() {
        return orderBy;
    }

    /**
     * 设置当前支持:gmtexpire:asc|desc,gmt_modified:asc|desc     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    private String site;

    /**
     * @return 
     */
    public String getSite() {
        return site;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSite(String site) {
        this.site = site;
    }

    private String[] returnFields;

    /**
     * @return 自定义返回字段，字段为offerDetailInfo子集。多个字段以半角','分隔。若此字段为空，则返回offer数组信息为空;其中如下参数无法通过该API获得：amountOnSale、details、detailsUrl、saledCount、skuArray、termOfferProcess、tradingType
     */
    public String[] getReturnFields() {
        return returnFields;
    }

    /**
     * 设置自定义返回字段，字段为offerDetailInfo子集。多个字段以半角','分隔。若此字段为空，则返回offer数组信息为空;其中如下参数无法通过该API获得：amountOnSale、details、detailsUrl、saledCount、skuArray、termOfferProcess、tradingType     *
     * 参数示例：<pre>offerId,isPrivate,privateProperties</pre>     
     * 此参数必填
     */
    public void setReturnFields(String[] returnFields) {
        this.returnFields = returnFields;
    }

}
