package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferGetDeletedOfferInfoListParam extends AbstractAPIRequest<OfferGetDeletedOfferInfoListResult> {

    public OfferGetDeletedOfferInfoListParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.getDeletedOfferInfoList", 1);
    }

    private Integer page;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>5</pre>     
     * 此参数必填
     */
    public void setPage(Integer page) {
        this.page = page;
    }

    private Integer pageSize;

    /**
     * @return 返回列表结果集分页条数。取值范围:大于零的整数;最大值：200；默认值：35。
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置返回列表结果集分页条数。取值范围:大于零的整数;最大值：200；默认值：35。     *
     * 参数示例：<pre>20</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String timeStamp;

    /**
     * @return 格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应产品信息的最近更新时间(GMTModified)晚于该时间戳的产品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的产品信息；
     */
    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     * 设置格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应产品信息的最近更新时间(GMTModified)晚于该时间戳的产品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的产品信息；     *
     * 参数示例：<pre>2000-07-15 12:23:54</pre>     
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

}
