package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferModifyStockParam extends AbstractAPIRequest<OfferModifyStockResult> {

    public OfferModifyStockParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.modify.stock", 1);
    }

    private Long offerId;

    /**
     * @return 产品编号
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置产品编号     *
     * 参数示例：<pre>123456</pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private Integer offerAmountChange;

    /**
     * @return 总库存改变量。如果offer是非sku的则填写这个参数，如果offer是sku的，则填写skuAmountChange
     */
    public Integer getOfferAmountChange() {
        return offerAmountChange;
    }

    /**
     * 设置总库存改变量。如果offer是非sku的则填写这个参数，如果offer是sku的，则填写skuAmountChange     *
     * 参数示例：<pre>10</pre>     
     * 此参数必填
     */
    public void setOfferAmountChange(Integer offerAmountChange) {
        this.offerAmountChange = offerAmountChange;
    }

    private Map skuAmountChange;

    /**
     * @return Sku报价产品，指定规格的库存变量，注是所有规格改变量之和要等于offerAmountChange
    如果产品没有sku，可以不用填。数据格式{"specId":"number"},key是sku信息中的specId，后者为库存变更量
     */
    public Map getSkuAmountChange() {
        return skuAmountChange;
    }

    /**
     * 设置Sku报价产品，指定规格的库存变量，注是所有规格改变量之和要等于offerAmountChange
    如果产品没有sku，可以不用填。数据格式{"specId":"number"},key是sku信息中的specId，后者为库存变更量     *
     * 参数示例：<pre>{“cef93beef156f1799e736c649f36efae”:”10”,“82114cbd2c10b5e97b01af1510807e2d”:”-10”}</pre>     
     * 此参数必填
     */
    public void setSkuAmountChange(Map skuAmountChange) {
        this.skuAmountChange = skuAmountChange;
    }

}
