package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferNewParam extends AbstractAPIRequest<OfferNewResult> {

    public OfferNewParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.new", 1);
    }

    private String offer;

    /**
     * @return 描述offer的json串，需要进行URLEncode 编码，编码方式为GBK
     */
    public String getOffer() {
        return offer;
    }

    /**
     * 设置描述offer的json串，需要进行URLEncode 编码，编码方式为GBK     *
     * 参数示例：<pre>{
    "bizType": "1",
    "freightTemplateId": "1",
    "pictureAuthOffer": false,
    "subject": "测试添加11111",
    "offerDetail": "该商品为测试商品",
    "priceRanges": "100:1000`1000:2000`2000:10000",
    "imageUriList": [
        "img/ibank/2016/417/922/3123229714_1445524195.jpg",
        "img/ibank/2016/824/631/3557136428_1156466267.jpg"
    ],
    "priceAuthOffer": false,
    "mixWholeSale": true,
    "freightType": "F",
    "sendGoodsAddressId": "840222",
    "offerWeight": 0.05,
    "supportOnlineTrade": true,
    "amountOnSale": 9999,
    "categoryID": "1037264",
    "status": "online"
    }</pre>     
     * 此参数必填
     */
    public void setOffer(String offer) {
        this.offer = offer;
    }

}
