package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OfferSearchParam extends AbstractAPIRequest<OfferSearchResult> {

    public OfferSearchParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "offer.search", 1);
    }

    private Integer pageNo;

    /**
     * @return 当分页查询时指定请求的数据页
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置当分页查询时指定请求的数据页     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private String[] returnFields;

    /**
     * @return 
     */
    public String[] getReturnFields() {
        return returnFields;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReturnFields(String[] returnFields) {
        this.returnFields = returnFields;
    }

    private Integer pageSize;

    /**
     * @return 单页条数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置单页条数     *
     * 参数示例：<pre>默认20条,每页返回条数20~200</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String orderBy;

    /**
     * @return 未授权搜索支持排序字段,只支持gmtmotified:asc。不填就是gmtexpire:asc处理。
    授权后搜索排序字段支持如下：
    gmt_create：创建时间；
    gmt_post：发布时间；
    gmt_modified：修改时间；
    gmt_approved：审核通过时间；
    gmt_expire：过期时间；
    status：状态；
    格式如 排序字段:升降序, 多个用“;” 分割
     */
    public String getOrderBy() {
        return orderBy;
    }

    /**
     * 设置未授权搜索支持排序字段,只支持gmtmotified:asc。不填就是gmtexpire:asc处理。
    授权后搜索排序字段支持如下：
    gmt_create：创建时间；
    gmt_post：发布时间；
    gmt_modified：修改时间；
    gmt_approved：审核通过时间；
    gmt_expire：过期时间；
    status：状态；
    格式如 排序字段:升降序, 多个用“;” 分割     *
     * 参数示例：<pre>gmt_create:asc;gmt_post:desc</pre>     
     * 此参数必填
     */
    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    private Long offerId;

    /**
     * @return 无用
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private String q;

    /**
     * @return 搜索关键字，现在主要支持按标题搜索
     */
    public String getQ() {
        return q;
    }

    /**
     * 设置搜索关键字，现在主要支持按标题搜索     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQ(String q) {
        this.q = q;
    }

    private Boolean isTradeOffer;

    /**
     * @return 无用
     */
    public Boolean getIsTradeOffer() {
        return isTradeOffer;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsTradeOffer(Boolean isTradeOffer) {
        this.isTradeOffer = isTradeOffer;
    }

    private Long category;

    /**
     * @return 发布类目编号
     */
    public Long getCategory() {
        return category;
    }

    /**
     * 设置发布类目编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategory(Long category) {
        this.category = category;
    }

    private Date gmtModifiedBegin;

    /**
     * @return 查询修改时间结束时刻.要求 gmtModifedBegin 早于 gmtModifiedEnd
     */
    public Date getGmtModifiedBegin() {
        return gmtModifiedBegin;
    }

    /**
     * 设置查询修改时间结束时刻.要求 gmtModifedBegin 早于 gmtModifiedEnd     *
     * 参数示例：<pre>日期编码格式：yyyyMMddHHmmssSSSZ， 如：20120626175014384+0800 ， 不要忘了对值进行urlEncode</pre>     
     * 此参数必填
     */
    public void setGmtModifiedBegin(Date gmtModifiedBegin) {
        this.gmtModifiedBegin = gmtModifiedBegin;
    }

    private Date gmtModifiedEnd;

    /**
     * @return 查询修改时间结束时刻.要求 gmtModifedEnd 晚于 gmtModifiedBegin
     */
    public Date getGmtModifiedEnd() {
        return gmtModifiedEnd;
    }

    /**
     * 设置查询修改时间结束时刻.要求 gmtModifedEnd 晚于 gmtModifiedBegin     *
     * 参数示例：<pre>日期编码格式：yyyyMMddHHmmssSSSZ， 如：20120626175014384+0800 ， 不要忘了对值进行urlEncode</pre>     
     * 此参数必填
     */
    public void setGmtModifiedEnd(Date gmtModifiedEnd) {
        this.gmtModifiedEnd = gmtModifiedEnd;
    }

    private String address;

    /**
     * @return 供货地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 设置供货地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAddress(String address) {
        this.address = address;
    }

    private String memberId;

    /**
     * @return 产品会员ID
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置产品会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String tpType;

    /**
     * @return 无用
     */
    public String getTpType() {
        return tpType;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTpType(String tpType) {
        this.tpType = tpType;
    }

    private String tpYear;

    /**
     * @return 诚信通开能年限
     */
    public String getTpYear() {
        return tpYear;
    }

    /**
     * 设置诚信通开能年限     *
     * 参数示例：<pre>1~5</pre>     
     * 此参数必填
     */
    public void setTpYear(String tpYear) {
        this.tpYear = tpYear;
    }

    private String creditMoney;

    /**
     * @return 诚信保障金额
     */
    public String getCreditMoney() {
        return creditMoney;
    }

    /**
     * 设置诚信保障金额     *
     * 参数示例：<pre>1000~30000</pre>     
     * 此参数必填
     */
    public void setCreditMoney(String creditMoney) {
        this.creditMoney = creditMoney;
    }

    private Integer tradeType;

    /**
     * @return 无用
     */
    public Integer getTradeType() {
        return tradeType;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeType(Integer tradeType) {
        this.tradeType = tradeType;
    }

    private Integer soldQuantity;

    /**
     * @return 最低销售额
     */
    public Integer getSoldQuantity() {
        return soldQuantity;
    }

    /**
     * 设置最低销售额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSoldQuantity(Integer soldQuantity) {
        this.soldQuantity = soldQuantity;
    }

    private String showType;

    /**
     * @return 无用
     */
    public String getShowType() {
        return showType;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setShowType(String showType) {
        this.showType = showType;
    }

    private Integer bizType;

    /**
     * @return 无用
     */
    public Integer getBizType() {
        return bizType;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    private String province;

    /**
     * @return 省份中文名
     */
    public String getProvince() {
        return province;
    }

    /**
     * 设置省份中文名     *
     * 参数示例：<pre>浙江</pre>     
     * 此参数必填
     */
    public void setProvince(String province) {
        this.province = province;
    }

    private String city;

    /**
     * @return 城市中文名
     */
    public String getCity() {
        return city;
    }

    /**
     * 设置城市中文名     *
     * 参数示例：<pre>杭州</pre>     
     * 此参数必填
     */
    public void setCity(String city) {
        this.city = city;
    }

    private String price;

    /**
     * @return 价格区间
     */
    public String getPrice() {
        return price;
    }

    /**
     * 设置价格区间     *
     * 参数示例：<pre>10~300</pre>     
     * 此参数必填
     */
    public void setPrice(String price) {
        this.price = price;
    }

    private String qualityLevel;

    /**
     * @return 供应产品星级
     */
    public String getQualityLevel() {
        return qualityLevel;
    }

    /**
     * 设置供应产品星级     *
     * 参数示例：<pre>1~5</pre>     
     * 此参数必填
     */
    public void setQualityLevel(String qualityLevel) {
        this.qualityLevel = qualityLevel;
    }

    private String quantityBegin;

    /**
     * @return 最小起批量
     */
    public String getQuantityBegin() {
        return quantityBegin;
    }

    /**
     * 设置最小起批量     *
     * 参数示例：<pre>100~5000</pre>     
     * 此参数必填
     */
    public void setQuantityBegin(String quantityBegin) {
        this.quantityBegin = quantityBegin;
    }

    private String online;

    /**
     * @return 无用
     */
    public String getOnline() {
        return online;
    }

    /**
     * 设置无用     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOnline(String online) {
        this.online = online;
    }

    private String groupIds;

    /**
     * @return 会员自定义类别ID
     */
    public String getGroupIds() {
        return groupIds;
    }

    /**
     * 设置会员自定义类别ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupIds(String groupIds) {
        this.groupIds = groupIds;
    }

    private String status;

    /**
     * @return Offer状态
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置Offer状态     *
     * 参数示例：<pre>published,(上线)TDB,deleted(删除),new(待审)</pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private AlibabaProductSearchOpDateParam[] opDateParams;

    /**
     * @return 授权后搜索，时间查询参数，非授权情况下无效。其中 1：创建时间； 2：修改时间； 3：重发时间； 4：过期时间； 5：审核通过时间； 会与gmtModifiedBegin,gmtModifiedEnd叠加。日期格式：yyyyMMddHHmmssSSSZ
     */
    public AlibabaProductSearchOpDateParam[] getOpDateParams() {
        return opDateParams;
    }

    /**
     * 设置授权后搜索，时间查询参数，非授权情况下无效。其中 1：创建时间； 2：修改时间； 3：重发时间； 4：过期时间； 5：审核通过时间； 会与gmtModifiedBegin,gmtModifiedEnd叠加。日期格式：yyyyMMddHHmmssSSSZ     *
     * 参数示例：<pre>[{"startDate":"20120801154220368+0800","endDate":"20130801154220368+0800","offerDateType":"2"}]</pre>     
     * 此参数必填
     */
    public void setOpDateParams(AlibabaProductSearchOpDateParam[] opDateParams) {
        this.opDateParams = opDateParams;
    }

}
