package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OrderModel {

    private String status;

    /**
     * @return 订单状态。CANCEL交易关闭，SUCCESS交易成功，WAIT_BUYER_PAY等待买家付款，WAIT_SELLER_SEND等待卖家发货，WAIT_BUYER_RECEIVE等待买家确认收货，WAIT_SELLER_ACT分阶段等待卖家操作，WAIT_BUYER_CONFIRM_ACTION分阶段等待买家确认卖家操作，WAIT_SELLER_PUSH分阶段等待卖家推进，WAIT_LOGISTICS_TAKE_IN等待物流公司揽件COD，WAIT_BUYER_SIGN等待买家签收COD，SIGN_IN_SUCCESS买家已签收COD，SIGN_IN_FAILED签收失败COD
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置订单状态。CANCEL交易关闭，SUCCESS交易成功，WAIT_BUYER_PAY等待买家付款，WAIT_SELLER_SEND等待卖家发货，WAIT_BUYER_RECEIVE等待买家确认收货，WAIT_SELLER_ACT分阶段等待卖家操作，WAIT_BUYER_CONFIRM_ACTION分阶段等待买家确认卖家操作，WAIT_SELLER_PUSH分阶段等待卖家推进，WAIT_LOGISTICS_TAKE_IN等待物流公司揽件COD，WAIT_BUYER_SIGN等待买家签收COD，SIGN_IN_SUCCESS买家已签收COD，SIGN_IN_FAILED签收失败COD     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String refundStatus;

    /**
     * @return 退款状态。WAIT_SELLER_AGREE等待卖家同意退款协议，REFUND_SUCCESS退款成功，REFUND_CLOSED退款关闭，WAIT_BUYER_MODIFY等待买家修改，WAIT_BUYER_SEND等待买家退货，WAIT_SELLER_RECEIVE等待卖家确认收货
     */
    public String getRefundStatus() {
        return refundStatus;
    }

    /**
     * 设置退款状态。WAIT_SELLER_AGREE等待卖家同意退款协议，REFUND_SUCCESS退款成功，REFUND_CLOSED退款关闭，WAIT_BUYER_MODIFY等待买家修改，WAIT_BUYER_SEND等待买家退货，WAIT_SELLER_RECEIVE等待卖家确认收货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }

    private Integer buyerRateStatus;

    /**
     * @return 买家评价状态。5未评价，4已评价
     */
    public Integer getBuyerRateStatus() {
        return buyerRateStatus;
    }

    /**
     * 设置买家评价状态。5未评价，4已评价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerRateStatus(Integer buyerRateStatus) {
        this.buyerRateStatus = buyerRateStatus;
    }

    private Integer sellerRateStatus;

    /**
     * @return 卖家评价状态。5未评价，4已评价
     */
    public Integer getSellerRateStatus() {
        return sellerRateStatus;
    }

    /**
     * 设置卖家评价状态。5未评价，4已评价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerRateStatus(Integer sellerRateStatus) {
        this.sellerRateStatus = sellerRateStatus;
    }

    private Date gmtPayment;

    /**
     * @return 支付时间
     */
    public Date getGmtPayment() {
        return gmtPayment;
    }

    /**
     * 设置支付时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtPayment(Date gmtPayment) {
        this.gmtPayment = gmtPayment;
    }

    private Date gmtGoodsSend;

    /**
     * @return 发货时间
     */
    public Date getGmtGoodsSend() {
        return gmtGoodsSend;
    }

    /**
     * 设置发货时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtGoodsSend(Date gmtGoodsSend) {
        this.gmtGoodsSend = gmtGoodsSend;
    }

    private Date gmtConfirmed;

    /**
     * @return 确认时间
     */
    public Date getGmtConfirmed() {
        return gmtConfirmed;
    }

    /**
     * 设置确认时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtConfirmed(Date gmtConfirmed) {
        this.gmtConfirmed = gmtConfirmed;
    }

    private Long discount;

    /**
     * @return 折扣，单位分
     */
    public Long getDiscount() {
        return discount;
    }

    /**
     * 设置折扣，单位分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscount(Long discount) {
        this.discount = discount;
    }

    private Long carriage;

    /**
     * @return 运费，单位分
     */
    public Long getCarriage() {
        return carriage;
    }

    /**
     * 设置运费，单位分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCarriage(Long carriage) {
        this.carriage = carriage;
    }

    private Long refundPayment;

    /**
     * @return 退款金额，单位分
     */
    public Long getRefundPayment() {
        return refundPayment;
    }

    /**
     * 设置退款金额，单位分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundPayment(Long refundPayment) {
        this.refundPayment = refundPayment;
    }

    private Long sumPayment;

    /**
     * @return 付款总金额，单位（分）订单需要支付的总金额=产品总金额+运费-折扣金额-抵价券（如果有的话），如果是COD订单，不包括COD服务费
     */
    public Long getSumPayment() {
        return sumPayment;
    }

    /**
     * 设置付款总金额，单位（分）订单需要支付的总金额=产品总金额+运费-折扣金额-抵价券（如果有的话），如果是COD订单，不包括COD服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumPayment(Long sumPayment) {
        this.sumPayment = sumPayment;
    }

    private String closeReason;

    /**
     * @return 关闭原因
     */
    public String getCloseReason() {
        return closeReason;
    }

    /**
     * 设置关闭原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCloseReason(String closeReason) {
        this.closeReason = closeReason;
    }

    private String buyerFeedback;

    /**
     * @return 买家留言
     */
    public String getBuyerFeedback() {
        return buyerFeedback;
    }

    /**
     * 设置买家留言     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerFeedback(String buyerFeedback) {
        this.buyerFeedback = buyerFeedback;
    }

    private String toPost;

    /**
     * @return 收货人邮编
     */
    public String getToPost() {
        return toPost;
    }

    /**
     * 设置收货人邮编     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToPost(String toPost) {
        this.toPost = toPost;
    }

    private String toArea;

    /**
     * @return 收货人地址
     */
    public String getToArea() {
        return toArea;
    }

    /**
     * 设置收货人地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setToArea(String toArea) {
        this.toArea = toArea;
    }

    private String alipayTradeId;

    /**
     * @return 支付宝交易号
     */
    public String getAlipayTradeId() {
        return alipayTradeId;
    }

    /**
     * 设置支付宝交易号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlipayTradeId(String alipayTradeId) {
        this.alipayTradeId = alipayTradeId;
    }

    private String sellerCompanyName;

    /**
     * @return 卖家公司名称
     */
    public String getSellerCompanyName() {
        return sellerCompanyName;
    }

    /**
     * 设置卖家公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerCompanyName(String sellerCompanyName) {
        this.sellerCompanyName = sellerCompanyName;
    }

    private String sellerEmail;

    /**
     * @return 卖家email
     */
    public String getSellerEmail() {
        return sellerEmail;
    }

    /**
     * 设置卖家email     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerEmail(String sellerEmail) {
        this.sellerEmail = sellerEmail;
    }

    private String buyerCompanyName;

    /**
     * @return 买家公司名称
     */
    public String getBuyerCompanyName() {
        return buyerCompanyName;
    }

    /**
     * 设置买家公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerCompanyName(String buyerCompanyName) {
        this.buyerCompanyName = buyerCompanyName;
    }

    private String buyerEmail;

    /**
     * @return 买家email
     */
    public String getBuyerEmail() {
        return buyerEmail;
    }

    /**
     * 设置买家email     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerEmail(String buyerEmail) {
        this.buyerEmail = buyerEmail;
    }

    private Long sumProductPayment;

    /**
     * @return 总货品金额
     */
    public Long getSumProductPayment() {
        return sumProductPayment;
    }

    /**
     * 设置总货品金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumProductPayment(Long sumProductPayment) {
        this.sumProductPayment = sumProductPayment;
    }

    private List orderEntries;

    /**
     * @return 订单明细
     */
    public List getOrderEntries() {
        return orderEntries;
    }

    /**
     * 设置订单明细     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderEntries(List orderEntries) {
        this.orderEntries = orderEntries;
    }

    private LogisticsOrderModel[] logisticsOrderList;

    /**
     * @return 物流单列表
     */
    public LogisticsOrderModel[] getLogisticsOrderList() {
        return logisticsOrderList;
    }

    /**
     * 设置物流单列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsOrderList(LogisticsOrderModel[] logisticsOrderList) {
        this.logisticsOrderList = logisticsOrderList;
    }

    private OrderMemoModel[] orderMemoList;

    /**
     * @return 备注列表
     */
    public OrderMemoModel[] getOrderMemoList() {
        return orderMemoList;
    }

    /**
     * 设置备注列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderMemoList(OrderMemoModel[] orderMemoList) {
        this.orderMemoList = orderMemoList;
    }

    private OrderInvoiceModel orderInvoiceModel;

    /**
     * @return 发票信息
     */
    public OrderInvoiceModel getOrderInvoiceModel() {
        return orderInvoiceModel;
    }

    /**
     * 设置发票信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderInvoiceModel(OrderInvoiceModel orderInvoiceModel) {
        this.orderInvoiceModel = orderInvoiceModel;
    }

    private List stepOrderList;

    /**
     * @return 子支付单
     */
    public List getStepOrderList() {
        return stepOrderList;
    }

    /**
     * 设置子支付单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepOrderList(List stepOrderList) {
        this.stepOrderList = stepOrderList;
    }

    private Boolean stepPayAll;

    /**
     * @return 是否一次性付款
     */
    public Boolean getStepPayAll() {
        return stepPayAll;
    }

    /**
     * 设置是否一次性付款     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepPayAll(Boolean stepPayAll) {
        this.stepPayAll = stepPayAll;
    }

    private Integer payStatus;

    /**
     * @return 支付状态。1:等待买家付款，2:已付款，4:交易关闭，6:交易成功，8:交易被系统关闭
     */
    public Integer getPayStatus() {
        return payStatus;
    }

    /**
     * 设置支付状态。1:等待买家付款，2:已付款，4:交易关闭，6:交易成功，8:交易被系统关闭     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    private Integer logisticsStatus;

    /**
     * @return 物流状态。8:还未创建物流订单；1:未发货；2:已发货；3:已收货，交易成功；4:已经退货，交易失败；5:部分发货，交易成功
     */
    public Integer getLogisticsStatus() {
        return logisticsStatus;
    }

    /**
     * 设置物流状态。8:还未创建物流订单；1:未发货；2:已发货；3:已收货，交易成功；4:已经退货，交易失败；5:部分发货，交易成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsStatus(Integer logisticsStatus) {
        this.logisticsStatus = logisticsStatus;
    }

    private String stepAgreementPath;

    /**
     * @return 分阶段协议地址
     */
    public String getStepAgreementPath() {
        return stepAgreementPath;
    }

    /**
     * 设置分阶段协议地址     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepAgreementPath(String stepAgreementPath) {
        this.stepAgreementPath = stepAgreementPath;
    }

    private Integer codStatus;

    /**
     * @return cod状态。0:初始值，20:接单，-20:不接单，2:接单超时，30:揽收成功，-30:揽收失败，3:揽收超时，100:签收成功，-100:签收失败，10:订单等候发送给物流公司，-1:用户取消物流订单
     */
    public Integer getCodStatus() {
        return codStatus;
    }

    /**
     * 设置cod状态。0:初始值，20:接单，-20:不接单，2:接单超时，30:揽收成功，-30:揽收失败，3:揽收超时，100:签收成功，-100:签收失败，10:订单等候发送给物流公司，-1:用户取消物流订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodStatus(Integer codStatus) {
        this.codStatus = codStatus;
    }

    private Boolean codAudit;

    /**
     * @return 是否COD订单并且清算成功
     */
    public Boolean getCodAudit() {
        return codAudit;
    }

    /**
     * 设置是否COD订单并且清算成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodAudit(Boolean codAudit) {
        this.codAudit = codAudit;
    }

    private Long codFee;

    /**
     * @return cod服务费
     */
    public Long getCodFee() {
        return codFee;
    }

    /**
     * 设置cod服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodFee(Long codFee) {
        this.codFee = codFee;
    }

    private Long codBuyerFee;

    /**
     * @return 买家承担的服务费
     */
    public Long getCodBuyerFee() {
        return codBuyerFee;
    }

    /**
     * 设置买家承担的服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodBuyerFee(Long codBuyerFee) {
        this.codBuyerFee = codBuyerFee;
    }

    private Long codSellerFee;

    /**
     * @return 卖家承担的服务费
     */
    public Long getCodSellerFee() {
        return codSellerFee;
    }

    /**
     * 设置卖家承担的服务费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodSellerFee(Long codSellerFee) {
        this.codSellerFee = codSellerFee;
    }

    private Long codActualFee;

    /**
     * @return cod交易的实付款（买家实际支付给物流的费用）
     */
    public Long getCodActualFee() {
        return codActualFee;
    }

    /**
     * 设置cod交易的实付款（买家实际支付给物流的费用）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodActualFee(Long codActualFee) {
        this.codActualFee = codActualFee;
    }

    private Date gmtSign;

    /**
     * @return 买家签收时间(COD)
     */
    public Date getGmtSign() {
        return gmtSign;
    }

    /**
     * 设置买家签收时间(COD)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtSign(Date gmtSign) {
        this.gmtSign = gmtSign;
    }

    private String codFeeDividend;

    /**
     * @return cod三家分润
     */
    public String getCodFeeDividend() {
        return codFeeDividend;
    }

    /**
     * 设置cod三家分润     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodFeeDividend(String codFeeDividend) {
        this.codFeeDividend = codFeeDividend;
    }

    private Long codInitFee;

    /**
     * @return cod服务费初始值
     */
    public Long getCodInitFee() {
        return codInitFee;
    }

    /**
     * 设置cod服务费初始值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodInitFee(Long codInitFee) {
        this.codInitFee = codInitFee;
    }

    private Long codBuyerInitFee;

    /**
     * @return 买家承担的服务费初始值
     */
    public Long getCodBuyerInitFee() {
        return codBuyerInitFee;
    }

    /**
     * 设置买家承担的服务费初始值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCodBuyerInitFee(Long codBuyerInitFee) {
        this.codBuyerInitFee = codBuyerInitFee;
    }

    private OrderMemoModel buyerOrderMemo;

    /**
     * @return 买家备注
     */
    public OrderMemoModel getBuyerOrderMemo() {
        return buyerOrderMemo;
    }

    /**
     * 设置买家备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerOrderMemo(OrderMemoModel buyerOrderMemo) {
        this.buyerOrderMemo = buyerOrderMemo;
    }

    private OrderMemoModel sellerOrderMemo;

    /**
     * @return 卖家备注
     */
    public OrderMemoModel getSellerOrderMemo() {
        return sellerOrderMemo;
    }

    /**
     * 设置卖家备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerOrderMemo(OrderMemoModel sellerOrderMemo) {
        this.sellerOrderMemo = sellerOrderMemo;
    }

    private Long id;

    /**
     * @return 订单号
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String buyerMemberId;

    /**
     * @return 买家id
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置买家id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private String sellerMemberId;

    /**
     * @return 卖家id
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private Long sellerUserId;

    /**
     * @return 卖家数字id
     */
    public Long getSellerUserId() {
        return sellerUserId;
    }

    /**
     * 设置卖家数字id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerUserId(Long sellerUserId) {
        this.sellerUserId = sellerUserId;
    }

    private Long buyerUserId;

    /**
     * @return 买家数字id
     */
    public Long getBuyerUserId() {
        return buyerUserId;
    }

    /**
     * 设置买家数字id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerUserId(Long buyerUserId) {
        this.buyerUserId = buyerUserId;
    }

    private String buyerAlipayId;

    /**
     * @return 买家支付宝id
     */
    public String getBuyerAlipayId() {
        return buyerAlipayId;
    }

    /**
     * 设置买家支付宝id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerAlipayId(String buyerAlipayId) {
        this.buyerAlipayId = buyerAlipayId;
    }

    private String sellerAlipayId;

    /**
     * @return 卖家支付宝id
     */
    public String getSellerAlipayId() {
        return sellerAlipayId;
    }

    /**
     * 设置卖家支付宝id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerAlipayId(String sellerAlipayId) {
        this.sellerAlipayId = sellerAlipayId;
    }

    private String sellerLoginId;

    /**
     * @return 卖家登录id
     */
    public String getSellerLoginId() {
        return sellerLoginId;
    }

    /**
     * 设置卖家登录id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerLoginId(String sellerLoginId) {
        this.sellerLoginId = sellerLoginId;
    }

    private String buyerLoginId;

    /**
     * @return 买家登录id
     */
    public String getBuyerLoginId() {
        return buyerLoginId;
    }

    /**
     * 设置买家登录id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerLoginId(String buyerLoginId) {
        this.buyerLoginId = buyerLoginId;
    }

    private String tradeType;

    /**
     * @return 交易类型。UNIFY统一交易流程，STEPPAY分阶段交易，COD货到付款交易，CERTIFICATE信用凭证支付交易（注：该字段已不再维护，替换为tradeTypeStr，请新业务使用新字段）
     */
    public String getTradeType() {
        return tradeType;
    }

    /**
     * 设置交易类型。UNIFY统一交易流程，STEPPAY分阶段交易，COD货到付款交易，CERTIFICATE信用凭证支付交易（注：该字段已不再维护，替换为tradeTypeStr，请新业务使用新字段）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    private String tradeTypeStr;

    /**
     * @return 交易类型string。6统一交易流程，7分阶段交易，8货到付款交易，9信用凭证支付交易，10帐期支付交易
     */
    public String getTradeTypeStr() {
        return tradeTypeStr;
    }

    /**
     * 设置交易类型string。6统一交易流程，7分阶段交易，8货到付款交易，9信用凭证支付交易，10帐期支付交易     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeTypeStr(String tradeTypeStr) {
        this.tradeTypeStr = tradeTypeStr;
    }

    private String bizType;

    /**
     * @return 订单的常量集合: BIZ_TYPE_WEIGONG(微供)
     */
    public String getBizType() {
        return bizType;
    }

    /**
     * 设置订单的常量集合: BIZ_TYPE_WEIGONG(微供)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    private String relatedCode;

    /**
     * @return 订单关联码(如属于哪个活动等)
     */
    public String getRelatedCode() {
        return relatedCode;
    }

    /**
     * 设置订单关联码(如属于哪个活动等)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRelatedCode(String relatedCode) {
        this.relatedCode = relatedCode;
    }

    private String sellerPhone;

    /**
     * @return 卖家电话
     */
    public String getSellerPhone() {
        return sellerPhone;
    }

    /**
     * 设置卖家电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerPhone(String sellerPhone) {
        this.sellerPhone = sellerPhone;
    }

    private String buyerPhone;

    /**
     * @return 买家电话
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }

    /**
     * 设置买家电话     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

}
