package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class OrderRefundModel {

    private String sellerMemberId;

    /**
     * @return 卖家会员ID
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private String buyerMemberId;

    /**
     * @return 买家会员ID
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置买家会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private Integer disputeType;

    /**
     * @return 纠纷类型：1-售中退款, 2-售后退款，默认为售中退款
     */
    public Integer getDisputeType() {
        return disputeType;
    }

    /**
     * 设置纠纷类型：1-售中退款, 2-售后退款，默认为售中退款     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDisputeType(Integer disputeType) {
        this.disputeType = disputeType;
    }

    private Integer disputeRequest;

    /**
     * @return 售后退款要求
     */
    public Integer getDisputeRequest() {
        return disputeRequest;
    }

    /**
     * 设置售后退款要求     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDisputeRequest(Integer disputeRequest) {
        this.disputeRequest = disputeRequest;
    }

    private Boolean buyerSendGoods;

    /**
     * @return 买家是否已经发货（如果有退货的流程）
     */
    public Boolean getBuyerSendGoods() {
        return buyerSendGoods;
    }

    /**
     * 设置买家是否已经发货（如果有退货的流程）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerSendGoods(Boolean buyerSendGoods) {
        this.buyerSendGoods = buyerSendGoods;
    }

    private Date gmtApply;

    /**
     * @return 申请退款时间
     */
    public Date getGmtApply() {
        return gmtApply;
    }

    /**
     * 设置申请退款时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtApply(Date gmtApply) {
        this.gmtApply = gmtApply;
    }

    private Date gmtCompleted;

    /**
     * @return 完成时间
     */
    public Date getGmtCompleted() {
        return gmtCompleted;
    }

    /**
     * 设置完成时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCompleted(Date gmtCompleted) {
        this.gmtCompleted = gmtCompleted;
    }

    private Long canRefundPayment;

    /**
     * @return 最大能够退款金额，单位：分
     */
    public Long getCanRefundPayment() {
        return canRefundPayment;
    }

    /**
     * 设置最大能够退款金额，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCanRefundPayment(Long canRefundPayment) {
        this.canRefundPayment = canRefundPayment;
    }

    private Long applyPayment;

    /**
     * @return 买家申请退款金额，单位：分
     */
    public Long getApplyPayment() {
        return applyPayment;
    }

    /**
     * 设置买家申请退款金额，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyPayment(Long applyPayment) {
        this.applyPayment = applyPayment;
    }

    private Long refundPayment;

    /**
     * @return 实际退款金额，单位：分
     */
    public Long getRefundPayment() {
        return refundPayment;
    }

    /**
     * 设置实际退款金额，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundPayment(Long refundPayment) {
        this.refundPayment = refundPayment;
    }

    private String taskStatus;

    /**
     * @return 工单子状态，没有流到CRM创建工单时为空
     */
    public String getTaskStatus() {
        return taskStatus;
    }

    /**
     * 设置工单子状态，没有流到CRM创建工单时为空     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    private Boolean refundGoods;

    /**
     * @return 是否要求退货
     */
    public Boolean getRefundGoods() {
        return refundGoods;
    }

    /**
     * 设置是否要求退货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundGoods(Boolean refundGoods) {
        this.refundGoods = refundGoods;
    }

    private Boolean goodsReceived;

    /**
     * @return 买家是否已收到货
     */
    public Boolean getGoodsReceived() {
        return goodsReceived;
    }

    /**
     * 设置买家是否已收到货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGoodsReceived(Boolean goodsReceived) {
        this.goodsReceived = goodsReceived;
    }

    private String productName;

    /**
     * @return 产品名称(退款单关联订单明细的货品名称)
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称(退款单关联订单明细的货品名称)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private Long applyCarriage;

    /**
     * @return 运费的申请退款金额，单位：分
     */
    public Long getApplyCarriage() {
        return applyCarriage;
    }

    /**
     * 设置运费的申请退款金额，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyCarriage(Long applyCarriage) {
        this.applyCarriage = applyCarriage;
    }

    private Long refundCarriage;

    /**
     * @return 运费的实际退款金额，单位：分
     */
    public Long getRefundCarriage() {
        return refundCarriage;
    }

    /**
     * 设置运费的实际退款金额，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundCarriage(Long refundCarriage) {
        this.refundCarriage = refundCarriage;
    }

    private List orderEntryIdList;

    /**
     * @return 退款包含子订单id列表
     */
    public List getOrderEntryIdList() {
        return orderEntryIdList;
    }

    /**
     * 设置退款包含子订单id列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderEntryIdList(List orderEntryIdList) {
        this.orderEntryIdList = orderEntryIdList;
    }

    private Integer applyReasonId;

    /**
     * @return 申请原因ID
     */
    public Integer getApplyReasonId() {
        return applyReasonId;
    }

    /**
     * 设置申请原因ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyReasonId(Integer applyReasonId) {
        this.applyReasonId = applyReasonId;
    }

    private Integer applySubReasonId;

    /**
     * @return 二级退款原因ID
     */
    public Integer getApplySubReasonId() {
        return applySubReasonId;
    }

    /**
     * 设置二级退款原因ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplySubReasonId(Integer applySubReasonId) {
        this.applySubReasonId = applySubReasonId;
    }

    private String applySubReason;

    /**
     * @return 二级退款原因
     */
    public String getApplySubReason() {
        return applySubReason;
    }

    /**
     * 设置二级退款原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplySubReason(String applySubReason) {
        this.applySubReason = applySubReason;
    }

    private Long orderId;

    /**
     * @return 退款单对应的订单编号
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置退款单对应的订单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Long buyerUserId;

    /**
     * @return 买家数字帐号Id
     */
    public Long getBuyerUserId() {
        return buyerUserId;
    }

    /**
     * 设置买家数字帐号Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerUserId(Long buyerUserId) {
        this.buyerUserId = buyerUserId;
    }

    private Long sellerUserId;

    /**
     * @return 卖家数字帐号Id
     */
    public Long getSellerUserId() {
        return sellerUserId;
    }

    /**
     * 设置卖家数字帐号Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerUserId(Long sellerUserId) {
        this.sellerUserId = sellerUserId;
    }

    private String refundId;

    /**
     * @return 退款单逻辑主键，也就是"TQ" + id
     */
    public String getRefundId() {
        return refundId;
    }

    /**
     * 设置退款单逻辑主键，也就是"TQ" + id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Long id;

    /**
     * @return 退款单编号
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置退款单编号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private String status;

    /**
     * @return 退款状态，waitselleragree-等待卖家同意, refundsuccess-退款成功, refundclose-退款关闭, waitbuyermodify-待买家修改, waitbuyersend-等待买家退货, waitsellerreceive-等待卖家确认收货
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置退款状态，waitselleragree-等待卖家同意, refundsuccess-退款成功, refundclose-退款关闭, waitbuyermodify-待买家修改, waitbuyersend-等待买家退货, waitsellerreceive-等待卖家确认收货     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private String applyReason;

    /**
     * @return 申请原因
     */
    public String getApplyReason() {
        return applyReason;
    }

    /**
     * 设置申请原因     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
    }

}
