package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class Profile {

    private String accountId;

    /**
     * @return 会员ID
     */
    public String getAccountId() {
        return accountId;
    }

    /**
     * 设置会员ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    private Integer usedSpace;

    /**
     * @return 已使用空间，单位为字节
     */
    public Integer getUsedSpace() {
        return usedSpace;
    }

    /**
     * 设置已使用空间，单位为字节     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUsedSpace(Integer usedSpace) {
        this.usedSpace = usedSpace;
    }

    private Integer totalSpace;

    /**
     * @return 总空间，单位为字节
     */
    public Integer getTotalSpace() {
        return totalSpace;
    }

    /**
     * 设置总空间，单位为字节     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTotalSpace(Integer totalSpace) {
        this.totalSpace = totalSpace;
    }

    private Boolean isFull;

    /**
     * @return 空间是否已满，true：已满 false：未满
     */
    public Boolean getIsFull() {
        return isFull;
    }

    /**
     * 设置空间是否已满，true：已满 false：未满     *
     * 参数示例：<pre>true</pre>     
     * 此参数必填
     */
    public void setIsFull(Boolean isFull) {
        this.isFull = isFull;
    }

    private Double spaceUsage;

    /**
     * @return 已使用空间占总空间百分比，精确到小数点后两位。如占用30.31%，返回值为30.31
     */
    public Double getSpaceUsage() {
        return spaceUsage;
    }

    /**
     * 设置已使用空间占总空间百分比，精确到小数点后两位。如占用30.31%，返回值为30.31     *
     * 参数示例：<pre>30.31</pre>     
     * 此参数必填
     */
    public void setSpaceUsage(Double spaceUsage) {
        this.spaceUsage = spaceUsage;
    }

}
