package cn.alibaba.open.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class Supplier {

    private CompanyInfo companyInfo;

    /**
     * @return 供应商公司信息{
    诚信通会员标识;
    政府邀约供应商标识;
    工商注册信息{
    公司名字;
    法定代表人/负责人;
    公司注册地址;
    工商注册号;
    公司类型;
    成立日期;
    注册资本;
    登记机关;
    营业期限;
    经营范围
    }
    }
     */
    public CompanyInfo getCompanyInfo() {
        return companyInfo;
    }

    /**
     * 设置供应商公司信息{
    诚信通会员标识;
    政府邀约供应商标识;
    工商注册信息{
    	公司名字;
    	法定代表人/负责人;
    	公司注册地址;
    	工商注册号;
    	公司类型;
    	成立日期;
    	注册资本;
    	登记机关;
    	营业期限;
    	经营范围
    }
    }     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyInfo(CompanyInfo companyInfo) {
        this.companyInfo = companyInfo;
    }

    private BusinessInfo businessInfo;

    /**
     * @return 供应商经营信息{
    经营模式;
    主营行业;
    主营产品/服务;
    品牌名称;
    经营地址
    }
     */
    public BusinessInfo getBusinessInfo() {
        return businessInfo;
    }

    /**
     * 设置供应商经营信息{
    经营模式;
    主营行业;
    主营产品/服务;
    品牌名称;
    经营地址
    }     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBusinessInfo(BusinessInfo businessInfo) {
        this.businessInfo = businessInfo;
    }

    private BusinessAbility businessAbility;

    /**
     * @return 供应商经营能力{
    员工人数;
    90天累计成交笔数;
    为名企供过货;
    支持买家保障;
    支持增值税发票;
    支持支付宝;
    支付宝类型;
    为淘宝卖家供过货;
    90天累计成交买家数
    }
     */
    public BusinessAbility getBusinessAbility() {
        return businessAbility;
    }

    /**
     * 设置供应商经营能力{
    员工人数;
    90天累计成交笔数;
    为名企供过货;
    支持买家保障;
    支持增值税发票;
    支持支付宝;
    支付宝类型;
    为淘宝卖家供过货;
    90天累计成交买家数
    }     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBusinessAbility(BusinessAbility businessAbility) {
        this.businessAbility = businessAbility;
    }

    private CompanyCredit companyCredit;

    /**
     * @return 供应商公司信用{
    认证类型;
    供应等级;
    描述相符;
    服务态度;
    到货速度;
    180天买家评论;
    90天平均发货速度;
    90天退款率;
    90天投诉率;
    }
     */
    public CompanyCredit getCompanyCredit() {
        return companyCredit;
    }

    /**
     * 设置供应商公司信用{
    认证类型;
    供应等级;
    描述相符;
    服务态度;
    到货速度;
    180天买家评论;
    90天平均发货速度;
    90天退款率;
    90天投诉率;
    }     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCompanyCredit(CompanyCredit companyCredit) {
        this.companyCredit = companyCredit;
    }

    private ContactInfo contactInfo;

    /**
     * @return 供应商联系方式{
    姓名;
    手机;
    性别;
    电话;
    }
     */
    public ContactInfo getContactInfo() {
        return contactInfo;
    }

    /**
     * 设置供应商联系方式{
    姓名;
    手机;
    性别;
    电话;
    }     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setContactInfo(ContactInfo contactInfo) {
        this.contactInfo = contactInfo;
    }

    private Map certifications;

    /**
     * @return 供应商资质证书 {
    key包含:businessLicence;taxRegistration;taxRegistrationBackUp;OrganizationCode;approvalOfForeignInvestmentEnterprises;icpLicence;productLicence;otherLicence;
    value 为List<供应商资质证书>类型:List的泛型请参见 domain:供应商资质证书
    key的名字解释.
    营业执照 : businessLicence;
    税务登记证 : taxRegistration;
    税务登记证副本 : taxRegistrationBackUp;
    组织结构代码证 : OrganizationCode;
    外商投资企业批准证书 : approvalOfForeignInvestmentEnterprises;
    经营许可类证书列表（支持多个）: icpLicence;
    产品类证书列表（支持多个）:	productLicence;
    其他类证书列表（支持多个）:	otherLicence;
    }
     */
    public Map getCertifications() {
        return certifications;
    }

    /**
     * 设置供应商资质证书 {
    key包含:businessLicence;taxRegistration;taxRegistrationBackUp;OrganizationCode;approvalOfForeignInvestmentEnterprises;icpLicence;productLicence;otherLicence;
    value 为List<供应商资质证书>类型:List的泛型请参见 domain:供应商资质证书
    key的名字解释.
    营业执照 : businessLicence;
    税务登记证 : taxRegistration;
    税务登记证副本 : taxRegistrationBackUp;
    组织结构代码证 : OrganizationCode;
    外商投资企业批准证书 : approvalOfForeignInvestmentEnterprises;
    经营许可类证书列表（支持多个）: icpLicence;
    产品类证书列表（支持多个）:	productLicence;
    其他类证书列表（支持多个）:	otherLicence;
    }     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCertifications(Map certifications) {
        this.certifications = certifications;
    }

}
