package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TgcProcessPostStatusParam extends AbstractAPIRequest<TgcProcessPostStatusResult> {

    public TgcProcessPostStatusParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "tgc.process.post.status", 1);
    }

    private Long orderId;

    /**
     * @return 订单ID
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String status;

    /**
     * @return 订单生产状态，只能是：“started”（开始生产）、“producted”（生产完成）、“packaged”（包装完成）3个状态中的一个。并且严格遵循以上定义的顺序
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置订单生产状态，只能是：“started”（开始生产）、“producted”（生产完成）、“packaged”（包装完成）3个状态中的一个。并且严格遵循以上定义的顺序     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private Date time;

    /**
     * @return 提交时间，必须是“yyyyMMddHHmmssSSSZ”这种格式化之后的时间，如：“20141031125417279+0800”
     */
    public Date getTime() {
        return time;
    }

    /**
     * 设置提交时间，必须是“yyyyMMddHHmmssSSSZ”这种格式化之后的时间，如：“20141031125417279+0800”     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTime(Date time) {
        this.time = time;
    }

}
