package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeLogisticsOrderSendGoodsNoOnlineParam extends AbstractAPIRequest<TradeLogisticsOrderSendGoodsNoOnlineResult> {

    public TradeLogisticsOrderSendGoodsNoOnlineParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.logisticsOrder.sendGoodsNoOnline", 1);
    }

    private Long orderId;

    /**
     * @return 订单ID
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单ID     *
     * 参数示例：<pre>10758</pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String memberId;

    /**
     * @return 会员ID
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID     *
     * 参数示例：<pre>aliseller</pre>     
     * 此参数必填
     */
    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    private String fromMemberId;

    /**
     * @return 发送方会员ID
     */
    public String getFromMemberId() {
        return fromMemberId;
    }

    /**
     * 设置发送方会员ID     *
     * 参数示例：<pre>aliseller</pre>     
     * 此参数必填
     */
    public void setFromMemberId(String fromMemberId) {
        this.fromMemberId = fromMemberId;
    }

    private String toMemberId;

    /**
     * @return 接受方会员ID
     */
    public String getToMemberId() {
        return toMemberId;
    }

    /**
     * 设置接受方会员ID     *
     * 参数示例：<pre>alibuyer</pre>     
     * 此参数必填
     */
    public void setToMemberId(String toMemberId) {
        this.toMemberId = toMemberId;
    }

    private String operatorIp;

    /**
     * @return 用户发货时的IP地址
     */
    public String getOperatorIp() {
        return operatorIp;
    }

    /**
     * 设置用户发货时的IP地址     *
     * 参数示例：<pre>158.52.2.56</pre>     
     * 此参数必填
     */
    public void setOperatorIp(String operatorIp) {
        this.operatorIp = operatorIp;
    }

    private String remarks;

    /**
     * @return 注意事项、备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 设置注意事项、备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    private String sendGoodsType;

    /**
     * @return 发货类型，0:自行发货；1：在线发货；2不需要物流（目前只对外开放0和2）
     */
    public String getSendGoodsType() {
        return sendGoodsType;
    }

    /**
     * 设置发货类型，0:自行发货；1：在线发货；2不需要物流（目前只对外开放0和2）     *
     * 参数示例：<pre>0</pre>     
     * 此参数必填
     */
    public void setSendGoodsType(String sendGoodsType) {
        this.sendGoodsType = sendGoodsType;
    }

    private Long logisticsCompanyId;

    /**
     * @return 物流公司ID，sendGoodsType=2（不需要物流）时，logisticsCompanyId传参为8
     */
    public Long getLogisticsCompanyId() {
        return logisticsCompanyId;
    }

    /**
     * 设置物流公司ID，sendGoodsType=2（不需要物流）时，logisticsCompanyId传参为8     *
     * 参数示例：<pre>8</pre>     
     * 此参数必填
     */
    public void setLogisticsCompanyId(Long logisticsCompanyId) {
        this.logisticsCompanyId = logisticsCompanyId;
    }

    private String orderEntryIds;

    /**
     * @return 订单明细，以半角分号分割
     */
    public String getOrderEntryIds() {
        return orderEntryIds;
    }

    /**
     * 设置订单明细，以半角分号分割     *
     * 参数示例：<pre>23456;56789;43216</pre>     
     * 此参数必填
     */
    public void setOrderEntryIds(String orderEntryIds) {
        this.orderEntryIds = orderEntryIds;
    }

    private String logisticsBillNo;

    /**
     * @return 物流公司运单号，sendGoodsType=2（不需要物流）时，logisticsBillNo传参为”不需要物流”
     */
    public String getLogisticsBillNo() {
        return logisticsBillNo;
    }

    /**
     * 设置物流公司运单号，sendGoodsType=2（不需要物流）时，logisticsBillNo传参为”不需要物流”     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsBillNo(String logisticsBillNo) {
        this.logisticsBillNo = logisticsBillNo;
    }

    private String gmtSystemSend;

    /**
     * @return 系统处理时间，格式 yyyy-MM-dd HH:mm:ss
     */
    public String getGmtSystemSend() {
        return gmtSystemSend;
    }

    /**
     * 设置系统处理时间，格式 yyyy-MM-dd HH:mm:ss     *
     * 参数示例：<pre>2012-04-13 09:38:00</pre>     
     * 此参数必填
     */
    public void setGmtSystemSend(String gmtSystemSend) {
        this.gmtSystemSend = gmtSystemSend;
    }

    private String gmtLogisticsCompanySend;

    /**
     * @return 物流公司发货时间，格式 yyyy-MM-dd HH:mm:ss
     */
    public String getGmtLogisticsCompanySend() {
        return gmtLogisticsCompanySend;
    }

    /**
     * 设置物流公司发货时间，格式 yyyy-MM-dd HH:mm:ss     *
     * 参数示例：<pre>2012-04-13 09:38:07</pre>     
     * 此参数必填
     */
    public void setGmtLogisticsCompanySend(String gmtLogisticsCompanySend) {
        this.gmtLogisticsCompanySend = gmtLogisticsCompanySend;
    }

}
