package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderBatchRateParam extends AbstractAPIRequest<TradeOrderBatchRateResult> {

    public TradeOrderBatchRateParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.order.batch.rate", 1);
    }

    private Map orders;

    /**
     * @return 订单评价：Map(String,TradeRateParam[]),前者为订单号，后者为评价内容与星级,结构请看数据结构订单评价参数。
    评价星级(starLevel)必须是1-5, 当starLevel < 4 时必须同时指定评价内容
     */
    public Map getOrders() {
        return orders;
    }

    /**
     * 设置订单评价：Map(String,TradeRateParam[]),前者为订单号，后者为评价内容与星级,结构请看数据结构订单评价参数。
    评价星级(starLevel)必须是1-5, 当starLevel < 4 时必须同时指定评价内容     *
     * 参数示例：<pre>参考下面api示例</pre>     
     * 此参数必填
     */
    public void setOrders(Map orders) {
        this.orders = orders;
    }

}
