package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderListGetParam extends AbstractAPIRequest<TradeOrderListGetResult> {

    public TradeOrderListGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.order.list.get", 1);
    }

    private Integer pageSize;

    /**
     * @return 每页订单数
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置每页订单数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Integer page;

    /**
     * @return 当前页数
     */
    public Integer getPage() {
        return page;
    }

    /**
     * 设置当前页数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPage(Integer page) {
        this.page = page;
    }

    private Date modifyStartTime;

    /**
     * @return 订单更新开始时间
     */
    public Date getModifyStartTime() {
        return modifyStartTime;
    }

    /**
     * 设置订单更新开始时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setModifyStartTime(Date modifyStartTime) {
        this.modifyStartTime = modifyStartTime;
    }

    private Date modifyEndTime;

    /**
     * @return 订单更新结束时间
     */
    public Date getModifyEndTime() {
        return modifyEndTime;
    }

    /**
     * 设置订单更新结束时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setModifyEndTime(Date modifyEndTime) {
        this.modifyEndTime = modifyEndTime;
    }

    private Boolean needInvoiceInfo;

    /**
     * @return 是否需要发票信息
     */
    public Boolean getNeedInvoiceInfo() {
        return needInvoiceInfo;
    }

    /**
     * 设置是否需要发票信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedInvoiceInfo(Boolean needInvoiceInfo) {
        this.needInvoiceInfo = needInvoiceInfo;
    }

    private Boolean needMemoInfo;

    /**
     * @return 是否需要备注信息
     */
    public Boolean getNeedMemoInfo() {
        return needMemoInfo;
    }

    /**
     * 设置是否需要备注信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedMemoInfo(Boolean needMemoInfo) {
        this.needMemoInfo = needMemoInfo;
    }

}
