package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderModifyOrderPriceParam extends AbstractAPIRequest<TradeOrderModifyOrderPriceResult> {

    public TradeOrderModifyOrderPriceParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.order.modifyOrderPrice", 1);
    }

    private Long orderId;

    /**
     * @return 订单id
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单id     *
     * 参数示例：<pre>192551450083225</pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Long carriage;

    /**
     * @return 订单修改之后的运费，单位为分
     */
    public Long getCarriage() {
        return carriage;
    }

    /**
     * 设置订单修改之后的运费，单位为分     *
     * 参数示例：<pre>100</pre>     
     * 此参数必填
     */
    public void setCarriage(Long carriage) {
        this.carriage = carriage;
    }

    private String entryDiscounts;

    /**
     * @return 改价明细,discount值的单位为分，正数为涨价，负数为减价
     */
    public String getEntryDiscounts() {
        return entryDiscounts;
    }

    /**
     * 设置改价明细,discount值的单位为分，正数为涨价，负数为减价     *
     * 参数示例：<pre>[{"id":111111, "discount":-200}, {"id":222222, "discount":-500}]</pre>     
     * 此参数必填
     */
    public void setEntryDiscounts(String entryDiscounts) {
        this.entryDiscounts = entryDiscounts;
    }

}
