package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class TradeOrderOrderListGetParam extends AbstractAPIRequest<TradeOrderOrderListGetResult> {

    public TradeOrderOrderListGetParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "trade.order.orderList.get", 1);
    }

    private String buyerMemberId;

    /**
     * @return 买家会员名，该订单中的买家会员名。sellerMemberId与buyerMemberId至少填写一个。
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置买家会员名，该订单中的买家会员名。sellerMemberId与buyerMemberId至少填写一个。     *
     * 参数示例：<pre>alibuyer</pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private String sellerMemberId;

    /**
     * @return 卖家会员ID，该订单中的卖家会员名。sellerMemberId与buyerMemberId至少填写一个。
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家会员ID，该订单中的卖家会员名。sellerMemberId与buyerMemberId至少填写一个。     *
     * 参数示例：<pre>aliseller</pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private String gmtCreateStart;

    /**
     * @return 已废弃，请使用createStartTime
     */
    public String getGmtCreateStart() {
        return gmtCreateStart;
    }

    /**
     * 设置已废弃，请使用createStartTime     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreateStart(String gmtCreateStart) {
        this.gmtCreateStart = gmtCreateStart;
    }

    private String gmtCreateEnd;

    /**
     * @return 已废弃，请使用createEndTime
     */
    public String getGmtCreateEnd() {
        return gmtCreateEnd;
    }

    /**
     * 设置已废弃，请使用createEndTime     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreateEnd(String gmtCreateEnd) {
        this.gmtCreateEnd = gmtCreateEnd;
    }

    private String gmtPayStart;

    /**
     * @return 已废弃
     */
    public String getGmtPayStart() {
        return gmtPayStart;
    }

    /**
     * 设置已废弃     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtPayStart(String gmtPayStart) {
        this.gmtPayStart = gmtPayStart;
    }

    private String gmtPayEnd;

    /**
     * @return 已废弃
     */
    public String getGmtPayEnd() {
        return gmtPayEnd;
    }

    /**
     * 设置已废弃     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtPayEnd(String gmtPayEnd) {
        this.gmtPayEnd = gmtPayEnd;
    }

    private String tradeType;

    /**
     * @return 交易类型，取值范围：担保交易-1,预存款交易-2,ETC境外收单交易-3,即时到帐交易-4,保障金安全交易-5,统一交易流程-6,分阶段交易-7,货到付款交易-8
     */
    public String getTradeType() {
        return tradeType;
    }

    /**
     * 设置交易类型，取值范围：担保交易-1,预存款交易-2,ETC境外收单交易-3,即时到帐交易-4,保障金安全交易-5,统一交易流程-6,分阶段交易-7,货到付款交易-8     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    private String orderStatus;

    /**
     * @return 订单交易状态，默认为全部交易状态。若值不为空，合法取值列举如下:
    担保交易共有5个状态： waitbuyerpay(等待买家付款), waitsellersend(等待卖家发货), waitbuyerreceive(等待买家收货), success(交易成功), cancel(交易取消，违约金等交割完毕); 
    即时到账交易共有4个状态： waitbuyerpay(等待买家付款), waitsellersend(等待卖家发货),(交易成功), cancel(交易取消，违约金等交割完毕)
    分阶段交易包括：waitbuyerpay(等待买家付款), waitsellersend(等待卖家发货), waitbuyerreceive(等待买家收货), success(交易成功), cancel(交易取消，违约金等交割完毕),waitselleract(等待卖家操作),waitbuyerconfirmaction(等待买家确认操作),waitsellerpush(等待卖家推进)
     */
    public String getOrderStatus() {
        return orderStatus;
    }

    /**
     * 设置订单交易状态，默认为全部交易状态。若值不为空，合法取值列举如下:
    担保交易共有5个状态： waitbuyerpay(等待买家付款), waitsellersend(等待卖家发货), waitbuyerreceive(等待买家收货), success(交易成功), cancel(交易取消，违约金等交割完毕); 
    即时到账交易共有4个状态： waitbuyerpay(等待买家付款), waitsellersend(等待卖家发货),(交易成功), cancel(交易取消，违约金等交割完毕)
    分阶段交易包括：waitbuyerpay(等待买家付款), waitsellersend(等待卖家发货), waitbuyerreceive(等待买家收货), success(交易成功), cancel(交易取消，违约金等交割完毕),waitselleract(等待卖家操作),waitbuyerconfirmaction(等待买家确认操作),waitsellerpush(等待卖家推进)     *
     * 参数示例：<pre>waitbuyerpay</pre>     
     * 此参数必填
     */
    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    private Integer pageNO;

    /**
     * @return 页码，取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPageNO() {
        return pageNO;
    }

    /**
     * 设置页码，取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>19</pre>     
     * 此参数必填
     */
    public void setPageNO(Integer pageNO) {
        this.pageNO = pageNO;
    }

    private Integer pageSize;

    /**
     * @return 分页条数，返回订单列表结果集分页条数。取值范围:大于零的整数；最大值：20；默认值：10。
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页条数，返回订单列表结果集分页条数。取值范围:大于零的整数；最大值：20；默认值：10。     *
     * 参数示例：<pre>20</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private Boolean isHis;

    /**
     * @return 是否查询历史订单，即3个月以前的订单，默认为false，即不查询历史订单
     */
    public Boolean getIsHis() {
        return isHis;
    }

    /**
     * 设置是否查询历史订单，即3个月以前的订单，默认为false，即不查询历史订单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsHis(Boolean isHis) {
        this.isHis = isHis;
    }

    private String productName;

    /**
     * @return 订单中的商品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置订单中的商品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private Long orderId;

    /**
     * @return 订单编号，指定该参数相当于查询订单明细
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置订单编号，指定该参数相当于查询订单明细     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String createStartTime;

    /**
     * @return 下单开始时间(进入订单确认页面)，格式 yyyy-MM-dd HH:mm:ss
     */
    public String getCreateStartTime() {
        return createStartTime;
    }

    /**
     * 设置下单开始时间(进入订单确认页面)，格式 yyyy-MM-dd HH:mm:ss     *
     * 参数示例：<pre>2012-04-12 17:38:30</pre>     
     * 此参数必填
     */
    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }

    private String createEndTime;

    /**
     * @return 下单结束时间（确认订购），格式 yyyy-MM-dd HH:mm:ss
     */
    public String getCreateEndTime() {
        return createEndTime;
    }

    /**
     * 设置下单结束时间（确认订购），格式 yyyy-MM-dd HH:mm:ss     *
     * 参数示例：<pre>2012-04-13 09:38:00</pre>     
     * 此参数必填
     */
    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    private String payStartTime;

    /**
     * @return 已废弃
     */
    public String getPayStartTime() {
        return payStartTime;
    }

    /**
     * 设置已废弃     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayStartTime(String payStartTime) {
        this.payStartTime = payStartTime;
    }

    private String payEndTime;

    /**
     * @return 已废弃
     */
    public String getPayEndTime() {
        return payEndTime;
    }

    /**
     * 设置已废弃     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayEndTime(String payEndTime) {
        this.payEndTime = payEndTime;
    }

    private String modifyStartTime;

    /**
     * @return 订单更新开始时间，格式 yyyy-MM-dd HH:mm:ss
     */
    public String getModifyStartTime() {
        return modifyStartTime;
    }

    /**
     * 设置订单更新开始时间，格式 yyyy-MM-dd HH:mm:ss     *
     * 参数示例：<pre>2012-04-12 16:38:00</pre>     
     * 此参数必填
     */
    public void setModifyStartTime(String modifyStartTime) {
        this.modifyStartTime = modifyStartTime;
    }

    private String modifyEndTime;

    /**
     * @return 订单更新结束时间，格式 yyyy-MM-dd HH:mm:ss
     */
    public String getModifyEndTime() {
        return modifyEndTime;
    }

    /**
     * 设置订单更新结束时间，格式 yyyy-MM-dd HH:mm:ss     *
     * 参数示例：<pre>2012-04-13 16:38:00</pre>     
     * 此参数必填
     */
    public void setModifyEndTime(String modifyEndTime) {
        this.modifyEndTime = modifyEndTime;
    }

}
