package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UserCategoryOffersAddParam extends AbstractAPIRequest<UserCategoryOffersAddResult> {

    public UserCategoryOffersAddParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "userCategory.offers.add", 1);
    }

    private String offerIds;

    /**
     * @return 需要添加的产品序列。多个产品id半角分号分隔
     */
    public String getOfferIds() {
        return offerIds;
    }

    /**
     * 设置需要添加的产品序列。多个产品id半角分号分隔     *
     * 参数示例：<pre>30904544;30904812;30904815</pre>     
     * 此参数必填
     */
    public void setOfferIds(String offerIds) {
        this.offerIds = offerIds;
    }

    private Long groupId;

    /**
     * @return 要添加到的自定义分类ID
     */
    public Long getGroupId() {
        return groupId;
    }

    /**
     * 设置要添加到的自定义分类ID     *
     * 参数示例：<pre>4737</pre>     
     * 此参数必填
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

}
