package cn.alibaba.open.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class UserCategoryOffersRemoveParam extends AbstractAPIRequest<UserCategoryOffersRemoveResult> {

    public UserCategoryOffersRemoveParam() {
        super();
        oceanApiId = new APIId("cn.alibaba.open", "userCategory.offers.remove", 1);
    }

    private String offerIds;

    /**
     * @return 需要删除的产品序列。多个产品id半角分号分隔
     */
    public String getOfferIds() {
        return offerIds;
    }

    /**
     * 设置需要删除的产品序列。多个产品id半角分号分隔     *
     * 参数示例：<pre>30904544;30904812;30904815</pre>     
     * 此参数必填
     */
    public void setOfferIds(String offerIds) {
        this.offerIds = offerIds;
    }

    private Long groupId;

    /**
     * @return 要删除的自定义分类ID
     */
    public Long getGroupId() {
        return groupId;
    }

    /**
     * 设置要删除的自定义分类ID     *
     * 参数示例：<pre>4737</pre>     
     * 此参数必填
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

}
