package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpBulkSettlementQueryReceiveNoteListParam extends
        AbstractAPIRequest<AlibabaBulksettlementOpBulkSettlementQueryReceiveNoteListResult> {

    public AlibabaBulksettlementOpBulkSettlementQueryReceiveNoteListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.bulksettlement.OpBulkSettlementQueryReceiveNoteList", 1);
    }

    private String sellerCompanyName;

    /**
     * @return 卖家公司名称
     */
    public String getSellerCompanyName() {
        return sellerCompanyName;
    }

    /**
     * 设置卖家公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerCompanyName(String sellerCompanyName) {
        this.sellerCompanyName = sellerCompanyName;
    }

    private Integer pageSize;

    /**
     * @return 搜索起始行(从第几个搜索结果开始返回,从0开始)
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置搜索起始行(从第几个搜索结果开始返回,从0开始)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String purchaseCompanyName;

    /**
     * @return 采购公司名称
     */
    public String getPurchaseCompanyName() {
        return purchaseCompanyName;
    }

    /**
     * 设置采购公司名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPurchaseCompanyName(String purchaseCompanyName) {
        this.purchaseCompanyName = purchaseCompanyName;
    }

    private Byte isSuccess;

    /**
     * @return 是否正常创建
     */
    public Byte getIsSuccess() {
        return isSuccess;
    }

    /**
     * 设置是否正常创建     *
     * 参数示例：<pre>1 正常 0 不正常</pre>     
     * 此参数必填
     */
    public void setIsSuccess(Byte isSuccess) {
        this.isSuccess = isSuccess;
    }

    private Long operatorUserId;

    /**
     * @return 收货操作者userId 子账号有自己的userId，没有自己的memberId
     */
    public Long getOperatorUserId() {
        return operatorUserId;
    }

    /**
     * 设置收货操作者userId 子账号有自己的userId，没有自己的memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOperatorUserId(Long operatorUserId) {
        this.operatorUserId = operatorUserId;
    }

    private String statusInfo;

    /**
     * @return 收货主单状态
     */
    public String getStatusInfo() {
        return statusInfo;
    }

    /**
     * 设置收货主单状态     *
     * 参数示例：<pre>1 待发起结算 2全部已发起结算</pre>     
     * 此参数必填
     */
    public void setStatusInfo(String statusInfo) {
        this.statusInfo = statusInfo;
    }

    private Date receiveStartTime;

    /**
     * @return 收货开始时间
     */
    public Date getReceiveStartTime() {
        return receiveStartTime;
    }

    /**
     * 设置收货开始时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveStartTime(Date receiveStartTime) {
        this.receiveStartTime = receiveStartTime;
    }

    private Date receiveEndTime;

    /**
     * @return 收货结束时间
     */
    public Date getReceiveEndTime() {
        return receiveEndTime;
    }

    /**
     * 设置收货结束时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveEndTime(Date receiveEndTime) {
        this.receiveEndTime = receiveEndTime;
    }

    private Integer pageNo;

    /**
     * @return 页码，从1开始
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码，从1开始     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private Integer startRow;

    /**
     * @return 
     */
    public Integer getStartRow() {
        return startRow;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartRow(Integer startRow) {
        this.startRow = startRow;
    }

    private String buyerLoginId;

    /**
     * @return 
     */
    public String getBuyerLoginId() {
        return buyerLoginId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerLoginId(String buyerLoginId) {
        this.buyerLoginId = buyerLoginId;
    }

    private String orderId;

    /**
     * @return 主订单ID
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置主订单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

}
