package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpBulkSettlementReceiveGoodsParam extends AbstractAPIRequest<AlibabaBulksettlementOpBulkSettlementReceiveGoodsResult> {

    public AlibabaBulksettlementOpBulkSettlementReceiveGoodsParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.bulksettlement.OpBulkSettlementReceiveGoods", 1);
    }

    private AlibabaBulksettlementOpBulkSettlementSubOrderInfo[] receivedQuantity;

    /**
     * @return 子订单号和子订单确认收货数量（包括历史确认收货数量）
     */
    public AlibabaBulksettlementOpBulkSettlementSubOrderInfo[] getReceivedQuantity() {
        return receivedQuantity;
    }

    /**
     * 设置子订单号和子订单确认收货数量（包括历史确认收货数量）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceivedQuantity(AlibabaBulksettlementOpBulkSettlementSubOrderInfo[] receivedQuantity) {
        this.receivedQuantity = receivedQuantity;
    }

    private AlibabaBulksettlementOpBulkSettlementRefundInfo[] refundIdReceivedQuantity;

    /**
     * @return 退款单号，子订单号及退款但中商品数量
     */
    public AlibabaBulksettlementOpBulkSettlementRefundInfo[] getRefundIdReceivedQuantity() {
        return refundIdReceivedQuantity;
    }

    /**
     * 设置退款单号，子订单号及退款但中商品数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundIdReceivedQuantity(AlibabaBulksettlementOpBulkSettlementRefundInfo[] refundIdReceivedQuantity) {
        this.refundIdReceivedQuantity = refundIdReceivedQuantity;
    }

    private Long orderId;

    /**
     * @return 
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String subUserLoginId;

    /**
     * @return 子账号的loginId
     */
    public String getSubUserLoginId() {
        return subUserLoginId;
    }

    /**
     * 设置子账号的loginId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubUserLoginId(String subUserLoginId) {
        this.subUserLoginId = subUserLoginId;
    }

}
