package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpQuantityModel {

    private Double realAmount;

    /**
     * @return 真实购买数量，浮点型标识，可直接用于外部展示使用，比如0.001吨，在原有的quantity字段中记录的是1
     */
    public Double getRealAmount() {
        return realAmount;
    }

    /**
     * 设置真实购买数量，浮点型标识，可直接用于外部展示使用，比如0.001吨，在原有的quantity字段中记录的是1     *
     * 参数示例：<pre>0.001</pre>     
     * 此参数必填
     */
    public void setRealAmount(Double realAmount) {
        this.realAmount = realAmount;
    }

    private Double amountFactor;

    /**
     * @return 数量精度系数，比如0.001吨，此时精度系数为1000
     */
    public Double getAmountFactor() {
        return amountFactor;
    }

    /**
     * 设置数量精度系数，比如0.001吨，此时精度系数为1000     *
     * 参数示例：<pre>1000</pre>     
     * 此参数必填
     */
    public void setAmountFactor(Double amountFactor) {
        this.amountFactor = amountFactor;
    }

    private Long calAmount;

    /**
     * @return 整数购买数，数值上等于realAmount*amoutFactor，与原有模型中的quantity字段数值相等
     */
    public Long getCalAmount() {
        return calAmount;
    }

    /**
     * 设置整数购买数，数值上等于realAmount*amoutFactor，与原有模型中的quantity字段数值相等     *
     * 参数示例：<pre>1</pre>     
     * 此参数必填
     */
    public void setCalAmount(Long calAmount) {
        this.calAmount = calAmount;
    }

    private String realAmountStr;

    /**
     * @return 真实购买数，字符型
     */
    public String getRealAmountStr() {
        return realAmountStr;
    }

    /**
     * 设置真实购买数，字符型     *
     * 参数示例：<pre>0.001</pre>     
     * 此参数必填
     */
    public void setRealAmountStr(String realAmountStr) {
        this.realAmountStr = realAmountStr;
    }

}
