package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaBulksettlementOpReceiveNoteEntryModel {

    private Long id;

    /**
     * @return 收货子单id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置收货子单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(Long id) {
        this.id = id;
    }

    private Long receiveId;

    /**
     * @return 收货单id
     */
    public Long getReceiveId() {
        return receiveId;
    }

    /**
     * 设置收货单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveId(Long receiveId) {
        this.receiveId = receiveId;
    }

    private String statusInfo;

    /**
     * @return 收货子单状态
     */
    public String getStatusInfo() {
        return statusInfo;
    }

    /**
     * 设置收货子单状态     *
     * 参数示例：<pre>1 待发起结算
    2 已发起结算</pre>     
     * 此参数必填
     */
    public void setStatusInfo(String statusInfo) {
        this.statusInfo = statusInfo;
    }

    private Long settlementOrderId;

    /**
     * @return 结算单id
     */
    public Long getSettlementOrderId() {
        return settlementOrderId;
    }

    /**
     * 设置结算单id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSettlementOrderId(Long settlementOrderId) {
        this.settlementOrderId = settlementOrderId;
    }

    private Date gmtCreate;

    /**
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置创建时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    private Date gmtModified;

    /**
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置修改时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    private Date endTime;

    /**
     * @return 发起结算时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 设置发起结算时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    private Long orderId;

    /**
     * @return 主订单号
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置主订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private Long orderEntryId;

    /**
     * @return 子订单号
     */
    public Long getOrderEntryId() {
        return orderEntryId;
    }

    /**
     * 设置子订单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderEntryId(Long orderEntryId) {
        this.orderEntryId = orderEntryId;
    }

    private String orderSourceType;

    /**
     * @return 该订单明细订购的来源
     */
    public String getOrderSourceType() {
        return orderSourceType;
    }

    /**
     * 设置该订单明细订购的来源     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderSourceType(String orderSourceType) {
        this.orderSourceType = orderSourceType;
    }

    private Long price;

    /**
     * @return 单价 (实付款-已退款)/总件数，单位：分
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置单价 (实付款-已退款)/总件数，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private Long originalPrice;

    /**
     * @return 原始单价，单位：分
     */
    public Long getOriginalPrice() {
        return originalPrice;
    }

    /**
     * 设置原始单价，单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOriginalPrice(Long originalPrice) {
        this.originalPrice = originalPrice;
    }

    private Long postFee;

    /**
     * @return 运费 单位：分
     */
    public Long getPostFee() {
        return postFee;
    }

    /**
     * 设置运费 单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPostFee(Long postFee) {
        this.postFee = postFee;
    }

    private Long actualPayFee;

    /**
     * @return 应付款，单位：分；
     */
    public Long getActualPayFee() {
        return actualPayFee;
    }

    /**
     * 设置应付款，单位：分；     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setActualPayFee(Long actualPayFee) {
        this.actualPayFee = actualPayFee;
    }

    private String productName;

    /**
     * @return 产品名称
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 设置产品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    private Long sourceId;

    /**
     * @return 商品Id
     */
    public Long getSourceId() {
        return sourceId;
    }

    /**
     * 设置商品Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    private String summImageUrl;

    /**
     * @return 小图图片:全路径,目前动态生成小图规格:64x64
     */
    public String getSummImageUrl() {
        return summImageUrl;
    }

    /**
     * 设置小图图片:全路径,目前动态生成小图规格:64x64     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSummImageUrl(String summImageUrl) {
        this.summImageUrl = summImageUrl;
    }

    private Long skuId;

    /**
     * @return 
     */
    public Long getSkuId() {
        return skuId;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    private String productMaterialCode;

    /**
     * @return 货品的物料编码
     */
    public String getProductMaterialCode() {
        return productMaterialCode;
    }

    /**
     * 设置货品的物料编码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductMaterialCode(String productMaterialCode) {
        this.productMaterialCode = productMaterialCode;
    }

    private String attributes;

    /**
     * @return 扩展属性
     */
    public String getAttributes() {
        return attributes;
    }

    /**
     * 设置扩展属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttributes(String attributes) {
        this.attributes = attributes;
    }

    private Long amount;

    /**
     * @return 收货件数
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置收货件数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private AlibabaBulksettlementOpSpecItem[] specItems;

    /**
     * @return 规格属性条目列表
     */
    public AlibabaBulksettlementOpSpecItem[] getSpecItems() {
        return specItems;
    }

    /**
     * 设置规格属性条目列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecItems(AlibabaBulksettlementOpSpecItem[] specItems) {
        this.specItems = specItems;
    }

    private AlibabaBulksettlementOpQuantityModel quantityModel;

    /**
     * @return 数量模型，支持小数
     */
    public AlibabaBulksettlementOpQuantityModel getQuantityModel() {
        return quantityModel;
    }

    /**
     * 设置数量模型，支持小数     *
     * 参数示例：<pre>{"realAmount":0.001,"amountFactor":1000.0,"calAmount":1,"realAmountStr":"0.001"}</pre>     
     * 此参数必填
     */
    public void setQuantityModel(AlibabaBulksettlementOpQuantityModel quantityModel) {
        this.quantityModel = quantityModel;
    }

}
