package com.alibaba.logistics.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsExpressCommodity {

    private BigDecimal netWeight;

    /**
     * @return 净重（单位：kg）
     */
    public BigDecimal getNetWeight() {
        return netWeight;
    }

    /**
     * 设置净重（单位：kg）     *
     * 参数示例：<pre>22.23</pre>     
     * 此参数必填
     */
    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    private String unit;

    /**
     * @return 单位，PCS：件
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置单位，PCS：件     *
     * 参数示例：<pre>PCS</pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private String enName;

    /**
     * @return 英文品名
     */
    public String getEnName() {
        return enName;
    }

    /**
     * 设置英文品名     *
     * 参数示例：<pre>telephone</pre>     
     * 此参数必填
     */
    public void setEnName(String enName) {
        this.enName = enName;
    }

    private String zhName;

    /**
     * @return 中文品名
     */
    public String getZhName() {
        return zhName;
    }

    /**
     * 设置中文品名     *
     * 参数示例：<pre>电话机</pre>     
     * 此参数必填
     */
    public void setZhName(String zhName) {
        this.zhName = zhName;
    }

    private String originCountryCode;

    /**
     * @return 原产国，使用ISO 3166 2A
     */
    public String getOriginCountryCode() {
        return originCountryCode;
    }

    /**
     * 设置原产国，使用ISO 3166 2A     *
     * 参数示例：<pre>CN</pre>     
     * 此参数必填
     */
    public void setOriginCountryCode(String originCountryCode) {
        this.originCountryCode = originCountryCode;
    }

    private String[] statusDescTags;

    /**
     * @return 商品状态描述标签，EASY_BROKE: 易碎
     */
    public String[] getStatusDescTags() {
        return statusDescTags;
    }

    /**
     * 设置商品状态描述标签，EASY_BROKE: 易碎     *
     * 参数示例：<pre>EASY_BROKE</pre>     
     * 此参数必填
     */
    public void setStatusDescTags(String[] statusDescTags) {
        this.statusDescTags = statusDescTags;
    }

    private BigDecimal quantity;

    /**
     * @return 商品件数
     */
    public BigDecimal getQuantity() {
        return quantity;
    }

    /**
     * 设置商品件数     *
     * 参数示例：<pre>2</pre>     
     * 此参数必填
     */
    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    private String hscode;

    /**
     * @return 海关商品编码
     */
    public String getHscode() {
        return hscode;
    }

    /**
     * 设置海关商品编码     *
     * 参数示例：<pre>1234567890</pre>     
     * 此参数必填
     */
    public void setHscode(String hscode) {
        this.hscode = hscode;
    }

    private AlibabaLogisticsCommonMoney price;

    /**
     * @return 单价
     */
    public AlibabaLogisticsCommonMoney getPrice() {
        return price;
    }

    /**
     * 设置单价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(AlibabaLogisticsCommonMoney price) {
        this.price = price;
    }

}
