package com.alibaba.logistics.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsOpDeliverySendOrderOfflineParam extends AbstractAPIRequest<AlibabaLogisticsOpDeliverySendOrderOfflineResult> {

    public AlibabaLogisticsOpDeliverySendOrderOfflineParam() {
        super();
        oceanApiId = new APIId("com.alibaba.logistics", "alibaba.logistics.OpDeliverySendOrder.offline", 1);
    }

    private AlibabaLogisticsOpSendGood[] sendGoods;

    /**
     * @return 发货对象列表
     */
    public AlibabaLogisticsOpSendGood[] getSendGoods() {
        return sendGoods;
    }

    /**
     * 设置发货对象列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSendGoods(AlibabaLogisticsOpSendGood[] sendGoods) {
        this.sendGoods = sendGoods;
    }

    private String remarks;

    /**
     * @return 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 设置备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    private Date gmtSend;

    /**
     * @return 发货时间
     */
    public Date getGmtSend() {
        return gmtSend;
    }

    /**
     * 设置发货时间     *
     * 参数示例：<pre>标准时间格式：yyyyMMddHHmmssSSSZ，例如：20120801154220368+0800</pre>     
     * 此参数必填
     */
    public void setGmtSend(Date gmtSend) {
        this.gmtSend = gmtSend;
    }

    private String extBody;

    /**
     * @return JSON字符串，cpCode 为物流公司code，对应物流公司信息获取接口的companyNo（非数字Id）; logisticsCpName:物流公司名称，对应物流公司信息获取接口的companyName； mailNo：运单号； 可以通过获取物流公司借口查询到数据。
     */
    public String getExtBody() {
        return extBody;
    }

    /**
     * 设置JSON字符串，cpCode 为物流公司code，对应物流公司信息获取接口的companyNo（非数字Id）; logisticsCpName:物流公司名称，对应物流公司信息获取接口的companyName； mailNo：运单号； 可以通过获取物流公司借口查询到数据。     *
     * 参数示例：<pre>{"cpCode":"SF","logisticsCpName":"顺丰","mailNo":"a123"}</pre>     
     * 此参数必填
     */
    public void setExtBody(String extBody) {
        this.extBody = extBody;
    }

    private String extParam;

    /**
     * @return {}
     */
    public String getExtParam() {
        return extParam;
    }

    /**
     * 设置{}     *
     * 参数示例：<pre>JSON 字符串</pre>     
     * 此参数必填
     */
    public void setExtParam(String extParam) {
        this.extParam = extParam;
    }

    private AlibabaLogisticsOpReceiveContacter receiverInfo;

    /**
     * @return 收货地址
     */
    public AlibabaLogisticsOpReceiveContacter getReceiverInfo() {
        return receiverInfo;
    }

    /**
     * 设置收货地址     *
     * 参数示例：<pre>优先级大于订单收货地址，为空时，使用订单收货地址</pre>     
     * 此参数必填
     */
    public void setReceiverInfo(AlibabaLogisticsOpReceiveContacter receiverInfo) {
        this.receiverInfo = receiverInfo;
    }

}
