package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaLogisticsFreightTemplateAddParam extends AbstractAPIRequest<AlibabaLogisticsFreightTemplateAddResult> {

    public AlibabaLogisticsFreightTemplateAddParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.logistics.freightTemplate.add", 1);
    }

    private String templateType;

    /**
     * @return 运费模板类型，可选值：freeshipping(全球免邮)，not(全球不发货)
     */
    public String getTemplateType() {
        return templateType;
    }

    /**
     * 设置运费模板类型，可选值：freeshipping(全球免邮)，not(全球不发货)     *
     * 参数示例：<pre>freeshipping</pre>     
     * 此参数必填
     */
    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    private String[] dispatchLocations;

    /**
     * @return 运费模板发货地，可选值：US（美国）,UK(英国),DE(德国),ES(西班牙),CN(中国)
     */
    public String[] getDispatchLocations() {
        return dispatchLocations;
    }

    /**
     * 设置运费模板发货地，可选值：US（美国）,UK(英国),DE(德国),ES(西班牙),CN(中国)     *
     * 参数示例：<pre>"US"
    "UK"</pre>     
     * 此参数必填
     */
    public void setDispatchLocations(String[] dispatchLocations) {
        this.dispatchLocations = dispatchLocations;
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
