package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPhotobankAlbumAddParam extends AbstractAPIRequest<AlibabaPhotobankAlbumAddResult> {

    public AlibabaPhotobankAlbumAddParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.photobank.album.add", 1);
    }

    private String name;

    /**
     * @return 相册名称。最长30个中文字符
     */
    public String getName() {
        return name;
    }

    /**
     * 设置相册名称。最长30个中文字符     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String description;

    /**
     * @return 相册描述。最长2000个中文字符，国际站无需处理此字段
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置相册描述。最长2000个中文字符，国际站无需处理此字段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private Integer authority;

    /**
     * @return 相册访问权限。取值范围:0-不公开；1-公开；2-密码访问。只有开通旺铺的会员可以设置相册访问权限为“1-公开”和“2-密码访问”，未开通旺铺的会员相册访问权限限制为“0-不公开”，国际站无需处理此字段
     */
    public Integer getAuthority() {
        return authority;
    }

    /**
     * 设置相册访问权限。取值范围:0-不公开；1-公开；2-密码访问。只有开通旺铺的会员可以设置相册访问权限为“1-公开”和“2-密码访问”，未开通旺铺的会员相册访问权限限制为“0-不公开”，国际站无需处理此字段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAuthority(Integer authority) {
        this.authority = authority;
    }

    private String password;

    /**
     * @return 相册访问密码。4-16位非中文字符。当authority为2-密码访问时必填，国际站无需处理此字段
     */
    public String getPassword() {
        return password;
    }

    /**
     * 设置相册访问密码。4-16位非中文字符。当authority为2-密码访问时必填，国际站无需处理此字段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPassword(String password) {
        this.password = password;
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
