package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPhotobankAlbumModifyParam extends AbstractAPIRequest<AlibabaPhotobankAlbumModifyResult> {

    public AlibabaPhotobankAlbumModifyParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.photobank.album.modify", 1);
    }

    private AlibabaPhotobankPhotoAlbumDomain albumInfo;

    /**
     * @return 图片相册信息
     */
    public AlibabaPhotobankPhotoAlbumDomain getAlbumInfo() {
        return albumInfo;
    }

    /**
     * 设置图片相册信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAlbumInfo(AlibabaPhotobankPhotoAlbumDomain albumInfo) {
        this.albumInfo = albumInfo;
    }

    private String password;

    /**
     * @return 图片相册密码，可为空。如果不为空，则修改相册权限
     */
    public String getPassword() {
        return password;
    }

    /**
     * 设置图片相册密码，可为空。如果不为空，则修改相册权限     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPassword(String password) {
        this.password = password;
    }

    private String webSite;

    /**
     * @return 1688或者alibaba
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置1688或者alibaba     *
     * 参数示例：<pre>1688</pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
