package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaPhotobankPhotoDeleteBatchParam extends AbstractAPIRequest<AlibabaPhotobankPhotoDeleteBatchResult> {

    public AlibabaPhotobankPhotoDeleteBatchParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.photobank.photo.deleteBatch", 1);
    }

    private long[] imageIds;

    /**
     * @return 待操作图片ID列表，每次最多支持删除20张图片。
     */
    public long[] getImageIds() {
        return imageIds;
    }

    /**
     * 设置待操作图片ID列表，每次最多支持删除20张图片。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImageIds(long[] imageIds) {
        this.imageIds = imageIds;
    }

    private String webSite;

    /**
     * @return 1688或者alibaba
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置1688或者alibaba     *
     * 参数示例：<pre>1688</pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
