package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductGetListParam extends AbstractAPIRequest<AlibabaProductGetListResult> {

    public AlibabaProductGetListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.getList", 1);
    }

    private Long categoryID;

    /**
     * @return 类目ID，国际站传入-1，返回所有商品列表
     */
    public Long getCategoryID() {
        return categoryID;
    }

    /**
     * 设置类目ID，国际站传入-1，返回所有商品列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryID(Long categoryID) {
        this.categoryID = categoryID;
    }

    private Integer pageNo;

    /**
     * @return 页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置页码。取值范围:大于零的整数;默认值为1，即返回第一页数据。     *
     * 参数示例：<pre>5</pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private Integer pageSize;

    /**
     * @return 返回列表结果集每页条数。取值范围:大于零的整数;最大值：30;
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置返回列表结果集每页条数。取值范围:大于零的整数;最大值：30;     *
     * 参数示例：<pre>20</pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String timeStamp;

    /**
     * @return 格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应商品信息的最近更新时间(GMTModified)晚于该时间戳的商品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的商品信息。1688的时间目前只能支持精确到天。
     */
    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     * 设置格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应商品信息的最近更新时间(GMTModified)晚于该时间戳的商品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的商品信息。1688的时间目前只能支持精确到天。     *
     * 参数示例：<pre>2015-04-02 00:00:00</pre>     
     * 此参数必填
     */
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

    private String endTimeStamp;

    /**
     * @return 格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应商品信息的最近更新时间(GMTModified)早于该时间戳的商品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的商品信息。
     */
    public String getEndTimeStamp() {
        return endTimeStamp;
    }

    /**
     * 设置格式:yyyy-MM-dd HH:mm:ss；1、如果传了时间戳参数，则按增量返回，即返回按指定获取条件且对应商品信息的最近更新时间(GMTModified)早于该时间戳的商品列表信息。2、如果没有传时间戳参数，则取所有的满足条件的商品信息。     *
     * 参数示例：<pre>2015-04-02 01:00:00</pre>     
     * 此参数必填
     */
    public void setEndTimeStamp(String endTimeStamp) {
        this.endTimeStamp = endTimeStamp;
    }

    private String scene;

    /**
     * @return 业务场景 零售通(lst) 1688市场(1688)
     */
    public String getScene() {
        return scene;
    }

    /**
     * 设置业务场景 零售通(lst) 1688市场(1688)     *
     * 参数示例：<pre>1688</pre>     
     * 此参数必填
     */
    public void setScene(String scene) {
        this.scene = scene;
    }

}
