package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductIncrementModifyParam extends AbstractAPIRequest<AlibabaProductIncrementModifyResult> {

    public AlibabaProductIncrementModifyParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.incrementModify", 1);
    }

    private Long productID;

    /**
     * @return 商品ID
     */
    public Long getProductID() {
        return productID;
    }

    /**
     * 设置商品ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductID(Long productID) {
        this.productID = productID;
    }

    private String subject;

    /**
     * @return 商品标题，如果不传递或者传递空字符串则不作任何处理
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置商品标题，如果不传递或者传递空字符串则不作任何处理     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private String description;

    /**
     * @return 商品描述，如果不传递或者传递空字符串则不作任何处理.
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置商品描述，如果不传递或者传递空字符串则不作任何处理.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private AlibabaProductProductImageInfo image;

    /**
     * @return 商品图片，如果不传递或者传递空字符串则不作任何处理请注意，如果ISV需要修改image字段，那么subject和description必须至少传入其一
     */
    public AlibabaProductProductImageInfo getImage() {
        return image;
    }

    /**
     * 设置商品图片，如果不传递或者传递空字符串则不作任何处理请注意，如果ISV需要修改image字段，那么subject和description必须至少传入其一     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImage(AlibabaProductProductImageInfo image) {
        this.image = image;
    }

    private String webSite;

    /**
     * @return 1688或者alibaba
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置1688或者alibaba     *
     * 参数示例：<pre>1688</pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

}
