package com.alibaba.product.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductListGetParam extends AbstractAPIRequest<AlibabaProductListGetResult> {

    public AlibabaProductListGetParam() {
        super();
        oceanApiId = new APIId("com.alibaba.product", "alibaba.product.list.get", 1);
    }

    private String[] signs;

    /**
     * @return 业务标
     */
    public String[] getSigns() {
        return signs;
    }

    /**
     * 设置业务标     *
     * 参数示例：<pre>['isMicroSupply']</pre>     
     * 此参数必填
     */
    public void setSigns(String[] signs) {
        this.signs = signs;
    }

    private String[] productSupportedBizGroups;

    /**
     * @return 业务名
     */
    public String[] getProductSupportedBizGroups() {
        return productSupportedBizGroups;
    }

    /**
     * 设置业务名     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductSupportedBizGroups(String[] productSupportedBizGroups) {
        this.productSupportedBizGroups = productSupportedBizGroups;
    }

    private Integer pageNo;

    /**
     * @return 分页参数，起始为1
     */
    public Integer getPageNo() {
        return pageNo;
    }

    /**
     * 设置分页参数，起始为1     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    private Integer pageSize;

    /**
     * @return 分页参数，每页大小
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置分页参数，每页大小     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String[] statusList;

    /**
     * @return 商品状态
     */
    public String[] getStatusList() {
        return statusList;
    }

    /**
     * 设置商品状态     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatusList(String[] statusList) {
        this.statusList = statusList;
    }

    private Long categoryId;

    /**
     * @return 类目ID
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置类目ID     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    private Date startModifyTime;

    /**
     * @return 产品修改开始时间
     */
    public Date getStartModifyTime() {
        return startModifyTime;
    }

    /**
     * 设置产品修改开始时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStartModifyTime(Date startModifyTime) {
        this.startModifyTime = startModifyTime;
    }

    private Date endModifyTime;

    /**
     * @return 产品修改结束时间
     */
    public Date getEndModifyTime() {
        return endModifyTime;
    }

    /**
     * 设置产品修改结束时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setEndModifyTime(Date endModifyTime) {
        this.endModifyTime = endModifyTime;
    }

    private String subjectKey;

    /**
     * @return 关键词
     */
    public String getSubjectKey() {
        return subjectKey;
    }

    /**
     * 设置关键词     *
     * 参数示例：<pre>关键词</pre>     
     * 此参数必填
     */
    public void setSubjectKey(String subjectKey) {
        this.subjectKey = subjectKey;
    }

    private String cargoNumber;

    /**
     * @return 货号
     */
    public String getCargoNumber() {
        return cargoNumber;
    }

    /**
     * 设置货号     *
     * 参数示例：<pre>货号</pre>     
     * 此参数必填
     */
    public void setCargoNumber(String cargoNumber) {
        this.cargoNumber = cargoNumber;
    }

}
