package com.alibaba.product.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductProductImageInfo {

    private String[] images;

    /**
     * @return 主图列表，需先使用图片上传接口上传图片
     */
    public String[] getImages() {
        return images;
    }

    /**
     * 设置主图列表，需先使用图片上传接口上传图片     *
     * 参数示例：<pre>["http://g03.s.alicdn.com/kf/HTB1PYE9IpXXXXbsXVXXq6xXFXXXg/200042360/HTB1PYE9IpXXXXbsXVXXq6xXFXXXg.jpg","http://g01.s.alicdn.com/kf/HTB1tNhsIFXXXXb2XXXXq6xXFXXX9/200042360/HTB1tNhsIFXXXXb2XXXXq6xXFXXX9.jpg"]</pre>     
     * 此参数必填
     */
    public void setImages(String[] images) {
        this.images = images;
    }

    private Boolean isWatermark;

    /**
     * @return 是否打水印，是(true)或否(false)，1688无需关注此字段，1688的水印信息在上传图片时处理
     */
    public Boolean getIsWatermark() {
        return isWatermark;
    }

    /**
     * 设置是否打水印，是(true)或否(false)，1688无需关注此字段，1688的水印信息在上传图片时处理     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsWatermark(Boolean isWatermark) {
        this.isWatermark = isWatermark;
    }

    private Boolean isWatermarkFrame;

    /**
     * @return 水印是否有边框，有边框(true)或者无边框(false)，1688无需关注此字段，1688的水印信息在上传图片时处理
     */
    public Boolean getIsWatermarkFrame() {
        return isWatermarkFrame;
    }

    /**
     * 设置水印是否有边框，有边框(true)或者无边框(false)，1688无需关注此字段，1688的水印信息在上传图片时处理     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsWatermarkFrame(Boolean isWatermarkFrame) {
        this.isWatermarkFrame = isWatermarkFrame;
    }

    private String watermarkPosition;

    /**
     * @return 水印位置，在中间(center)或者在底部(bottom)，1688无需关注此字段，1688的水印信息在上传图片时处理
     */
    public String getWatermarkPosition() {
        return watermarkPosition;
    }

    /**
     * 设置水印位置，在中间(center)或者在底部(bottom)，1688无需关注此字段，1688的水印信息在上传图片时处理     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWatermarkPosition(String watermarkPosition) {
        this.watermarkPosition = watermarkPosition;
    }

}
