package com.alibaba.product.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaProductProductInfo {

    private Long productID;

    /**
     * @return 商品ID
     */
    public Long getProductID() {
        return productID;
    }

    /**
     * 设置商品ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductID(Long productID) {
        this.productID = productID;
    }

    private String productType;

    /**
     * @return 商品类型，在线批发商品(wholesale)或者询盘商品(sourcing)，1688网站缺省为wholesale
     */
    public String getProductType() {
        return productType;
    }

    /**
     * 设置商品类型，在线批发商品(wholesale)或者询盘商品(sourcing)，1688网站缺省为wholesale     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductType(String productType) {
        this.productType = productType;
    }

    private Long categoryID;

    /**
     * @return 类目ID，标识商品所属类目
     */
    public Long getCategoryID() {
        return categoryID;
    }

    /**
     * 设置类目ID，标识商品所属类目     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryID(Long categoryID) {
        this.categoryID = categoryID;
    }

    private AlibabaProductProductAttribute[] attributes;

    /**
     * @return 商品属性和属性值
     */
    public AlibabaProductProductAttribute[] getAttributes() {
        return attributes;
    }

    /**
     * 设置商品属性和属性值     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttributes(AlibabaProductProductAttribute[] attributes) {
        this.attributes = attributes;
    }

    private long[] groupID;

    /**
     * @return 分组ID，确定商品所属分组。1688可传入多个分组ID，国际站同一个商品只能属于一个分组，因此默认只取第一个
     */
    public long[] getGroupID() {
        return groupID;
    }

    /**
     * 设置分组ID，确定商品所属分组。1688可传入多个分组ID，国际站同一个商品只能属于一个分组，因此默认只取第一个     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroupID(long[] groupID) {
        this.groupID = groupID;
    }

    private String status;

    /**
     * @return 商品状态。auditing：审核中；online：已上网；FailAudited：审核未通过；outdated：已过期；member delete(d)：用户删除；delete：审核删除；published 已上架。此状态为系统内部控制，外部无法修改。
     */
    public String getStatus() {
        return status;
    }

    /**
     * 设置商品状态。auditing：审核中；online：已上网；FailAudited：审核未通过；outdated：已过期；member delete(d)：用户删除；delete：审核删除；published 已上架。此状态为系统内部控制，外部无法修改。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStatus(String status) {
        this.status = status;
    }

    private String subject;

    /**
     * @return 商品标题，最多128个字符
     */
    public String getSubject() {
        return subject;
    }

    /**
     * 设置商品标题，最多128个字符     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSubject(String subject) {
        this.subject = subject;
    }

    private String description;

    /**
     * @return 商品详情描述，可包含图片中心的图片URL
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置商品详情描述，可包含图片中心的图片URL     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDescription(String description) {
        this.description = description;
    }

    private String language;

    /**
     * @return 语种，参见FAQ 语种枚举值，1688网站默认传入CHINESE
     */
    public String getLanguage() {
        return language;
    }

    /**
     * 设置语种，参见FAQ 语种枚举值，1688网站默认传入CHINESE     *
     * 参数示例：<pre>ENGLISH</pre>     
     * 此参数必填
     */
    public void setLanguage(String language) {
        this.language = language;
    }

    private Integer periodOfValidity;

    /**
     * @return 信息有效期，按天计算，国际站无此信息
     */
    public Integer getPeriodOfValidity() {
        return periodOfValidity;
    }

    /**
     * 设置信息有效期，按天计算，国际站无此信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPeriodOfValidity(Integer periodOfValidity) {
        this.periodOfValidity = periodOfValidity;
    }

    private Integer bizType;

    /**
     * @return 业务类型。1：商品，2：加工，3：代理，4：合作，5：商务服务。国际站按默认商品。
     */
    public Integer getBizType() {
        return bizType;
    }

    /**
     * 设置业务类型。1：商品，2：加工，3：代理，4：合作，5：商务服务。国际站按默认商品。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    private Boolean pictureAuth;

    /**
     * @return 是否图片私密信息，国际站此字段无效
     */
    public Boolean getPictureAuth() {
        return pictureAuth;
    }

    /**
     * 设置是否图片私密信息，国际站此字段无效     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPictureAuth(Boolean pictureAuth) {
        this.pictureAuth = pictureAuth;
    }

    private AlibabaProductProductImageInfo image;

    /**
     * @return 商品主图
     */
    public AlibabaProductProductImageInfo getImage() {
        return image;
    }

    /**
     * 设置商品主图     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setImage(AlibabaProductProductImageInfo image) {
        this.image = image;
    }

    private AlibabaProductProductSKUInfo[] skuInfos;

    /**
     * @return sku信息
     */
    public AlibabaProductProductSKUInfo[] getSkuInfos() {
        return skuInfos;
    }

    /**
     * 设置sku信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuInfos(AlibabaProductProductSKUInfo[] skuInfos) {
        this.skuInfos = skuInfos;
    }

    private AlibabaProductProductSaleInfo saleInfo;

    /**
     * @return 商品销售信息
     */
    public AlibabaProductProductSaleInfo getSaleInfo() {
        return saleInfo;
    }

    /**
     * 设置商品销售信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSaleInfo(AlibabaProductProductSaleInfo saleInfo) {
        this.saleInfo = saleInfo;
    }

    private AlibabaProductProductShippingInfo shippingInfo;

    /**
     * @return 商品物流信息
     */
    public AlibabaProductProductShippingInfo getShippingInfo() {
        return shippingInfo;
    }

    /**
     * 设置商品物流信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setShippingInfo(AlibabaProductProductShippingInfo shippingInfo) {
        this.shippingInfo = shippingInfo;
    }

    private AlibabaProductProductInternationalTradeInfo internationalTradeInfo;

    /**
     * @return 商品国际贸易信息，1688无需处理此字段
     */
    public AlibabaProductProductInternationalTradeInfo getInternationalTradeInfo() {
        return internationalTradeInfo;
    }

    /**
     * 设置商品国际贸易信息，1688无需处理此字段     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInternationalTradeInfo(AlibabaProductProductInternationalTradeInfo internationalTradeInfo) {
        this.internationalTradeInfo = internationalTradeInfo;
    }

    private AlibabaProductProductExtendInfo[] extendInfos;

    /**
     * @return 商品扩展信息
     */
    public AlibabaProductProductExtendInfo[] getExtendInfos() {
        return extendInfos;
    }

    /**
     * 设置商品扩展信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtendInfos(AlibabaProductProductExtendInfo[] extendInfos) {
        this.extendInfos = extendInfos;
    }

    private String supplierUserId;

    /**
     * @return 供应商用户ID
     */
    public String getSupplierUserId() {
        return supplierUserId;
    }

    /**
     * 设置供应商用户ID     *
     * 参数示例：<pre>12345</pre>     
     * 此参数必填
     */
    public void setSupplierUserId(String supplierUserId) {
        this.supplierUserId = supplierUserId;
    }

    private Integer qualityLevel;

    /**
     * @return 质量星级(0-5)
     */
    public Integer getQualityLevel() {
        return qualityLevel;
    }

    /**
     * 设置质量星级(0-5)     *
     * 参数示例：<pre>5</pre>     
     * 此参数必填
     */
    public void setQualityLevel(Integer qualityLevel) {
        this.qualityLevel = qualityLevel;
    }

}
