package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizCargoGroup {

    private String group;

    /**
     * @return 信息所属分组。多订单提交时用来分组。
     */
    public String getGroup() {
        return group;
    }

    /**
     * 设置信息所属分组。多订单提交时用来分组。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroup(String group) {
        this.group = group;
    }

    private String cargoKey;

    /**
     * @return 商品id
     */
    public String getCargoKey() {
        return cargoKey;
    }

    /**
     * 设置商品id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCargoKey(String cargoKey) {
        this.cargoKey = cargoKey;
    }

    private String name;

    /**
     * @return 商品名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置商品名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setName(String name) {
        this.name = name;
    }

    private String unit;

    /**
     * @return 销售单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 设置销售单位     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    private Double quantity;

    /**
     * @return 商品数量(计算金额用)
     */
    public Double getQuantity() {
        return quantity;
    }

    /**
     * 设置商品数量(计算金额用)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    private Double packageNum;

    /**
     * @return 商品件数
     */
    public Double getPackageNum() {
        return packageNum;
    }

    /**
     * 设置商品件数     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPackageNum(Double packageNum) {
        this.packageNum = packageNum;
    }

    private Double unitPrice;

    /**
     * @return 产品单价, 单位:元.
     */
    public Double getUnitPrice() {
        return unitPrice;
    }

    /**
     * 设置产品单价, 单位:元.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    private Long offerId;

    /**
     * @return Offer Id
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置Offer Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private String specId;

    /**
     * @return sku offer 时商品对应的specId.
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置sku offer 时商品对应的specId.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

    private Long skuId;

    /**
     * @return sku offer 时商品对应的skuId.
     */
    public Long getSkuId() {
        return skuId;
    }

    /**
     * 设置sku offer 时商品对应的skuId.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    private Long categoryId;

    /**
     * @return 类目id
     */
    public Long getCategoryId() {
        return categoryId;
    }

    /**
     * 设置类目id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    private Double productAmount;

    /**
     * @return 金额，提交的时候需要判断金额是否发生变化。单位:元
     */
    public Double getProductAmount() {
        return productAmount;
    }

    /**
     * 设置金额，提交的时候需要判断金额是否发生变化。单位:元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setProductAmount(Double productAmount) {
        this.productAmount = productAmount;
    }

    private Integer chooseFreeFreight;

    /**
     * @return 用户选择单品免运费 "0"：用户没有选择免用费 "1":用户选择免运费.
     */
    public Integer getChooseFreeFreight() {
        return chooseFreeFreight;
    }

    /**
     * 设置用户选择单品免运费 "0"：用户没有选择免用费 "1":用户选择免运费.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setChooseFreeFreight(Integer chooseFreeFreight) {
        this.chooseFreeFreight = chooseFreeFreight;
    }

    private Double discount;

    /**
     * @return 折扣。若没有填1.0
     */
    public Double getDiscount() {
        return discount;
    }

    /**
     * 设置折扣。若没有填1.0     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscount(Double discount) {
        this.discount = discount;
    }

    private Integer isVirtual;

    /**
     * @return 是否虚拟物品 0:不是， 1：虚拟物品
     */
    public Integer getIsVirtual() {
        return isVirtual;
    }

    /**
     * 设置是否虚拟物品 0:不是， 1：虚拟物品     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsVirtual(Integer isVirtual) {
        this.isVirtual = isVirtual;
    }

    private Long cartId;

    /**
     * @return 淘宝cartId
     */
    public Long getCartId() {
        return cartId;
    }

    /**
     * 设置淘宝cartId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCartId(Long cartId) {
        this.cartId = cartId;
    }

    private String promotionId;

    /**
     * @return 单品优惠id
     */
    public String getPromotionId() {
        return promotionId;
    }

    /**
     * 设置单品优惠id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPromotionId(String promotionId) {
        this.promotionId = promotionId;
    }

    private String mergedJsonVar;

    /**
     * @return json格式的所有数据. 批量下单进行了使用.
     */
    public String getMergedJsonVar() {
        return mergedJsonVar;
    }

    /**
     * 设置json格式的所有数据. 批量下单进行了使用.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMergedJsonVar(String mergedJsonVar) {
        this.mergedJsonVar = mergedJsonVar;
    }

    private Boolean buyerCharge;

    /**
     * @return 单个商品关联运费模板时买家承担服务费。true:买家，false:卖家
     */
    public Boolean getBuyerCharge() {
        return buyerCharge;
    }

    /**
     * 设置单个商品关联运费模板时买家承担服务费。true:买家，false:卖家     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerCharge(Boolean buyerCharge) {
        this.buyerCharge = buyerCharge;
    }

    private String ext;

    /**
     * @return 扩张属性，以json串形式，存与offer同一级别的属性
     */
    public String getExt() {
        return ext;
    }

    /**
     * 设置扩张属性，以json串形式，存与offer同一级别的属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExt(String ext) {
        this.ext = ext;
    }

    private String attachedType;

    /**
     * @return 附加标的物类型, 拆单校验遇到此标记会越过此标的物的拆单结果比较 默认没有值, 存样服务: "cyfw"
     */
    public String getAttachedType() {
        return attachedType;
    }

    /**
     * 设置附加标的物类型, 拆单校验遇到此标记会越过此标的物的拆单结果比较 默认没有值, 存样服务: "cyfw"     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAttachedType(String attachedType) {
        this.attachedType = attachedType;
    }

    private Boolean free;

    /**
     * @return 是否免费, 一般用于服务类型商品.
     */
    public Boolean getFree() {
        return free;
    }

    /**
     * 设置是否免费, 一般用于服务类型商品.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFree(Boolean free) {
        this.free = free;
    }

    private String gift;

    /**
     * @return 赠品标记, hg: 换购 , zs: 赠送
     */
    public String getGift() {
        return gift;
    }

    /**
     * 设置赠品标记, hg: 换购 , zs: 赠送     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGift(String gift) {
        this.gift = gift;
    }

    private AlibabaTradeComKeyValuePair[] extParams;

    /**
     * @return 扩展数据
     */
    public AlibabaTradeComKeyValuePair[] getExtParams() {
        return extParams;
    }

    /**
     * 设置扩展数据     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtParams(AlibabaTradeComKeyValuePair[] extParams) {
        this.extParams = extParams;
    }

    private String supplierName;

    /**
     * @return 供应商名字
     */
    public String getSupplierName() {
        return supplierName;
    }

    /**
     * 设置供应商名字     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    private String warehouse;

    /**
     * @return 仓库名称
     */
    public String getWarehouse() {
        return warehouse;
    }

    /**
     * 设置仓库名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    private Double discountFee;

    /**
     * @return 减免金额, 单位, 元
     */
    public Double getDiscountFee() {
        return discountFee;
    }

    /**
     * 设置减免金额, 单位, 元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    private Double additionalFee;

    /**
     * @return 附加费,单位，元
     */
    public Double getAdditionalFee() {
        return additionalFee;
    }

    /**
     * 设置附加费,单位，元     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAdditionalFee(Double additionalFee) {
        this.additionalFee = additionalFee;
    }

    private String sellerMemberId;

    /**
     * @return 卖家memberId
     */
    public String getSellerMemberId() {
        return sellerMemberId;
    }

    /**
     * 设置卖家memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerMemberId(String sellerMemberId) {
        this.sellerMemberId = sellerMemberId;
    }

    private AlibabaOpenplatformTradeJsonGoodsParam jsonGoodsParam;

    /**
     * @return 当前提交订单操作, 订单块对应的展示订单的货品url参数模型(本次提交订单对应的展示订单url参数, 此模型的该属性不由前端直接赋值)
     */
    public AlibabaOpenplatformTradeJsonGoodsParam getJsonGoodsParam() {
        return jsonGoodsParam;
    }

    /**
     * 设置当前提交订单操作, 订单块对应的展示订单的货品url参数模型(本次提交订单对应的展示订单url参数, 此模型的该属性不由前端直接赋值)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setJsonGoodsParam(AlibabaOpenplatformTradeJsonGoodsParam jsonGoodsParam) {
        this.jsonGoodsParam = jsonGoodsParam;
    }

    private AlibabaOpenplatformTradeSpecInfo specInfo;

    /**
     * @return 规格属性
     */
    public AlibabaOpenplatformTradeSpecInfo getSpecInfo() {
        return specInfo;
    }

    /**
     * 设置规格属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecInfo(AlibabaOpenplatformTradeSpecInfo specInfo) {
        this.specInfo = specInfo;
    }

}
