package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizMutilOrderPublicData {

    private String bizType;

    /**
     * @return 页面级别的业务场景. 比如: 零售通(完整独立的订购页面)
     */
    public String getBizType() {
        return bizType;
    }

    /**
     * 设置页面级别的业务场景. 比如: 零售通(完整独立的订购页面)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    private Long freeCarriageMinProductAmount;

    /**
     * @return 零售通全场满包邮产品总金额
     */
    public Long getFreeCarriageMinProductAmount() {
        return freeCarriageMinProductAmount;
    }

    /**
     * 设置零售通全场满包邮产品总金额     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFreeCarriageMinProductAmount(Long freeCarriageMinProductAmount) {
        this.freeCarriageMinProductAmount = freeCarriageMinProductAmount;
    }

    private Long sumPaymentLimitMin;

    /**
     * @return 页面级别的显示条件, 所有订单总金额之和的最小值。单位：分
     */
    public Long getSumPaymentLimitMin() {
        return sumPaymentLimitMin;
    }

    /**
     * 设置页面级别的显示条件, 所有订单总金额之和的最小值。单位：分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSumPaymentLimitMin(Long sumPaymentLimitMin) {
        this.sumPaymentLimitMin = sumPaymentLimitMin;
    }

    private Boolean supportFreeCarriage;

    /**
     * @return 是否支持零售通全场满包邮
     */
    public Boolean getSupportFreeCarriage() {
        return supportFreeCarriage;
    }

    /**
     * 设置是否支持零售通全场满包邮     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupportFreeCarriage(Boolean supportFreeCarriage) {
        this.supportFreeCarriage = supportFreeCarriage;
    }

    private Boolean supportInvoice;

    /**
     * @return 当页面所有的订单都支持发票时=true，页面中有一个订单块不支持发票 = false
     */
    public Boolean getSupportInvoice() {
        return supportInvoice;
    }

    /**
     * 设置当页面所有的订单都支持发票时=true，页面中有一个订单块不支持发票 = false     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSupportInvoice(Boolean supportInvoice) {
        this.supportInvoice = supportInvoice;
    }

}
