package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizOrderCommitResult {

    private String[] afterFlowIds;

    /**
     * @return 需要后续执行的流程标示列表。是一个List<String>
     */
    public String[] getAfterFlowIds() {
        return afterFlowIds;
    }

    /**
     * 设置需要后续执行的流程标示列表。是一个List<String>     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAfterFlowIds(String[] afterFlowIds) {
        this.afterFlowIds = afterFlowIds;
    }

    private Boolean customOffer;

    /**
     * @return 是否加工定制下单
     */
    public Boolean getCustomOffer() {
        return customOffer;
    }

    /**
     * 设置是否加工定制下单     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCustomOffer(Boolean customOffer) {
        this.customOffer = customOffer;
    }

    private Long orderAmount;

    /**
     * @return 订单实付款金额，单位为分
     */
    public Long getOrderAmount() {
        return orderAmount;
    }

    /**
     * 设置订单实付款金额，单位为分     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderAmount(Long orderAmount) {
        this.orderAmount = orderAmount;
    }

    private Long orderId;

    /**
     * @return 下单成功后的订单id.
     */
    public Long getOrderId() {
        return orderId;
    }

    /**
     * 设置下单成功后的订单id.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    private String[] outBizEntryIds;

    /**
     * @return 外部业务关联依赖的明细id. 比如: 代销订单的代销id列表。是一个List<String>
     */
    public String[] getOutBizEntryIds() {
        return outBizEntryIds;
    }

    /**
     * 设置外部业务关联依赖的明细id. 比如: 代销订单的代销id列表。是一个List<String>     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOutBizEntryIds(String[] outBizEntryIds) {
        this.outBizEntryIds = outBizEntryIds;
    }

    private String payChannel;

    /**
     * @return 支付渠道
     */
    public String getPayChannel() {
        return payChannel;
    }

    /**
     * 设置支付渠道     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    private Boolean success;

    /**
     * @return 是否成功
     */
    public Boolean getSuccess() {
        return success;
    }

    /**
     * 设置是否成功     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    private AlibabaOpenplatformTradeBizSimpleOrderModel orderModel;

    /**
     * @return 下单成功后,会将订单简易模型返回
     */
    public AlibabaOpenplatformTradeBizSimpleOrderModel getOrderModel() {
        return orderModel;
    }

    /**
     * 设置下单成功后,会将订单简易模型返回     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderModel(AlibabaOpenplatformTradeBizSimpleOrderModel orderModel) {
        this.orderModel = orderModel;
    }

    private AlibabaOpenplatformTradeResultCodeDef resultCode;

    /**
     * @return 结果码
     */
    public AlibabaOpenplatformTradeResultCodeDef getResultCode() {
        return resultCode;
    }

    /**
     * 设置结果码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setResultCode(AlibabaOpenplatformTradeResultCodeDef resultCode) {
        this.resultCode = resultCode;
    }

    private AlibabaTradeComKeyValuePair[] extModels;

    /**
     * @return 扩展属性
     */
    public AlibabaTradeComKeyValuePair[] getExtModels() {
        return extModels;
    }

    /**
     * 设置扩展属性     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtModels(AlibabaTradeComKeyValuePair[] extModels) {
        this.extModels = extModels;
    }

}
