package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeBizStepPayGroup {

    private Long actualPayFee;

    /**
     * @return 实际付款金额，含邮费，减了优惠.
     */
    public Long getActualPayFee() {
        return actualPayFee;
    }

    /**
     * 设置实际付款金额，含邮费，减了优惠.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setActualPayFee(Long actualPayFee) {
        this.actualPayFee = actualPayFee;
    }

    private String agreement;

    /**
     * @return 协议路径
     */
    public String getAgreement() {
        return agreement;
    }

    /**
     * 设置协议路径     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAgreement(String agreement) {
        this.agreement = agreement;
    }

    private Long amount;

    /**
     * @return 购买数量
     */
    public Long getAmount() {
        return amount;
    }

    /**
     * 设置购买数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setAmount(Long amount) {
        this.amount = amount;
    }

    private Long buyerConfirmTimeout;

    /**
     * @return 买家不确认的超时时间
     */
    public Long getBuyerConfirmTimeout() {
        return buyerConfirmTimeout;
    }

    /**
     * 设置买家不确认的超时时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerConfirmTimeout(Long buyerConfirmTimeout) {
        this.buyerConfirmTimeout = buyerConfirmTimeout;
    }

    private Long buyerPayTimeout;

    /**
     * @return 买家不付款的超时时间
     */
    public Long getBuyerPayTimeout() {
        return buyerPayTimeout;
    }

    /**
     * 设置买家不付款的超时时间     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerPayTimeout(Long buyerPayTimeout) {
        this.buyerPayTimeout = buyerPayTimeout;
    }

    private Long discountFee;

    /**
     * @return 店铺优惠的分摊
     */
    public Long getDiscountFee() {
        return discountFee;
    }

    /**
     * 设置店铺优惠的分摊     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDiscountFee(Long discountFee) {
        this.discountFee = discountFee;
    }

    private String group;

    /**
     * @return 信息所属分组。多订单提交时用来分组。
     */
    public String getGroup() {
        return group;
    }

    /**
     * 设置信息所属分组。多订单提交时用来分组。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGroup(String group) {
        this.group = group;
    }

    private Integer instantPay;

    /**
     * @return 是否允许即时到帐 1 是 0否
     */
    public Integer getInstantPay() {
        return instantPay;
    }

    /**
     * 设置是否允许即时到帐 1 是 0否     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setInstantPay(Integer instantPay) {
        this.instantPay = instantPay;
    }

    private Integer isStepPayAll;

    /**
     * @return 是否一次性付款. 0:不是. 1：是一次性付款.
     */
    public Integer getIsStepPayAll() {
        return isStepPayAll;
    }

    /**
     * 设置是否一次性付款. 0:不是. 1：是一次性付款.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setIsStepPayAll(Integer isStepPayAll) {
        this.isStepPayAll = isStepPayAll;
    }

    private Long itemDiscountFee;

    /**
     * @return 商品优惠的分摊
     */
    public Long getItemDiscountFee() {
        return itemDiscountFee;
    }

    /**
     * 设置商品优惠的分摊     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemDiscountFee(Long itemDiscountFee) {
        this.itemDiscountFee = itemDiscountFee;
    }

    private String mergedJsonVar;

    /**
     * @return stepPayGroup模型的页面json格式
     */
    public String getMergedJsonVar() {
        return mergedJsonVar;
    }

    /**
     * 设置stepPayGroup模型的页面json格式     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMergedJsonVar(String mergedJsonVar) {
        this.mergedJsonVar = mergedJsonVar;
    }

    private Integer needLogistics;

    /**
     * @return 是否需要物流
     */
    public Integer getNeedLogistics() {
        return needLogistics;
    }

    /**
     * 设置是否需要物流     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedLogistics(Integer needLogistics) {
        this.needLogistics = needLogistics;
    }

    private Integer needSellerAction;

    /**
     * @return 是否需要卖家操作和买家确认
     */
    public Integer getNeedSellerAction() {
        return needSellerAction;
    }

    /**
     * 设置是否需要卖家操作和买家确认     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSellerAction(Integer needSellerAction) {
        this.needSellerAction = needSellerAction;
    }

    private Integer needSellerCallNext;

    /**
     * @return 是否需要卖家推进
     */
    public Integer getNeedSellerCallNext() {
        return needSellerCallNext;
    }

    /**
     * 设置是否需要卖家推进     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setNeedSellerCallNext(Integer needSellerCallNext) {
        this.needSellerCallNext = needSellerCallNext;
    }

    private Long payFee;

    /**
     * @return 创建时需要付款的金额，不含邮费
     */
    public Long getPayFee() {
        return payFee;
    }

    /**
     * 设置创建时需要付款的金额，不含邮费     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayFee(Long payFee) {
        this.payFee = payFee;
    }

    private Double percent;

    /**
     * @return 支付金额分摊比例：0~1之间的小数.
     */
    public Double getPercent() {
        return percent;
    }

    /**
     * 设置支付金额分摊比例：0~1之间的小数.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPercent(Double percent) {
        this.percent = percent;
    }

    private Long price;

    /**
     * @return 单价
     */
    public Long getPrice() {
        return price;
    }

    /**
     * 设置单价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrice(Long price) {
        this.price = price;
    }

    private String sellerActionName;

    /**
     * @return 卖家操作的名称
     */
    public String getSellerActionName() {
        return sellerActionName;
    }

    /**
     * 设置卖家操作的名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSellerActionName(String sellerActionName) {
        this.sellerActionName = sellerActionName;
    }

    private String stepName;

    /**
     * @return 当前步骤的名称
     */
    public String getStepName() {
        return stepName;
    }

    /**
     * 设置当前步骤的名称     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepName(String stepName) {
        this.stepName = stepName;
    }

    private Integer stepNo;

    /**
     * @return 阶段序列.
     */
    public Integer getStepNo() {
        return stepNo;
    }

    /**
     * 设置阶段序列.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setStepNo(Integer stepNo) {
        this.stepNo = stepNo;
    }

    private Long templateId;

    /**
     * @return 使用的模板id
     */
    public Long getTemplateId() {
        return templateId;
    }

    /**
     * 设置使用的模板id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    private Integer transferAfterConfirm;

    /**
     * @return 阶段结束是否打款
     */
    public Integer getTransferAfterConfirm() {
        return transferAfterConfirm;
    }

    /**
     * 设置阶段结束是否打款     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTransferAfterConfirm(Integer transferAfterConfirm) {
        this.transferAfterConfirm = transferAfterConfirm;
    }

}
