package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaOpenplatformTradeJsonGoodsParam {

    private Long cartId;

    /**
     * @return 淘宝cartId
     */
    public Long getCartId() {
        return cartId;
    }

    /**
     * 设置淘宝cartId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCartId(Long cartId) {
        this.cartId = cartId;
    }

    private String ext;

    /**
     * @return 该参数是url中完整的id参数对应的json格式数据中,key等于ext的参数值。前端传入的完整 附加参数(json格式), 改参数值在extParams中也会存在,以key=="key:ExtensionDataJson"方式存储。例如:.../order/smart_make_order.htm?flow=xxx&id=[{"flow":"paired","offerId":"2100538036253","quantity":50,"specId":"d5855b19f9812b8ab98cd3084e8f6f74","ext":"{"":""}"},{"flow":"paired","offerId":"2100538036253","quantity":10,"specId":"84b3ab919b484e03b38b9afe60ea3401"}]&payWay=-1&makeOrderSource&isDefaultSelectCod
     */
    public String getExt() {
        return ext;
    }

    /**
     * 设置该参数是url中完整的id参数对应的json格式数据中,key等于ext的参数值。前端传入的完整 附加参数(json格式), 改参数值在extParams中也会存在,以key=="key:ExtensionDataJson"方式存储。例如:.../order/smart_make_order.htm?flow=xxx&id=[{"flow":"paired","offerId":"2100538036253","quantity":50,"specId":"d5855b19f9812b8ab98cd3084e8f6f74","ext":"{"":""}"},{"flow":"paired","offerId":"2100538036253","quantity":10,"specId":"84b3ab919b484e03b38b9afe60ea3401"}]&payWay=-1&makeOrderSource&isDefaultSelectCod     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExt(String ext) {
        this.ext = ext;
    }

    private String flow;

    /**
     * @return 所属流程
     */
    public String getFlow() {
        return flow;
    }

    /**
     * 设置所属流程     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setFlow(String flow) {
        this.flow = flow;
    }

    private String id;

    /**
     * @return id,Cargo 标识
     */
    public String getId() {
        return id;
    }

    /**
     * 设置id,Cargo 标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setId(String id) {
        this.id = id;
    }

    private Long offerId;

    /**
     * @return offer Id
     */
    public Long getOfferId() {
        return offerId;
    }

    /**
     * 设置offer Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOfferId(Long offerId) {
        this.offerId = offerId;
    }

    private Double quantity;

    /**
     * @return 数量
     */
    public Double getQuantity() {
        return quantity;
    }

    /**
     * 设置数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    private String specId;

    /**
     * @return sku offer的specId.
     */
    public String getSpecId() {
        return specId;
    }

    /**
     * 设置sku offer的specId.     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSpecId(String specId) {
        this.specId = specId;
    }

    private String tradeMode;

    /**
     * @return 交易模式参数。目前只支持支付宝交易（值：alipay）。与traderWay都是必填且必须一致。
     */
    public String getTradeMode() {
        return tradeMode;
    }

    /**
     * 设置交易模式参数。目前只支持支付宝交易（值：alipay）。与traderWay都是必填且必须一致。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeMode(String tradeMode) {
        this.tradeMode = tradeMode;
    }

    private String tradeWay;

    /**
     * @return 交易模式的分类。目前只支持支付宝交易（值：6）。与tradeMode都是必填且必须一致
     */
    public String getTradeWay() {
        return tradeWay;
    }

    /**
     * 设置交易模式的分类。目前只支持支付宝交易（值：6）。与tradeMode都是必填且必须一致     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeWay(String tradeWay) {
        this.tradeWay = tradeWay;
    }

    private AlibabaTradeComKeyValuePair[] extParams;

    /**
     * @return 扩展数据,附加参数集合,自定各个业务场景下的附加属性。该参数集合包含了 ext的数据, key:ExtensionDataJson
     */
    public AlibabaTradeComKeyValuePair[] getExtParams() {
        return extParams;
    }

    /**
     * 设置扩展数据,附加参数集合,自定各个业务场景下的附加属性。该参数集合包含了 ext的数据, key:ExtensionDataJson     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtParams(AlibabaTradeComKeyValuePair[] extParams) {
        this.extParams = extParams;
    }

}
