package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeGetSellerViewParam extends AbstractAPIRequest<AlibabaTradeGetSellerViewResult> {

    public AlibabaTradeGetSellerViewParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.get.sellerView", 2);
    }

    private String webSite;

    /**
     * @return 站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）
     */
    public String getWebSite() {
        return webSite;
    }

    /**
     * 设置站点信息，指定调用的API是属于国际站（alibaba）还是1688网站（1688）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setWebSite(String webSite) {
        this.webSite = webSite;
    }

    private String orderId;

    /**
     * @return 交易的订单id
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置交易的订单id     *
     * 参数示例：<pre>123456</pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

}
