package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeItemOut {

    private String parentLineNumber;

    /**
     * @return 买家端的订单的ParentLineNumber，可以传递进来由平台做保存。
     */
    public String getParentLineNumber() {
        return parentLineNumber;
    }

    /**
     * 设置买家端的订单的ParentLineNumber，可以传递进来由平台做保存。     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setParentLineNumber(String parentLineNumber) {
        this.parentLineNumber = parentLineNumber;
    }

    private String lineNumber;

    /**
     * @return 买家端的订单的LineNumber，可以传递进来由平台做保存，这样平台将拥有根据买家端的LineNumber查找订单的能力
     */
    public String getLineNumber() {
        return lineNumber;
    }

    /**
     * 设置买家端的订单的LineNumber，可以传递进来由平台做保存，这样平台将拥有根据买家端的LineNumber查找订单的能力     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLineNumber(String lineNumber) {
        this.lineNumber = lineNumber;
    }

    private Float quantity;

    /**
     * @return 购买数量
     */
    public Float getQuantity() {
        return quantity;
    }

    /**
     * 设置购买数量     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setQuantity(Float quantity) {
        this.quantity = quantity;
    }

    private AlibabaProductItemID itemID;

    /**
     * @return 商品ID描述
     */
    public AlibabaProductItemID getItemID() {
        return itemID;
    }

    /**
     * 设置商品ID描述     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemID(AlibabaProductItemID itemID) {
        this.itemID = itemID;
    }

    private AlibabaCommonComments comments;

    /**
     * @return 
     */
    public AlibabaCommonComments getComments() {
        return comments;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setComments(AlibabaCommonComments comments) {
        this.comments = comments;
    }

    private AlibabaTradeSourceOrder orderSource;

    /**
     * @return 
     */
    public AlibabaTradeSourceOrder getOrderSource() {
        return orderSource;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderSource(AlibabaTradeSourceOrder orderSource) {
        this.orderSource = orderSource;
    }

    private AlibabaProductItemDetail itemDetail;

    /**
     * @return 商品详情
     */
    public AlibabaProductItemDetail getItemDetail() {
        return itemDetail;
    }

    /**
     * 设置商品详情     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemDetail(AlibabaProductItemDetail itemDetail) {
        this.itemDetail = itemDetail;
    }

}
