package com.alibaba.trade.param;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeOrderRequestHeader {

    private String prNumber;

    /**
     * @return 买家端订单标志，比如采购单ID
     */
    public String getPrNumber() {
        return prNumber;
    }

    /**
     * 设置买家端订单标志，比如采购单ID     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPrNumber(String prNumber) {
        this.prNumber = prNumber;
    }

    private AlibabaTradeDeliveryPeriod deliveryPeriod;

    /**
     * @return 订单交易周期
     */
    public AlibabaTradeDeliveryPeriod getDeliveryPeriod() {
        return deliveryPeriod;
    }

    /**
     * 设置订单交易周期     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setDeliveryPeriod(AlibabaTradeDeliveryPeriod deliveryPeriod) {
        this.deliveryPeriod = deliveryPeriod;
    }

    private AlibabaTradeBillTo billTo;

    /**
     * @return 发票目的地
     */
    public AlibabaTradeBillTo getBillTo() {
        return billTo;
    }

    /**
     * 设置发票目的地     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBillTo(AlibabaTradeBillTo billTo) {
        this.billTo = billTo;
    }

    private AlibabaCommonComments comments;

    /**
     * @return 订单备注
     */
    public AlibabaCommonComments getComments() {
        return comments;
    }

    /**
     * 设置订单备注     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setComments(AlibabaCommonComments comments) {
        this.comments = comments;
    }

    private AlibabaCommonContact contact;

    /**
     * @return 订单联系人
     */
    public AlibabaCommonContact getContact() {
        return contact;
    }

    /**
     * 设置订单联系人     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setContact(AlibabaCommonContact contact) {
        this.contact = contact;
    }

    private AlibabaTradeSoldTo soldTo;

    /**
     * @return 订单的订购主体
     */
    public AlibabaTradeSoldTo getSoldTo() {
        return soldTo;
    }

    /**
     * 设置订单的订购主体     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setSoldTo(AlibabaTradeSoldTo soldTo) {
        this.soldTo = soldTo;
    }

    private AlibabaShippingShipTo shipTo;

    /**
     * @return 
     */
    public AlibabaShippingShipTo getShipTo() {
        return shipTo;
    }

    /**
     * 设置     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setShipTo(AlibabaShippingShipTo shipTo) {
        this.shipTo = shipTo;
    }

    private AlibabaCommonMoney orderTotalFee;

    /**
     * @return 订单总价，包括物流费用等
     */
    public AlibabaCommonMoney getOrderTotalFee() {
        return orderTotalFee;
    }

    /**
     * 设置订单总价，包括物流费用等     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderTotalFee(AlibabaCommonMoney orderTotalFee) {
        this.orderTotalFee = orderTotalFee;
    }

    private AlibabaCommonMoney itemTotalFee;

    /**
     * @return 商品总价
     */
    public AlibabaCommonMoney getItemTotalFee() {
        return itemTotalFee;
    }

    /**
     * 设置商品总价     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setItemTotalFee(AlibabaCommonMoney itemTotalFee) {
        this.itemTotalFee = itemTotalFee;
    }

    private String payType;

    /**
     * @return 支付类型：alipay 支付宝；period 账期
     */
    public String getPayType() {
        return payType;
    }

    /**
     * 设置支付类型：alipay 支付宝；period 账期     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPayType(String payType) {
        this.payType = payType;
    }

    private String bizType;

    /**
     * @return 业务标识
     */
    public String getBizType() {
        return bizType;
    }

    /**
     * 设置业务标识     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

}
