package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeProxyPreorderParam extends AbstractAPIRequest<AlibabaTradeProxyPreorderResult> {

    public AlibabaTradeProxyPreorderParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.proxy.preorder", 1);
    }

    private AlibabaTradeGoodsInfo[] goods;

    /**
     * @return 购买的货物列表
     */
    public AlibabaTradeGoodsInfo[] getGoods() {
        return goods;
    }

    /**
     * 设置购买的货物列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setGoods(AlibabaTradeGoodsInfo[] goods) {
        this.goods = goods;
    }

    private AlibabaTradeReceiveAddress receiveAddress;

    /**
     * @return 收货地址，可以填写买家的收货地址ID，或者买家的收货地址信息
     */
    public AlibabaTradeReceiveAddress getReceiveAddress() {
        return receiveAddress;
    }

    /**
     * 设置收货地址，可以填写买家的收货地址ID，或者买家的收货地址信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setReceiveAddress(AlibabaTradeReceiveAddress receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    private AlibabaTradeComKeyValuePair[] extension;

    /**
     * @return 扩展信息
     */
    public AlibabaTradeComKeyValuePair[] getExtension() {
        return extension;
    }

    /**
     * 设置扩展信息     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setExtension(AlibabaTradeComKeyValuePair[] extension) {
        this.extension = extension;
    }

}
