package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeRefundOpLogisticsTraceServiceParam extends AbstractAPIRequest<AlibabaTradeRefundOpLogisticsTraceServiceResult> {

    public AlibabaTradeRefundOpLogisticsTraceServiceParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.refund.OpLogisticsTraceService", 1);
    }

    private String refundId;

    /**
     * @return 退款单Id
     */
    public String getRefundId() {
        return refundId;
    }

    /**
     * 设置退款单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    private String tradeSourceType;

    /**
     * @return 交易类型
     */
    public String getTradeSourceType() {
        return tradeSourceType;
    }

    /**
     * 设置交易类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeSourceType(String tradeSourceType) {
        this.tradeSourceType = tradeSourceType;
    }

    private Long tradeId;

    /**
     * @return 交易订单Id
     */
    public Long getTradeId() {
        return tradeId;
    }

    /**
     * 设置交易订单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTradeId(Long tradeId) {
        this.tradeId = tradeId;
    }

    private String logisticsId;

    /**
     * @return 物流编号（如果不传，在查询不到跟踪信息时将不做补充查询，主要解决零售通问题）
     */
    public String getLogisticsId() {
        return logisticsId;
    }

    /**
     * 设置物流编号（如果不传，在查询不到跟踪信息时将不做补充查询，主要解决零售通问题）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsId(String logisticsId) {
        this.logisticsId = logisticsId;
    }

    private String cpCode;

    /**
     * @return 物流公司Code
     */
    public String getCpCode() {
        return cpCode;
    }

    /**
     * 设置物流公司Code     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCpCode(String cpCode) {
        this.cpCode = cpCode;
    }

    private String mailNo;

    /**
     * @return 运单号
     */
    public String getMailNo() {
        return mailNo;
    }

    /**
     * 设置运单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setMailNo(String mailNo) {
        this.mailNo = mailNo;
    }

    private String cpName;

    /**
     * @return 物流公司名称，用来辅助获取cpCode
     */
    public String getCpName() {
        return cpName;
    }

    /**
     * 设置物流公司名称，用来辅助获取cpCode     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    private Long userId;

    /**
     * @return 查询者用户id
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * 设置查询者用户id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    private String traceSource;

    /**
     * @return 跟踪调用来源类型
     */
    public String getTraceSource() {
        return traceSource;
    }

    /**
     * 设置跟踪调用来源类型     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setTraceSource(String traceSource) {
        this.traceSource = traceSource;
    }

}
