package com.alibaba.trade.param;

import com.alibaba.ocean.rawsdk.client.APIId;
import com.alibaba.ocean.rawsdk.common.AbstractAPIRequest;

import java.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

public class AlibabaTradeRefundQueryOrderRefundListParam extends AbstractAPIRequest<AlibabaTradeRefundQueryOrderRefundListResult> {

    public AlibabaTradeRefundQueryOrderRefundListParam() {
        super();
        oceanApiId = new APIId("com.alibaba.trade", "alibaba.trade.refund.queryOrderRefundList", 2);
    }

    private String orderId;

    /**
     * @return 订单Id
     */
    public String getOrderId() {
        return orderId;
    }

    /**
     * 设置订单Id     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    private Date applyStartTime;

    /**
     * @return 退款申请时间（起始）
     */
    public Date getApplyStartTime() {
        return applyStartTime;
    }

    /**
     * 设置退款申请时间（起始）     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyStartTime(Date applyStartTime) {
        this.applyStartTime = applyStartTime;
    }

    private Date applyEndTime;

    /**
     * @return 退款申请时间(截止)
     */
    public Date getApplyEndTime() {
        return applyEndTime;
    }

    /**
     * 设置退款申请时间(截止)     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setApplyEndTime(Date applyEndTime) {
        this.applyEndTime = applyEndTime;
    }

    private Set refundStatusSet;

    /**
     * @return 退款状态列表
     */
    public Set getRefundStatusSet() {
        return refundStatusSet;
    }

    /**
     * 设置退款状态列表     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setRefundStatusSet(Set refundStatusSet) {
        this.refundStatusSet = refundStatusSet;
    }

    private String buyerMemberId;

    /**
     * @return 买家memberId
     */
    public String getBuyerMemberId() {
        return buyerMemberId;
    }

    /**
     * 设置买家memberId     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setBuyerMemberId(String buyerMemberId) {
        this.buyerMemberId = buyerMemberId;
    }

    private Integer currentPageNum;

    /**
     * @return 查询页码
     */
    public Integer getCurrentPageNum() {
        return currentPageNum;
    }

    /**
     * 设置查询页码     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setCurrentPageNum(Integer currentPageNum) {
        this.currentPageNum = currentPageNum;
    }

    private Integer pageSize;

    /**
     * @return 页大小
     */
    public Integer getPageSize() {
        return pageSize;
    }

    /**
     * 设置页大小     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private String logisticsNo;

    /**
     * @return 退货运单号
     */
    public String getLogisticsNo() {
        return logisticsNo;
    }

    /**
     * 设置退货运单号     *
     * 参数示例：<pre></pre>     
     * 此参数必填
     */
    public void setLogisticsNo(String logisticsNo) {
        this.logisticsNo = logisticsNo;
    }

}
